2006-12-01  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-mule.el: Eliminate Emacs 20 compatibility.

	* ps-print.el : Eliminate Emacs 20 & 21 compatibility.
	(ps-print-version): New Version 6.7.
	(ps-print-quote): Replace '?\ ' by '?\s'.

2006-11-30  Juanma Barranquero  <lekktu@gmail.com>

	* hexl.el (hexl-goto-address, hexl-forward-char, hexl-forward-short)
	(hexl-forward-word, hexl-previous-line, hexl-beginning-of-1k-page)
	(hexl-end-of-1k-page): Doc fixes.
	(hexl-address-region, hexl-ascii-region, hexl-highlight-line-range):
	Fix typos in docstrings.

2006-11-30  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* ido.el (ido-local-file-exists-p): New.  Tell if a file exists
	locally, i.e. without using file name handlers.
	(ido-read-internal): Allow mono letter host names, avoiding the
	`c:' problem by testing if the file exists locally.
	(ido-complete, ido-make-file-list, ido-exhibit): Ditto.

2006-11-30  Masatake YAMATO  <jet@gyve.org>

	* hexl.el (hl-line-range-function, hl-line-face): Declare variables
	to avoid bytecomp warnings.
	(hexl-mode-old-ruler-function): New variable.
	(hexl-follow-line): Bind `hexl-mode-old-hl-line-range-function'
	and `hl-line-range-function' after `require' hl-line.
	Then bind `hl-line-range-function' and `hl-line-face'.
	Don't require frame.  Don't use `with-no-warnings'.
	(hexl-activate-ruler): Store the original value of
	`ruler-mode-ruler-function' to `hexl-mode-old-ruler-function'.
	(hexl-mode-exit): Restore the original value of
	`ruler-mode-ruler-function'.

2006-11-30  Alin C. Soare  <alinsoar@voila.fr>  (tiny change)

	* hexl.el (hexl-mode-old-hl-line-range-function): New variable.
	(hexl-mode-old-hl-line-face): New variable.
	(hexl-mode, hexl-mode-exit): Fix the highlighting of the current
	line when exit from the hexl-mode.

2006-11-30  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/bytecomp.el (byte-optimize, byte-compile-warnings):
	Doc fixes.

	* international/fontset.el (create-fontset-from-ascii-font)
	(create-fontset-from-fontset-spec, x-compose-font-name): Doc fixes.
	(fontset-name-p): Fix typo in docstring.

	* progmodes/cc-cmds.el (c-indent-exp): Fix typo in docstring.

2006-11-30  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* ps-bdf.el : Fix maintainer email.

	* ps-mule.el : Fix maintainer email.  Define functions for Emacs 20
	compatibility.

	* ps-print.el : Fix maintainer email.  Define functions for Emacs 20 &
	21 compatibility.
	(ps-print-quote): Replace '?\s' by '?\ ' to keep compatibility with
	Emacs 20 & 21.

2006-11-29  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlwave.el (idlwave-auto-fill): Remove
	paragraph-start let to prevent auto-fill giving up.

2006-11-28  Juanma Barranquero  <lekktu@gmail.com>

	* vt100-led.el (led-state): Fix typo in previous change.

2006-11-27  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* emacs-lisp/easy-mmode.el (easy-mmode-define-navigation): Fix
	interactive spec of the functions getting defined to make them
	work as documented.

2006-11-28  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-screens): Hide initial splash buffer.

2006-11-28  Kim F. Storm  <storm@cua.dk>

	* icomplete.el (icomplete-tidy, icomplete-exhibit): Check that
	icomplete-mode is enabled.

2006-11-28  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (require): Require gnus-sum during compilation
	to avoid problem with a macro call.

2006-11-28  Glenn Morris  <rgm@gnu.org>

	* emacs-lisp/authors.el (authors-aliases): Add new alias.

	* progmodes/fortran.el (fortran-font-lock-keywords-4): Add `min'.
	(fortran-window-create-momentarily): Do not need string-to-char.

2006-11-28  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-get-constant):
	Replace incorrect use of assoc-default with a loop.

	* term.el (term-exec-1): Set envvar INSIDE_EMACS.

	* simple.el (next-error-find-buffer): Improve messages.

	* files.el (revert-buffer): Special error message if file
	is now not readable.

	* facemenu.el (facemenu-add-new-face): Improve doc strings of
	constructed commands.

	* comint.el (comint-exec-1): Provide Emacs version and `comint'
	in INSIDE_EMACS.

2006-11-27  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-mode-map): Add a binding for unified->context.

	* server.el: Remove spurious * in docstrings.
	(server-process-filter): Exit from recursive editing before processing
	a new request.

2006-11-27  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/hideshow.el (hs-already-hidden-p): Move to end of
	line so hidden blocks will be correctly identified.

2006-11-27  Juanma Barranquero  <lekktu@gmail.com>

	* ledit.el (ledit-save-defun, ledit-mode):
	* resume.el (resume-emacs-args-buffer):
	* rot13.el (rot13-display-table, rot13-translate-table, rot13)
	(rot13-string, rot13-region, rot13-other-window, toggle-rot13-mode):
	* vmsproc.el (subprocess-input, start-subprocess, subprocess-command)
	(command-send-input, command-kill-line):
	* vt100-led.el (led-state, led-on): Fix typos in docstrings.

	* autoarg.el (autoarg-kp-mode): Doc fix.

	* emacs-lock.el (toggle-emacs-lock): Doc fix.  Simplify.
	(emacs-lock-check-buffer-lock): Doc fix.  Use `when'.
	(check-emacs-lock): Doc fix.  Simplify.

	* iimage.el (iimage-mode-image-regex-alist): Doc fix.
	(iimage-mode-buffer): Fix typos in docstring.

	* misc.el (zap-up-to-char): Doc fix.

	* time-stamp.el: Fix comment and obsolescence string for old
	functions.  Use `dolist' instead of `while'.

	* userlock.el (ask-user-about-lock-help): Fix typos in output message.

	* disp-table.el (standard-display-8bit, standard-display-default):
	* ebuff-menu.el (electric-buffer-list):
	* ehelp.el (electric-help-command-loop):
	* font-core.el (font-lock-mode):
	* help-macro.el (make-help-screen):
	* help.el (describe-minor-mode-completion-table-for-indicator)
	(lookup-minor-mode-from-indicator):
	* indent.el (tab-to-tab-stop, move-to-tab-stop):
	* info-look.el (info-lookup-guess-custom-symbol):
	* locate.el (locate-main-listing-line-p, locate-mode, locate-do-setup):
	* longlines.el (longlines-wrap-line):
	* macros.el (insert-kbd-macro):
	* menu-bar.el (menu-bar-update-buffers):
	* misc.el (copy-from-above-command):
	* mouse.el (mouse-popup-menubar, mouse-buffer-menu-alist):
	* newcomment.el (comment-indent):
	* novice.el (disabled-command-function):
	* sort.el (sort-fields-syntax-table):
	* subr.el (momentary-string-display):
	* tar-mode.el (tar-header-block-summarize)
	(tar-clear-modification-flags):
	* terminal.el (terminal-cease-edit, te-more-break-unwind, te-newline)
	(te-clear-rest-of-line, te-clear-rest-of-screen, te-clear-screen)
	(te-insert-lines, te-delete-lines, te-delete, te-insert-spaces)
	(te-delete-char, te-down-vertically-or-scroll):
	* time-stamp.el (time-stamp-string-preprocess):
	* tmm.el (tmm-add-one-shortcut): "?\ " -> "?\s".

2006-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* speedbar.el (speedbar-timer-fn): Revert to old behaviour when not
	in GUD mode.

	* progmodes/gud.el (gud-install-speedbar-variables): Remove bindings:
	speedbar-expand-line-descendants, speedbar-contract-line-descendants.

2006-11-26  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* progmodes/cc-vars.el (c-backslash-column): Add . at end of sentence.

2006-11-26  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el (ada-which-compiler): Fix typo in docstring.
	(ada-compile-goto-error): Adapt to new argument profile of
	compilation-goto-locus in Emacs 22.  Don't check if the various
	compile functions are defined; we already do "(require 'compile)".

2006-11-26  Kim F. Storm  <storm@cua.dk>

	* kmacro.el: Fix commentary.

2006-11-26  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gdb): Explain how to run in text command mode
	more clearly.  Say in error message that multiple debugging
	requires restarting GDB.

2006-11-25  Juanma Barranquero  <lekktu@gmail.com>

	* international/fontset.el (create-fontset-from-fontset-spec): Doc fix.

2006-11-25  Pavel Kobiakov  <pk_at_work@yahoo.com>

	* progmodes/flymake.el (flymake-posn-at-point-as-event): New function.
	(flymake-popup-menu): Use it instead of posn-at-point.

2006-11-25  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* progmodes/cc-vars.el (c-backslash-column):
	Mention c-backslash-max-column in documentation for c-backslash-column.

2006-11-24  Lars Hansen  <larsh@soem.dk>

	* net/tramp.el (tramp-default-method): Under Windows, change from
	plink to pscp.
	(tramp-copy-failed-regexp, tramp-action-copy-failed): Add.
	(tramp-actions-copy-out-of-band):
	Add pair (tramp-copy-failed-regexp tramp-action-copy-failed).
	(tramp-action-out-of-band): Move "Permission denied" handling to
	tramp-action-copy-failed.
	(tramp-do-copy-or-rename-file-out-of-band): unwind-protect killing of
	process buffer.

2006-11-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pgg-pgp.el (pgg-pgp-process-region): Change `args' from a list of
	strings to a single string.  Quote `errors-file-name'.
	(pgg-pgp-encrypt-region, pgg-pgp-decrypt-region, pgg-pgp-sign-region)
	(pgg-pgp-verify-region, pgg-pgp-insert-key, pgg-pgp-snarf-keys-region):
	Adjust calls.  Use `shell-quote-argument'.

	* international/mule.el (load-with-code-conversion)
	(with-category-table): Use with-current-buffer.
	(after-insert-file-set-coding): Use restore-buffer-modified-p.

2006-11-24  Eli Zaretskii  <eliz@gnu.org>

	* mail/smtpmail.el (smtpmail-send-it):
	Copy buffer-file-coding-system from the mail buffer.  Possibly add a
	MIME header for the message encoding.
	Bind coding-system-for-write around the call to mail-do-fcc.
	Use smtpmail-code-conv-from to encode queued mail messages.

2006-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* tabify.el (tabify-regexp): Doc fix.

	* net/rcirc.el (rcirc-buffer-maximum-lines):
	* progmodes/gud.el (jdb): Fix space/tab mixup in docstrings.

	* play/gomoku.el (gomoku-terminate-game, gomoku-human-takes-back)
	(gomoku-prompt-for-move, gomoku-human-plays, gomoku-offer-a-draw):
	Fix typos in output messages.
	(gomoku-vector-length, gomoku-init-board): Fix typos in docstrings.

2006-11-23  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hexl.el (hexl-mode): Don't try to guess the max-address: get it from
	the horse's mouth.
	(hexlify-buffer): Don't re-encode an arg that's already encoded.

2006-11-23  Michael Kifer  <kifer@cs.stonybrook.edu>

	* ediff-diff.el (ediff-exec-process, ediff-same-file-contents):
	Remove condition-case.

2006-11-23  Glenn Morris  <rgm@gnu.org>

	* progmodes/f90.el (f90-comment-indent): Do not move point in
	default case.

2006-11-21  Romain Francoise  <romain@orebokech.com>

	* emacs-lisp/find-func.el (find-library-name): Don't strip ".el"
	from library name (reverts change of 2005-10-25).

2006-11-21  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* tutorial.el (tutorial--default-keys): Add newline and
	delete-backward-char bindings.
	(tutorial--detailed-help): Save excursion when finding keys.
	Correct warning string for M-x FOO case.
	(tutorial--display-changes): Print special keys in tutorial style.
	Tweak search regexp for changed keys.

2006-11-21  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* thingatpt.el (thing-at-point-url-at-point): Don't add a
	redundant scheme.

2006-11-21  Diane Murray  <disumu@x3y2z1.net>  (tiny change)

	* thingatpt.el (thing-at-point-uri-schemes): Add schemes that
	are new to the list at IANA.  Also added irc, mms, mmsh.

2006-11-20  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-help.el (idlwave-html-help-location):
	Fail gracefully for missing help packages.
	(idlwave-help-assistant-open-link): Open full links.
	(idlwave-help-assistant-help-with-topic): Direct help link.

	* progmodes/idlwave.el (idlwave-mode):
	Set add-log-current-defun-function.
	(idlwave-current-routine-fullname): Add, to support add-log.
	(idlwave-convert-xml-system-routine-info): Simplify XML parsing
	to reflect improvements to xml-parse-file.
	(idlwave-mode-menu-def): New binding for help-with-topic.

	* progmodes/idlw-shell.el (idlwave-shell-filter-directory):
	Handle extra newlines and spaces.
	(idlwave-shell-mode-map): Add help-with-topic.

2006-11-20  Chong Yidong  <cyd@stupidchicken.com>

	* tutorial.el (tutorial-warning-face): New face.
	(tutorial--detailed-help, tutorial--display-changes): Use it.
	(tutorial--find-changed-keys): Check ESC-prefix binding specially.
	Improve search pattern for occurrences of changed keys.

2006-11-20  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-last-cut-buffer-coding): New variable.
	(x-select-text): Set it.
	(x-cut-buffer-or-selection-value): Check also x-last-cut-buffer-coding
	when checking for newness.

2006-11-19  Juanma Barranquero  <lekktu@gmail.com>

	* subr.el (posn-image):
	* progmodes/ebnf2ps.el (ebnf-stop-on-error): Fix typos in docstrings.

	* emacs-lisp/regexp-opt.el (regexp-opt): Doc fix.

2006-11-19  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* progmodes/glasses.el (glasses-separate-parentheses-exceptions): New.
	Exceptions to the rule "add a space between an identifier and an
	opening parenthesis".  Defaulted to the `#define' problem of cpp.
	(glasses-parenthesis-exception-p): New.  Check if the region is an
	exception regarding to that.
	(glasses-make-readable): Use it.
	(glasses-convert-to-unreadable): Ditto.  Modify the file also if
	`glasses-convert-on-write-p' and `glasses-separate-parentheses-p' are t.

2006-11-19  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/bytecomp.el (byte-compile-if): Revert last change.

2006-11-19  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el (ada-make-body): Fix typo.

	* progmodes/ada-xref.el (ada-make-body-gnatstub): Fix typo.
	(ada-xref-initialize): Fix typo.  Use add-hook and remove-hook.

2006-11-18  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/bytecomp.el (byte-compile-maybe-guarded): Check `and'
	conditions for function or variable bindings.

	* comint.el (comint-exec-1): Set EMACS and INSIDE_EMACS to t.

	* progmodes/compile.el (compilation-start): Ditto.

2006-11-18  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (top): cl and custom are always required.

2006-11-18  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-cut-buffer-or-selection-value): Decode text from
	cut-buffers with next-selection-coding-system if not nil.

2006-11-17  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-fix-decoded-time): New function.
	(org-display-custom-time): Use `org-fix-decoded-time'.

2006-11-17  Chong Yidong  <cyd@stupidchicken.com>

	* menu-bar.el (menu-bar-games-menu): Remove yow.

2006-11-17  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-scan-tags): Re-align code fixed.
	(org-detach-overlay): Rename from `org-detatch-overlay'.
	(org-table-convert-region): Insert space after column separator.
	(org-agenda-kill): New command.
	(org-metaleft): Call `org-outdent-item' on bullets.
	(org-metaright): Call `org-indent-item' on bullets.
	(org-timestamp-change): Set `org-last-changed-timestamp'.
	(org-current-line): Make sure (bolp) returns correct result.
	(org-agenda-change-all-lines): Make sure TODO are highlighted.

2006-11-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-retrieve-revision): Set buffer-file-coding-system.

2006-11-16  Chong Yidong  <cyd@stupidchicken.com>

	* mouse.el (global-map): Change 2006-08-16 fix to call
	mouse-yank-at-click explicitly, since mouse events are not carried
	over into keyboard macros.

2006-11-16  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-file-internal): Use current buffer's file name as default
	choice for ido-find-alternate-file.  Suggested by Matt Hodges.

2006-11-15  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-doublecheck-at-and-shallower): Clarify docstring.
	(allout-inhibit-aberrance-doublecheck): Rename from
	allout-during-yank-processing.  All callers changed.
	(allout-ascend): Provide for unusual case where some topic after
	the first in file is at lower depth than the first.
	(allout-shift-in): Ensure the offspring of the new containing
	topic are exposed.
	(allout-encrypt-string): Preserve the coding-system of the text,
	according to that of the containing buffer.
	(allout-toggle-subtree-encryption): When the text being encrypted
	requires a different coding system, offer to preserve the coding
	system using a file local var.

2006-11-15  Simon Marshall  <simon@gnu.org>

	* progmodes/cc-fonts.el (c-font-lock-declarators): Use c-at-toplevel-p
	to recognise "T t()" as a function declaration, rather than a
	variable instantiation, iff at the top-level or inside a class
	declaration.  Suggested by Feng Li <fengli@gmail.com>.

2006-11-14  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-xref.el (ada-parse-prj-file):
	Don't delete project buffer; user may want to edit it.
	(ada-xref-set-project-field, ada-xref-current-project-file)
	(ada-xref-current-project, ada-show-current-project)
	(ada-set-main-compile-application): New functions.
	(ada-xref-get-project-field, ada-require-project-file):
	Normalize use of ada-prj-default-project-file.
	(ada-gdb-application, ada-get-ada-file-name, ada-make-body-gnatstub):
	Normalize use of ada-require-project-file.
	(ada-prj-find-prj-file): Improve doc string, comments.

	* progmodes/ada-mode.el (ada-mode-version): Bump version.
	(ada-create-keymap): Add \C-c\C-m 'ada-set-main-compile-application.
	(ada-create-menu): Add ada-set-main-compile-application,
	ada-show-current-main, ada-show-current-project.

2006-11-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (inferior-python-mode-syntax-table): New var.
	(inferior-python-mode): Use it.

2006-11-14  Andreas Schwab  <schwab@suse.de>

	* term/xterm.el (terminal-init-xterm): Add more key bindings.

2006-11-13  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-copy-current-word): C-o copies region if active.

2006-11-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-emph-face): Fix typo in variable name.

2006-11-13  Juanma Barranquero  <lekktu@gmail.com>

	* ediff.el (ediff-revision):
	* files.el (set-visited-file-name):
	* mail/rmailout.el (rmail-output-body-to-file):
	Use `format', not `message', in `y-or-n-p' call.

2006-11-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-metaleft): Call `org-outdent-item' on bullets.
	(org-metaright): Call `org-indent-item' on bullets.
	(org-timestamp-change): Set `org-last-changed-timestamp'.
	(org-current-line): Make sure (bolp) returns correct result.
	(org-agenda-change-all-lines): Make sure highlighting TODO always works.

2006-11-12  Richard Stallman  <rms@gnu.org>

	* language/european.el (turkish-case-conversion-enable)
	(turkish-case-conversion-disable): New functions.
	("Turkish" lang env): Use them.

	* international/characters.el (case table):
	Do nothing special for i and I.

	* subr.el (remove-overlays): Fix last change.

	* cus-edit.el (custom-save-all): Use find-file-visit-truename
	for visiting the custom file.

2006-11-12  Markus Triska  <triska@gmx.at>

	* play/handwrite.el (handwrite): Also process lines not ending
	with newline.  Replace some position-fiddling with different
	logic.  Improve performance.

2006-11-12  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-xref.el (ada-prj-default-check-cmd): New variable,
	replacing deleted variable `ada-check-switch'.
	(ada-project-file-extension): Rename to `ada-prj-file-extension'.
	(ada-xref-project-files): Improve doc string.
	(ada-find-executable): New function.
	(ada-initialize-runtime-library): Use `ada-find-executable'.
	(ada-xref-set-default-prj-values): In compile commands, don't need
	`ada-cd-command'; `compile' does that more portably.
	Use ada-prj-default-check-cmd.
	(ada-parse-prj-file): Don't set 'debug_post_cmd, 'debug_pre_cmd
	properties if not specified in project file.
	(ada-goto-declaration): Display useful message for new error
	'error-file-not-found.
	(ada-get-ada-file-name, ada-find-in-src-path): Signal new error
	'error-file-not-found.
	(ada-get-all-references): Match latest ali syntax.  Signal new
	error 'error-file-not-found.
	(ada-find-in-ali): Match latest ali syntax.
	(ada-make-filename-from-adaname): Handle different semantics of
	gnatkr in GNAT 3.15p vs later.

	* progmodes/ada-stmt.el (ada-func-or-proc-name): Match changes to
	ada-procedure-start-regexp.
	(ada-or-accept, ada-or-delay, ada-or-terminate): Improve doc string.

	* progmodes/ada-mode.el: Replace conditional (require 'ispell)
	with defvar.
	(ada-language-version): Rename ada05 -> ada2005.
	(ada-align-region-separate): Add `eval-when-compile'.
	(ada-name-regexp): Remove unneeded escapes in regexp character
	alternative.
	(ada-compile-goto-error-file-linenr-re): New constant.
	(ada-matching-start-re): Handle additional cases `declare',
	`procedure', `function'.
	(ada-compile-goto-error): Handle "... at line nn".
	(ada-mode): Clearer syntax, comments for ff-special-constructs.
	Delete support for old versions of `align'.
	(ada-search-prev-end-stmt): Handle additional keyword `private'.
	(ada-check-defun-name): Simplify handling of `declare'.
	(ada-goto-matching-start): Handle nested `begin ... end'.
	Handle `declare', `protected', `procedure', `function'.
	(ada-create-menu): Presence of arm95 is not conditional on using
	GNAT compiler.

2006-11-12  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/re-builder.el (reb-mode): Set `blink-matching-paren' to
	nil in the *RE-Builder* buffer (it causes spurious error messages).

	* server.el (server-visit-files): If `minibuffer-auto-raise' has
	been set to t, respect it.

2006-11-11  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el: Delete `eval-and-compile' around `require'.
	Delete commented out code for old Emacs versions.  Autoloading of
	"ada-xref", "ada-prj" is useful even if compiler is not GNAT.
	(ada-mode-version): Bump version number.
	(ada-95-string-keywords, ada-2005-string-keywords)
	(ada-2005-keywords, ada-name-regexp): New constant.
	(ada-language-version, ada-procedure-start-regexp, ada-mode)
	(ada-font-lock-keywords): Add support for Ada 2005 keywords.
	(ada-package-start-regexp): Support private packages, include package
	name (for ada-set-point-accordingly).
	(ada-next-procedure, ada-previous-procedure)
	(ada-which-function-are-we-in): Match changes to
	ada-procedure-start-regexp.
	(ada-make-body): Make non-interactive; not a user function.
	(ada-make-subprogram-body): Improve doc string.

2006-11-11  Romain Francoise  <romain@orebokech.com>

	* progmodes/cperl-mode.el (cperl-mode): Before adding to it, make
	`compilation-error-regexp-alist' buffer-local, since we changed
	`compilation-error-regexp-alist-alist' locally.

2006-11-11  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-visit-files): Bind `minibuffer-auto-raise'
	to the value of `server-raise-frame'.

2006-11-11  Glenn Morris  <rgm@gnu.org>

	* ido.el (ido-enable-prefix)
	* ses.el (ses-call-printer-return)
	* net/tramp.el (tramp-unified-filenames)
	* progmodes/cc-align.el (c-lineup-string-cont)
	* progmodes/compile.el (compilation-directory-matcher)
	* progmodes/ebnf2ps.el (ebnf-stop-on-error)
	* progmodes/vhdl-mode.el (vhdl-reset-active-high)
	(vhdl-clock-rising-edge)
	* textmodes/org.el (org-export-with-timestamps)
	(org-export-remove-timestamps-from-toc)
	(org-export-with-tags): Improve previous doc fixes.

2006-11-11  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-mode-map):
	Bind C-c $ instead of M-RET.

2006-11-10  Simon Marshall  <simon@gnu.org>

	* progmodes/cc-fonts.el (c-font-lock-declarations): Don't overwrite
	fontification for "case" and "default" keywords.

2006-11-10  Andreas Schwab  <schwab@suse.de>

	* calendar/cal-dst.el (calendar-dst-check-each-year-flag):
	Avoid starting sentence with "nil".

2006-11-10  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-raise-frame): New option.
	(server-switch-buffer): Use it.

2006-11-10  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-many-windows): Start doc string
	with a capital.

2006-11-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* textmodes/org.el (org-show-hierarchy-above)
	(org-show-following-heading): Fix typo in default value.
	(org-scan-tags): Make the search case-sensitive.
	(org-tags-sparse-tree): Don't overrule
	`org-show-following-heading' and `org-show-hierarchy-above'.
	(org-reveal): New command.
	(org-show-context): Rename from `org-show-hierarchy-above'.
	(org-fast-tag-selection-single-key): New option.
	(org-fast-tag-show-exit, org-set-current-tags-overlay): New functions.
	(org-tags-overlay): New variable.
	(org-agenda-todo-ignore-deadlines): New option.
	("session"): Add circular data structure `org-mark-ring' to
	exceptions list in session.el.
	(org-agenda-window-setup, org-agenda-restore-windows-after-quit):
	New options.
	(org-agenda-quit): Use `org-agenda-restore-windows-after-quit'.
	(org-prepare-agenda, org-agenda-quit): Use `org-agenda-window-setup'.
	(org-pre-agenda-window-conf, org-blank-before-new-entry): New vars.
	(org-finalize-agenda): Activate bracket links in agenda.
	(org-at-timestamp-p, org-at-date-range-p): Additional argument
	INACTIVE-OK.
	(org-show-hierarchy-above, org-show-following-heading):
	List values allowed for fine-tuned configuration.
	(org-show-hierarchy-above): New argument CONTEXT, use the
	fine-tuned settings in `org-show-hierarchy-above' and
	`org-show-following-heading'.
	(org-display-custom-time): New function.
	(org-toggle-time-stamp-overlays, org-insert-time-stamp): New function.
	(org-display-custom-times, org-time-stamp-custom-formats):
	(org-maybe-intangible): New macro.
	(org-activate-bracket-links, org-hide-wide-columns):
	Use `org-maybe-intangible'.
	(org-open-file): Use `shell-quote-argument'.
	(org-display-internal-link-with-indirect-buffer): New option.
	(org-file-remote-p): Get regexp from list.
	(org-link-expand-abbrev): New function.
	(org-link-abbrev-alist): New option.
	(org-open-at-point, org-cleaned-string-for-export):
	Call `org-link-expand-abbrev'.
	(org-timeline, org-agenda-list, org-todo-list)
	(org-tags-view): Remove the KEEP-MODES argument.
	(org-finalize-agenda-hook): New hook.
	(org-get-alist-option): New function.
	(org-follow-timestamp-link): New function.
	(org-open-at-point): Call `org-follow-timestamp-link'.
	(org-log-note-marker, org-log-note-purpose)
	(org-log-note-window-configuration): New variables.
	(org-add-log-maybe, org-add-log-note, org-store-log-note): New funs.
	(org-log-note-headings): New option.
	(org-dblock-write:clocktable): Bug fix, removed infinite loop.
	(org-store-link): Support for dired-mode.
	(org-open-file): Substitute environment variables into filename.
	(org-last): New defsubst.
	(org-agenda-re-align-tags): New function.
	(org-agenda-align-tags-to-column): New option.
	(org-agenda-timeline): Group removed.
	(org-prepare-agenda, org-prepare-agenda-buffers)
	(org-run-agenda-series, org-timeline, org-agenda-list)
	(org-todo-list, org-tags-view): Call `org-agenda-prepare' and set
	the text property inticating the agenda type.
	(org-agenda-post-command-hook): Get agenda type from text property
	at point.
	(org-agenda): Handle command sets.  Set `org-agenda-last-arguments'
	and obey `org-agenda-overriding-arguments'.
	(org-agenda-overriding-arguments, org-agenda-last-arguments): New vars.
	(org-agenda-goto-today, org-agenda-later, org-agenda-earlier)
	(org-agenda-week-view, org-agenda-day-view):
	Use `org-agenda-overriding-arguments' to make updating work with
	multi-block agendas.
	(org-agenda-prefix-format): Allow different formats for the
	different agenda entry types.
	(org-timeline-prefix-format): Option removed, use
	`org-agenda-prefix-format' instead.
	(org-prepare-agenda): New function.
	(org-select-timeline-window): Option removed, use
	`org-select-agenda-window' instead.
	(org-respect-restriction): Variable removed.
	(org-cmp-tag): New function.
	(org-agenda-sorting-strategy, org-entries-lessp):
	Implement sorting by last tag.
	(org-complete): Better completion in in-buffer option lines.
	(org-in-item-p): New function.
	(org-org-menu): Add entries for checkboxes.
	(org-cycle): Extra brouping in outline-regexp, because it is used
	in a search with "^" prepended.
	(org-provide-checkbox-statistics): New option.
	(org-set-font-lock-defaults): Highlight checkbox statistics.
	(org-update-checkbox-count-maybe)
	(org-get-checkbox-statistics-face): New functions.
	(org-update-checkbox-count): New command.
	(org-insert-item, org-toggle-checkbox):
	Call `org-update-checkbox-count-maybe'.
	(org-export-as-html): XEmacs compatibility for coding system.
	(org-force-cycle-archived): New command.
	(org-cycle-hide-archived-subtrees): Display message when ARCHIVE
	overrules cycling.
	(org-fix-position-after-promote): If the line contains only a todo
	keyword, add a final space.
	(org-promote-subtree, org-demote-subtree):
	Call `org-fix-position-after-promote'.

2006-11-10  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-dst.el: Do not assume DST starts/ends on the same
	date in every year.
	(calendar-dst-check-each-year-flag): New customizable variable.
	(calendar-dst-find-data): New function, extracted from
	calendar-current-time-zone.
	(calendar-current-time-zone): Use calendar-dst-find-data.
	(calendar-dst-transition-cache): New variable.
	(calendar-dst-find-startend, calendar-dst-starts)
	(calendar-dst-ends): New functions.
	(calendar-daylight-savings-starts)
	(calendar-daylight-savings-ends): Change value to use
	calendar-dst-starts, calendar-dst-ends; respectively.

	* progmodes/f90.el (f90-indent-region): Bind case-fold-search to t.

	* ido.el (ido-enable-prefix)
	* ses.el (ses-call-printer-return)
	* net/tramp.el (tramp-unified-filenames)
	* progmodes/cc-align.el (c-lineup-string-cont)
	* progmodes/compile.el (compilation-directory-matcher)
	* progmodes/ebnf2ps.el (ebnf-stop-on-error)
	* progmodes/gdb-ui.el (gdb-many-windows)
	* progmodes/vhdl-mode.el (vhdl-reset-active-high)
	(vhdl-clock-rising-edge)
	* textmodes/org.el (org-export-with-timestamps)
	(org-export-remove-timestamps-from-toc, org-export-with-tags)
	(org-read-date): Doc fix (Nil -> nil).

2006-11-10  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-select-text, x-cut-buffer-or-selection-value):
	Encode/decode text to/from cut buffers to/from iso-latin-1 only.

2006-11-10  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--window-for-buffer): Remove.
	(bs--show-with-configuration): Use `get-window-with-predicate'
	instead of `bs--window-for-buffer'.

2006-11-10  Kenichi Handa  <handa@m17n.org>

	* files.el (revert-buffer): Fix previous change.

2006-11-09  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--redisplay): Fix typo in docstring.
	(bs--window-config-coming-from): Make frame-local.
	(bs--restore-window-config): New function.
	(bs-kill, bs-select, bs-select-other-window)
	(bs-select-other-frame): Use it.
	(bs--window-for-buffer): Return as soon as a matching buffer is found.
	(bs--show-with-configuration): Save the window configuration as a
	frame local var, and only if *buffer-selection* is not already
	visible on this frame.

2006-11-08  Chong Yidong  <cyd@stupidchicken.com>

	* vc-svn.el (vc-svn-admin-directory): New var.
	(vc-svn-registered, vc-svn-responsible-p)
	(vc-svn-repository-hostname): Use it.
	Suggested by arit93@yahoo.com.

2006-11-08  Juanma Barranquero  <lekktu@gmail.com>

	* ldefs-boot.el: Regenerate.

2006-11-08  Alan Mackenzie  <acm@muc.de>

	* emacs-lisp/lisp.el (beginning-of-defun-raw): Code up the
	case (eq open-paren-in-column-0-is-defun-start nil) by searching
	for least nested open-paren.

2006-11-08  Romain Francoise  <romain@orebokech.com>

	* subr.el (remove-overlays): Fix typo in last change.

2006-11-08  Richard Stallman  <rms@gnu.org>

	* subr.el (remove-overlays): Call overlay-recenter.

2006-11-08  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* printing.el (pr-alist-custom-set, pr-ps-utility-custom-set)
	(pr-ps-name-custom-set, pr-txt-name-custom-set): Return back the old
	behaviour.
	(pr-menu-bind): Act on global-map instead of menu-bar-file-menu
	directly.

2006-11-08  Juanma Barranquero  <lekktu@gmail.com>

	* ido.el (ido-ignore-extensions, ido-show-dot-for-dired)
	(ido-max-dir-file-cache, ido-decorations)
	(ido-rewrite-file-prompt-functions, ido-use-mycompletion-depth)
	(ido-magic-backward-char, ido-enter-dired)
	(ido-enter-insert-buffer, ido-enter-insert-file, ido-dired)
	(ido-list-directory, ido-first-match, ido-only-match)
	(ido-subdir, ido-indicator): Fix typos in docstrings.
	(ido-buffer-internal, ido-completion-help): Fix typos in messages.
	(ido-read-internal): Fix typo in error message.

2006-11-08  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-default-coding-systems):
	Always set default-file-name-coding-system to utf-8 for Mac Darwin.

2006-11-08  Juanma Barranquero  <lekktu@gmail.com>

	* makefile.w32-in (setwins): Remove.
	(WINS_ALMOST): New macro.
	(WINS): Use it.
	(autoloads): Don't extract autoloads from files in obsolete/.

2006-11-07  Chong Yidong  <cyd@stupidchicken.com>

	* whitespace.el (whitespace-buffer): Call remove-overlays after
	overlay-recenter for performance.  Suggested by Martin Rudalics.

2006-11-07  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-default-method): scp is the default method.

2006-11-07  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-start): Save also the Emacs pid in the server file.

2006-11-07  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex-cite.el (reftex-pop-to-bibtex-entry): Preserve
	point when displaying a bibtex cross reference in the echo area.

2006-11-06  Juanma Barranquero  <lekktu@gmail.com>

	* international/mule.el (make-char): Fix typo in docstring.
	(load-with-code-conversion, charsetp): Doc fixes.

	* international/ja-dic-cnv.el (skkdic-convert):
	* cus-edit.el (hook): Fix typo in docstring.

2006-11-06  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-mode-map): Move defvar above code using it.
	(custom-mode-link-map): New variable.
	(custom-group-link, custom-manual): Use follow-link.

2006-11-06  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el: Fix typo in name of author of bibtex.el,
	"Mark Shapiro" -> "Marc Shapiro".  Update his email address.

2006-11-06  Richard Stallman  <rms@gnu.org>

	* textmodes/flyspell.el (flyspell-correct-word-before-point):
	New function broken out of flyspell-correct-word.
	(flyspell-mode-map): Bind it to M-RET.
	(flyspell-correct-word): Call it.

	* textmodes/fill.el (fill-minibuffer-function): New function.
	(fill-paragraph): Bind fill-paragraph-function to
	fill-minibuffer-function.

	* ruler-mode.el (ruler-mode-map): Add bindings for up-events
	so that they aren't undefined.

	* dired.el (dired-readin): Locally bind file-name-coding-system.

	* bindings.el: Shorten and clarify usual mode line mouse help string.

	* Makefile.in (autoloads): Don't include `obsolete'.

2006-11-06  Chong Yidong  <cyd@stupidchicken.com>

	* printing.el (pr-alist-custom-set, pr-ps-utility-custom-set)
	(pr-ps-name-custom-set, pr-txt-name-custom-set): Don't update the
	Printing menu if it's not initialized.
	(pr-menu-bind): Act on menu-bar-file-menu directly.

2006-11-06  Juanma Barranquero  <lekktu@gmail.com>

	* help.el (view-emacs-news): Fix typo in error message.

	* menu-bar.el (menu-bar-update-buffers): Fix typo in menu entry.

	* shadowfile.el (shadow-define-regexp-group)
	(shadow-literal-groups, shadow-insert-var): Doc fixes.
	(shadow-read-files): Fix typo in message.
	(shadow-inhibit-overload, shadow-find, shadow-suffix)
	(shadow-site-match, shadow-write-todo-file, shadow-insert-var)
	(shadow-suffix, shadow-site-match, shadow-expand-file-name)
	(shadow-file-match): Fix typos in docstrings.

	* terminal.el (terminal-emulator): Fix typo in message.

	* emacs-lisp/authors.el (authors-fixed-entries): Fix typo.

	* emacs-lisp/lselect.el (x-kill-primary-selection)
	(x-delete-primary-selection, x-copy-primary-selection):
	Fix typos in error messages.

	* emulation/edt-mapper.el: Fix typo in interactive message.

	* mail/emacsbug.el (report-emacs-bug): Fix typos in output message.

	* textmodes/ispell.el (ispell, ispell-local-dictionary-alist)
	(ispell-help): Fix typos in docstrings.
	(ispell-help): Fix typo in output message.

	* allout.el (allout-adjust-file-variable)
	(allout-passphrase-verifier-string)
	(allout-passphrase-hint-string)
	(allout-toggle-current-subtree-encryption):
	* apropos.el (apropos-synonyms):
	* cus-edit.el (hook):
	* emacs-lock.el (emacs-lock-from-exiting):
	* follow.el (follow-avoid-tail-recenter-p):
	* hexl.el (hexl-mode):
	* mouse-copy.el (mouse-copy-work-around-drag-bug):
	* mouse.el (mouse-set-font):
	* resume.el (resume-emacs-args-file):
	* rfn-eshadow.el (file-name-shadow-tty-properties):
	* t-mouse.el (t-mouse-process, t-mouse-mode):
	* emacs-lisp/cust-print.el (custom-print-install)
	(custom-print-uninstall, custom-format):
	* emacs-lisp/shadow.el (list-load-path-shadows):
	* emulation/tpu-edt.el (tpu-help-text)
	(tpu-save-all-buffers-kill-emacs, tpu-emacs-replace)
	(tpu-reset-control-keys):
	* emulation/vip.el (vip-emacs-local-map)
	(vip-change-mode-to-emacs):
	* emulation/viper.el (viper-mode, viper-set-hooks)
	(viper-major-mode-modifier-list):
	* emulation/viper-init.el (viper-emacs-state-cursor-color):
	* emulation/viper-keym.el (viper-emacs-kbd-map)
	(viper-toggle-key):
	* mail/feedmail.el (feedmail-queue-reminder)
	(feedmail-queue-reminder-alist, feedmail-confirm-outgoing)
	(feedmail-confirm-outgoing-timeout, feedmail-nuke-bcc)
	(feedmail-nuke-resent-bcc, feedmail-fill-to-cc-fill-column)
	(feedmail-sender-line, feedmail-force-binary-write)
	(feedmail-from-line, feedmail-deduce-envelope-from)
	(feedmail-x-mailer-line, feedmail-message-id-generator)
	(feedmail-date-generator, feedmail-fiddle-plex-user-list)
	(feedmail-enable-spray, feedmail-spray-this-address)
	(feedmail-spray-address-fiddle-plex-list, feedmail-enable-queue)
	(feedmail-queue-runner-confirm-global)
	(feedmail-ask-before-queue-prompt)
	(feedmail-ask-before-queue-reprompt)
	(feedmail-prompt-before-queue-standard-alist)
	(feedmail-prompt-before-queue-user-alist)
	(feedmail-prompt-before-queue-help-supplement)
	(feedmail-queue-use-send-time-for-message-id)
	(feedmail-queue-default-file-slug, feedmail-queue-fqm-suffix)
	(feedmail-mail-send-hook-splitter, feedmail-mail-send-hook)
	(feedmail-mail-send-hook-queued)
	(feedmail-confirm-addresses-hook-example)
	(feedmail-last-chance-hook, feedmail-before-fcc-hook)
	(feedmail-queue-runner-mode-setter)
	(feedmail-queue-alternative-mail-header-separator)
	(feedmail-queue-runner-message-sender)
	(feedmail-buffer-eating-function, feedmail-binmail-template)
	(feedmail-run-the-queue-no-prompts)
	(feedmail-run-the-queue-global-prompt)
	(feedmail-queue-subject-slug-maker, feedmail-fiddle-header)
	(feedmail-envelope-deducer, feedmail-fiddle-date)
	(feedmail-default-message-id-generator)
	(feedmail-fiddle-message-id, feedmail-fiddle-x-mailer)
	(feedmail-fiddle-spray-address, feedmail-deduce-address-list):
	* mail/vms-pmail.el (vms-pmail-save-and-exit, vms-pmail-abort)
	(vms-pmail-setup):
	* play/dunnet.el (dun-help):
	* play/handwrite.el (handwrite):
	* play/hanoi.el (hanoi-unix-64):
	* progmodes/idlwave.el (idlwave-rescan-asynchronously):
	* textmodes/enriched.el (fixed):
	* textmodes/org.el (org-file-apps)
	(org-emphasis-regexp-components, org-emphasis-alist):
	* textmodes/texinfmt.el (batch-texinfo-format):
	Fix typos in docstrings.

2006-11-05  Juanma Barranquero  <lekktu@gmail.com>

	* loadhist.el (read-feature): Don't complete features not loaded
	from a file (which make `unload-feature' to fail).

2006-11-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* add-log.el (add-log-time-zone-rule): Mark as safe-local-variable.

2006-11-05  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (command-line-1): Kill emacs if the last frame is
	deleted while evaluating the command-line arguments.

2006-11-05  Richard Stallman  <rms@gnu.org>

	* startup.el (init-file-had-error): Add doc string.
	(fancy-splash-text, fancy-splash-head, fancy-splash-tail):
	Use fixed-width font for keyboard key descriptions.

	* cus-edit.el (custom-save-all): Error if saving in .emacs
	and it had an error when loaded.

	* dired-aux.el (dired-copy-file-recursive): Catch errors
	from recursive copies in the loop, around the recursive call.

2006-11-05  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* battery.el (battery-linux-proc-acpi): Search an ac_adapter in
	`/proc/acpi/ac_adapter/*'.  Ditto for the thermometers in
	`/proc/acpi/thermal_zone/*'.
	(battery-search-for-one-match-in-files): New.  Search a regexp in
	the content of some files.

2006-11-05  Martin Rudalics  <rudalics@gmx.at>

	* window.el (mouse-autoselect-window-now): Remove variable.
	(mouse-autoselect-window-state): New variable.
	(mouse-autoselect-window-start, mouse-autoselect-window-cancel)
	(mouse-autoselect-window-select, handle-select-window):
	Rewritten to make mouse-autoselect-window-timer a one-shot timer.
	Suspend delayed autoselection during menu or popup dialog.

	* info-look.el (info-lookup-guess-custom-symbol): New function
	for retrieving symbol at point in custom buffers.
	(top level) <info-lookup-maybe-add-help>: Add backquote and
	comma to ignored characters in regexps of help specifications
	for emacs-lisp-mode and lisp-interaction-mode.  This permits
	looking up symbols in `...' and after a comma.  Add help
	specifications for custom-mode and help-mode.

2006-11-04  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-redecode-body): New optional argument RAW.
	Don't encode body if RAW is non-nil, or if the old encoding is
	identical to the new encoding, or if the body contains only
	eight-bit-* characters.

2006-11-04  Yoni Rabkin Katzenell  <yoni-r@actcom.com>  (tiny change)

	* faces.el (faces-sample-overlay, describe-face): Revert last changes.
	(faces-sample-overlay): Remove variable.
	(describe-face): Insert sample text in the face being described.

2006-11-04  Martin Rudalics  <rudalics@gmx.at>

	* whitespace.el (whitespace-indent-regexp): Make this match any
	multiples of eight spaces near the beginning of a line.
	(whitespace-buffer): Use `remove-overlays' instead of
	`whitespace-unhighlight-the-space' and `overlay-recenter' to
	speed up overlay handling.
	(whitespace-buffer-leading, whitespace-buffer-trailing):
	Make these functions highlight the text removed by
	`whitespace-buffer-leading-cleanup' and
	`whitespace-buffer-trailing-cleanup' respectively.
	(whitespace-buffer-search): Use `with-local-quit'.
	Move `format' out of loop to speed up scanning larger buffers.
	(whitespace-unhighlight-the-space): Remove `remove-hook' since
	that function is never added to a hook.
	(whitespace-spacetab-regexp, whitespace-ateol-regexp)
	(whitespace-buffer-leading-cleanup)
	(whitespace-refresh-rescan-list): Fix docstrings.

2006-11-03  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-during-yank-processing): Cue for inhibiting
	aberrance processing during yanks.
	(allout-doublecheck-at-and-shallower): Reduce the limit to reduce
	the amount of yanked topics that can be aberrant.
	(allout-do-doublecheck): Encapsulate this multiply-used recipe in
	a function, and supplement with inihibition of doublechecking
	during yanks.
	(allout-beginning-of-line, allout-next-heading)
	(allout-previous-heading, allout-goto-prefix-doublechecked)
	(allout-back-to-current-heading, allout-next-visible-heading)
	(allout-next-sibling): Use new allout-do-doublecheck function.
	(allout-next-sibling): Ensure we made progress when returning
	other than nil.
	(allout-rebullet-heading): Preserve text property annotations
	indicating the text was hidden, if it was.
	(allout-kill-line): Remove any added was-hidden annotations.
	(allout-kill-topic): Remove any added was-hidden annotations.
	(allout-annotate-hidden): Inhibit adding was-hidden text
	properties to the undo list.
	(allout-deannotate-hidden): New function to remove was-hidden
	annotation.
	(allout-hide-by-annotation): Use new allout-deannotate-hidden.
	(allout-remove-exposure-annotation): Replace by
	allout-deannotate-hidden.
	(allout-yank-processing): Signal that yank processing is happening
	with allout-during-yank-processing.  Also, wrap
	allout-unprotected's closer to the text changes, for easier
	debugging.  We need to inhibit-field-text-motion explicitly, in
	lieu of the encompassing allout-unprotected.
	(outlineify-sticky): Adjust criteria for triggering new outline
	decorations to presence or absence of any topics, not just a topic
	at the beginning of the buffer.

2006-11-03  Juanma Barranquero  <lekktu@gmail.com>

	* bs.el (bs--show-all, bs--redisplay):
	* cus-edit.el (custom-unlispify-menu-entries)
	(custom-unlispify-tag-names, custom-prompt-variable):
	* expand.el (expand-pos):
	* speedbar.el (speedbar-generic-list-tag-p):
	* wid-edit.el (widget-image-enable):
	* emacs-lisp/checkdoc.el (checkdoc-rogue-space-check-engine):
	* emacs-lisp/find-func.el (find-function-noselect)
	(find-function, find-variable-noselect, find-variable)
	(find-definition-noselect, find-face-definition):
	* mail/rmail-spam-filter.el (rsf-scanning-messages-now):
	* net/eudc-vars.el (eudc-expansion-overwrites-query):
	* progmodes/ada-xref.el (ada-find-in-ali):
	* textmodes/flyspell.el (flyspell-check-tex-math-command):
	* textmodes/org.el (org-copy-subtree):
	* textmodes/table.el (table--row-column-insertion-point-p):
	Use "non-nil" in docstrings.

2006-11-03  Mark Davies  <mark@mcs.vuw.ac.nz>

	* sort.el (sort-columns): Set the field separator to tab; on
	NetBSD, sort complains if "\n" is used as field separator.

2006-11-03  NIIMI Satoshi  <sa2c@sa2c.net>

	* emacs-lisp/pp.el (pp-eval-last-sexp): Evaluate target sexp.

2006-11-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-auth-key): Remove.  Replace by a process-property.
	(server-start): Don't remove the file of the previous process, but
	instead clear out the place for the new file.
	(server-start): Set the :auth-key property.
	(server-process-filter): Use the :auth-key property.

2006-11-02  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode-map): No longer copy
	`outline-mode-map' explicitly - this is already done by
	`define-derived-mode'.

2006-11-02  Juanma Barranquero  <lekktu@gmail.com>

	* server.el (server-visit-files): Use `when'.
	(server-process-filter): When authentication fails, send error
	message to client.  Wrap `process-send-region' in `ignore-errors'
	instead of `condition-case', and remove misleading comment.

2006-11-01  Juri Linkov  <juri@jurta.org>

	* simple.el (yank): Doc fix.

2006-11-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el: Try and fit within 80 columns.
	(server-start): Make the auth file unreadable by other users.

2006-10-31  Andreas Seltenreich  <uwi7@rz.uni-karlsruhe.de>

	* battery.el (battery-linux-proc-acpi): Prevent range error when
	`full-capacity' is 0.

2006-10-31  Yoni Rabkin Katzenell  <yoni-r@actcom.com>  (tiny change)

	* faces.el (faces-sample-overlay): New defvar.
	(faces-sample-overlay): New function to show face sample text.
	(describe-face): Use it.

2006-10-31  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-stmt.el: Change maintainer, apply
	whitespace-cleanup, checkdoc.
	(ada-func-or-proc-name): Add doc string.

	* progmodes/ada-prj.el (ada-prj-new): Change maintainer, apply
	whitespace-cleanup, checkdoc.  Minor improvements to many doc
	strings and comments.
	(ada-prj-display-page): Change buffer name to more accurately
	reflect function.

	* progmodes/ada-xref.el: Change maintainer, apply
	whitespace-cleanup, checkdoc.  Minor improvements to many doc
	strings and comments.  Don't look for `gvd' or `ddd' debuggers.
	(ada-compile-current): Don't add newlines to commands.

2006-10-31  Juanma Barranquero  <lekktu@gmail.com>

	* server.el: Add support for TCP sockets.
	(server-use-tcp, server-host, server-auth-dir): New options.
	(server-auth-key): New variable.
	(server-ensure-safe-dir): Create nonexistent parent dirs.
	Ignore Unix-style file modes on Windows.
	(server-start): Crete a TCP or Unix socket according to the value
	of `server-use-tcp'.  For TCP sockets, create the id/auth file in
	`server-auth-dir' directory.
	(server-process-filter): Delete process if authentication
	fails (which never happens for Unix sockets).

2006-10-30  David Kastrup  <dak@gnu.org>

	* subr.el (add-to-list): Don't continue checking if a match has
	been found.

2006-10-30  Chong Yidong  <cyd@stupidchicken.com>

	* tutorial.el: Move defvars to avoid bytecomp warnings.
	(tutorial--find-changed-keys): Check if viper-current-state is
	bound before using it.
	(help-with-tutorial): Check if viper-tutorial is defined before
	using it.

2006-10-30  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* help-fns.el (help-with-tutorial): Move to tutorial.el.

	* tutorial.el: New file.
	(help-with-tutorial): Move here from help-fns.el. Added help for
	rebound keys.  Fixed resume of tutorial.
	(tutorial--describe-nonstandard-key, tutorial--sort-keys)
	(tutorial--find-changed-keys, tutorial--display-changes)
	(tutorial--saved-dir, tutorial--saved-file)
	(tutorial--save-tutorial): New functions to support the changes in
	help-with-tutorial.

2006-10-30  Kenichi Handa  <handa@m17n.org>

	* files.el (revert-buffer): If a unibyte buffer is being reverted
	with a coding system for multibyte, set buffer multibyte before
	calling insert-file-contents.

2006-10-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-select-display): Use a dummy buffer to detect when
	the frame is later used.
	(server-select-display): New function.
	(server-process-filter): Use it to detect unused temp frames.

2006-10-29  Stephen Leake  <stephen_leake@stephe-leake.org>

	* progmodes/ada-mode.el: Change maintainer, apply
	whitespace-clean, checkdoc.  Minor improvements to many doc strings.
	(ada-mode-version): New function.
	(ada-create-menu): Menu operations are available for all supported
	compilers.

2006-10-29  Lars Hansen  <larsh@soem.dk>

	* net/tramp.el (with-parsed-tramp-file-name): Correct debug spec.
	Highlight as keyword.
	(tramp-do-copy-or-rename-file): Correct data for 'file-already-exists.
	Don't call tramp-method-out-of-band-p for local files.
	(tramp-touch): Quote file name.

2006-10-28  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (cal-html-cursor-month)
	(cal-html-cursor-year): Add autoloads for this new package.
	(calendar-mode-map): Bind cal-html-cursor-month, cal-html-cursor-year.

2006-10-28  Anna M. Bigatti  <bigatti@dima.unige.it>

	* calendar/cal-html.el: New file.

2006-10-28  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/authors.el (authors-aliases): Update.

2006-10-27  Chong Yidong  <cyd@stupidchicken.com>

	* version.el (emacs-version): Bump version number to 22.0.90.

2006-10-26  John W. Eaton  <jwe@octave.org>

	* progmodes/octave-inf.el (inferior-octave-has-built-in-variables):
	New defvar.
	(inferior-octave-resync-dirs): Check to see whether Octave has
	built-in variables and set inferior-octave-has-built-in-variables.
	Check inferior-octave-has-built-in-variables to decide whether to
	send commands that set built-in variables or call functions to
	change Octave's behavior.
	Send "disp (pwd ())" to Octave instead of just "pwd".
	(inferior-octave-startup): Send "more off" to Octave instead of
	"page_screen_output = 0".

2006-10-26  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/cl-indent.el (lisp-indent-259): Indent nil's in the
	pattern normally.

2006-10-26  Nick Roberts  <nickrob@snap.net.nz>

	* bindings.el (mode-line-mode-menu): Remove bindings for global
	minor modes (line/column number) as they are on the menubar.

2006-10-25  Juanma Barranquero  <lekktu@gmail.com>

	* term/w32-win.el (x-handle-name-switch): Doc fix.
	(w32-standard-fontset-spec): Fix typo in docstring.

	* midnight.el (midnight-buffer-display-time): Doc fix.
	(clean-buffer-list-kill-never-buffer-names): Add "*server*".

2006-10-23  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-prefix-arg-com): Define gg as G0.

	* viper-ex.el (ex-read): Quote file argument.

	* ediff-diff.el (ediff-same-file-contents): Expand file names.

	* ediff-mult.el (ediff-append-custom-diff): Quote shell file arguments.

2006-10-22  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/flyspell.el (flyspell-check-region-doublons):
	Fix last fix.

2006-10-23  Nick Roberts  <nickrob@snap.net.nz>

	* bindings.el (mode-line-mode-menu): List global minor modes
	before local ones.

2006-10-23  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-list): Optimize if compare-fn is `eq' or `eql'.
	(sit-for): If last command was a prefix arg, add the read-ahead
	event to unread-command-events as (t . EVENT) so it will be added
	to this-command-keys by read-key-sequence.

2006-10-22  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/flyspell.el (flyspell-word): Skip past all previous
	whitespace when checking doublons.
	(flyspell-check-region-doublons): Fix doublon regexp.
	(flyspell-highlight-incorrect-region): Highlight doublons using
	flyspell-duplicate face.

	* progmodes/cperl-mode.el (cperl-invalid-face): Fix defcustom.

2006-10-22  John Wiegley  <johnw@newartisans.com>

	* progmodes/python.el (python-use-skeletons): python-mode was
	auto-inserting templates (for those with abbrev-mode on), not only
	by default -- *but without a configuration variable to disable
	it*.  This rendered python-mode completely useless for me, so I
	have added `python-use-skeletons', which is now off by default.

2006-10-22  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cperl-mode.el (cperl-mode): Don't assume
	font-lock-multiline is auto-local (it's not).
	(cperl-windowed-init): Ensure that cperl-font-lock-multiline is
	initialized before calling cperl-init-faces.

2006-10-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-stack-custom): Don't try to give
	gdb-stack-position a value when there is no fringe.

	* bindings.el (mode-line-mode-menu): Disable auto-revert-tail-mode
	indicator if not visiting a file.

2006-10-20  David Kastrup  <dak@gnu.org>

	* window.el (kill-buffer-and-window): Fix a bug where an aborted
	operation would still cause some window to collapse later.

2006-10-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-switch-backend): Try to be more careful with unwanted
	side-effect due to mixing various backends's file properties.

	* vc-svn.el (vc-svn-parse-status): Remove unused arg `localp'.
	Add arg `filename' instead.  Don't set vc-backend if `filename' is set.
	Return `filename's status if applicable.  Update callers.

2006-10-19  Kenichi Handa  <handa@m17n.org>

	* international/kkc.el (kkc-region): When a key sequence is not
	defined, append (this-single-command-raw-keys) to
	unread-input-method-events.

2006-10-19  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-mode.el (ada-in-string-p): Doc fix.

2006-10-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* version.el (emacs-version): Use mac-carbon-version-string.

	* term/macterm.el (res-geometry): Apply 2006-10-18 change for x-win.el.

2006-10-19  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* select.el (ccl-check-utf-8, string-utf-8-p): New functions
	(by Kenichi Handa).
	(xselect-convert-to-string): Decline requests for UTF8_STRING if
	the selection is not UTF-8.

2006-10-18  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-mode.el (ada-83-string-keywords)
	(ada-last-which-function-line ada-no-auto-case, ada-indent-region)
	(ada-which-compiler, ada-align-modes, ada-adjust-case-buffer)
	(ada-looking-at-semi-private, ada-get-body-name):
	Fix typos in docstrings.
	(ada-create-case-exception, ada-create-case-exception-substring):
	Fix typos in error messages.
	(ada-goto-matching-end, ada-narrow-to-defun): Doc fixes.

2006-10-18  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (res-geometry): Don't set geometry from Xresources
	to default-frame-alist if default-frame-alist already contains
	width/height.

2006-10-18  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/pp.el (pp-eval-expression): Use `X' to read value.
	Non-interactive arg is the value, not the expression.

	* simple.el (read-expression-map): Just set it, no defvar.

	* subr.el (insert-for-yank-1): If last inserted char has
	properties, mark them as rear-nonsticky.

	* recentf.el (recentf-mode): Doc fix.

	* facemenu.el (facemenu-add-new-face): Defend against symbol
	that isn't a face name.

	* dired-aux.el (dired-do-copy): Doc fix.

2006-10-18  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1): Ignore fields when moving to the
	beginning of line to avoid getting point stuck.

2006-10-18  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/flyspell.el (flyspell-word-search-backward):
	Set inhibit-point-motion-hooks to avoid looping due to intangibile
	text.

2006-10-16  Richard Stallman  <rms@gnu.org>

	* help-fns.el (describe-function-1): Special case optimization
	for self-insert-command.

2006-10-16  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-reread-directory): Work in `dir' mode too.

2006-10-15  Martin Rudalics  <rudalics@gmx.at>

	* textmodes/table.el: Require 'regexp-opt.

2006-10-15  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* progmodes/flymake.el (flymake-get-project-include-dirs-imp):
	Use shell-quote-argument.

	* shell.el (explicit-bash-args): Likewise.

	* progmodes/ada-xref.el (ada-find-in-src-path): Likewise.
	Use grep -E rather than egrep.

2006-10-15  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* ido.el (ido-exhibit): Allow `-', `_', and trailing `$' in user id.

2006-10-15  Kim F. Storm  <storm@cua.dk>

	* filesets.el (filesets-run-cmd--repl-fn): Use shell-quote-argument.

2006-10-14  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* filesets.el (filesets-cmd-shell-command): Quote buffer-file-name
	to protect whitespace and metacharacters from the shell.

2006-10-13  Giorgos Keramidas  <keramida@ceid.upatras.gr>  (tiny change)

	* apropos.el (apropos-pattern-quoted): Fix a typo in a doc string.

2006-10-13  Eli Zaretskii  <eliz@gnu.org>

	* subr.el (start-process-shell-command): Doc fix.

2006-10-13  Andrea Russo  <rastandy@salug.it>  (tiny change)

	* info-look.el <maxima-mode, inferior-maxima-mode>: Allow [0-9] in
	the regexp for Maxima symbols.

2006-10-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc-hooks.el (vc-ignore-dir-regexp): Make it into a defcustom.
	(vc-find-root): Don't walk higher up than ~.

2006-10-12  Chong Yidong  <cyd@stupidchicken.com>

	* international/utf-8.el (utf-translate-cjk-load-tables):
	Avoid clobbering last-coding-system-used during load.

2006-10-12  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/reftex-global.el (reftex-create-tags-file):
	Quote file arguments.

2006-10-12  Richard Stallman  <rms@gnu.org>

	* files.el (file-name-history): Add defvar.
	(save-some-buffers-action-alist): Improve description strings.

2006-10-12  Andreas Schwab  <schwab@suse.de>

	* files.el (auto-mode-alist): Match change log file name also with
	a dash before a numeric extension.

2006-10-11  Ilya Zakharevich  <ilyaz@cpan.org>

	* progmodes/cperl-mode.el: Merge from upstream, upto version 5.22.
	After 5.0:
	(cperl-add-tags-recurse-noxs-fullpath): New function (for -batch mode).

	After 5.1: Major edit.  Summary of most visible changes:

	- Multiple <<HERE per line allowed.
	- Handles multiline subroutine declaration headers (with comments).
	  (The exception is `cperl-etags' - but it is not used in the rest
	  of the mode.)
	- Fontifies multiline my/our declarations (even with comments,
	  and with legacy `font-lock').
	- Major speedup of syntaxification, both immediate and postponed
	  (3.5x to 15x [for different CPUs and versions of Emacs] on the
	  huge real-life document I tested).
	- New bindings, edits to imenu.
	- "_" is made into word-char during fontification/syntaxification;
	  some attempts to recognize non-word "_" during other operations too.
	- Detect bug in Emacs with `looking-at' inside `narrow' and bulk out.
	- autoload some more perldoc-related stuff
	- New convenience features: ISpell POD/HEREDOCs, narrow-to-HEREDOC.
	- Attempt to incorporate XEmacs edits which reached me.

	Fine-grained changelog:
	(cperl-hook-after-change): New configuration variable.
	(cperl-vc-sccs-header): Likewise.
	(cperl-vc-sccs-header): Likewise.
	(cperl-vc-header-alist): Default via two preceding variables.
	(cperl-invalid-face): Remove double quoting under XEmacs
		(still needed under 21.2).
	(cperl-tips): Update URLs for resources.
	(cperl-problems): Likewise.
	(cperl-praise): Mention new features.
	New C-c key bindings: for `cperl-find-bad-style',
	`cperl-pod-spell', `cperl-here-doc-spell', `cperl-narrow-to-here-doc',
	`cperl-perdoc', and `cperl-perldoc-at-point'.
	CPerl Mode menu changes:	"Fix style by spaces", "Imenu on Perl Info"
	moved, new submenu of Tools with Ispell entries and narrowing.
	(cperl-after-sub-regexp): New defsubst.
	(cperl-imenu--function-name-regexp-perl): Use `cperl-after-sub-regexp'.
		Allows heads up to head4.
		Allow "package;".
	(defun-prompt-regexp): Use `cperl-after-sub-regexp'.
	(paren-backwards-message): ??? Something for XEmacs???
	(cperl-mode): Never auto-switch abbrev-mode off.
		Try to allow '_' be non-word char.
		Do not use `font-lock-unfontify-region-function' on XEmacs.
		Reset syntax cache on mode start.
		Support multiline facification (even on legacy `font-lock').
	(cperl-facemenu-add-face-function): ??? Some contributed code ???
	(cperl-after-change-function): Since `font-lock' and `lazy-lock'
		refuse to inform us whether the fontification is due to lazy
		calling or due to edit to a buffer, install our own hook
		(controlled by `cperl-hook-after-change').
	(cperl-electric-pod): =cut may have been recognized as start.
	(cperl-block-p): Move, updatedfor attributes.
	(cperl-calculate-indent): Try to allow '_' be non-word char
		Support subs with attributes.
	(cperl-where-am-i): Queit (?) a warning.
	(cperl-cached-syntax-table)	New function.
	(cperl-forward-re): Use `cperl-cached-syntax-table'.
	(cperl-unwind-to-safe): Recognize `syntax-type' property
		changing in a middle of line.
	(cperl-find-sub-attrs): New function.
	(cperl-find-pods-heres): Allow many <<EOP per line.
		Allow subs with attributes.
		Major speedups (3.5x..15x on a real-life test file nph-proxy.pl).
		Recognize "extproc " (OS/2) case-folded and only at start.
		/x on s///x with empty replacement was not recognized.
		Better comments.
	(cperl-after-block-p): Remarks on diff with `cperl-block-p'.
		Allow subs with attributes, labels.
		Do not confuse "else::foo" with "else".
		Minor optimizations...
	(cperl-after-expr-p): Try to allow '_' be non-word char.
	(cperl-fill-paragraph): Try to detect a major bug in Emacs
	        with `looking-at' inside `narrow' and bulk out if found.
	(cperl-imenu--create-perl-index): Updates for new
	        `cperl-imenu--function-name-regexp-perl'.
	(cperl-outline-level): Likewise.
	(cperl-init-faces): Allow multiline subroutine headers
	        and my/our declarations, and ones with comments.
		Allow subroutine attributes.
	(cperl-imenu-on-info): Better docstring.
	(cperl-etags): Rudimentary support for attributes.
		Support for packages and "package;".
	(cperl-add-tags-recurse-noxs): Better (?) docstring.
	(cperl-add-tags-recurse-noxs-fullpath): Likewise.
	(cperl-tags-hier-init): Misprint for `fboundp' fixed.
	(cperl-not-bad-style-regexp): Try to allow '_' be non-word char.
	(cperl-perldoc): Add autoload.
	(cperl-perldoc-at-point): Likewise.
	(cperl-here-doc-spell): New function.
	(cperl-pod-spell): Likewise.
	(cperl-map-pods-heres): Likewise.
	(cperl-get-here-doc-region): Likewise.
	(cperl-font-lock-fontify-region-function): Likewise (backward
		compatibility for legacy `font-lock').
	(cperl-font-lock-unfontify-region-function): Fix style.
	(cperl-fontify-syntaxically): Recognize and optimize away deferred
		calls with no-change.  Governed by `cperl-hook-after-change'.
	(cperl-fontify-update): Recognize that syntaxification region
		can be larger than fontification one.
		XXXX we leave `cperl-postpone' property, so this is quadratic...
	(cperl-fontify-update-bad): Temporary placeholder until
	        it is clear how to implement `cperl-fontify-update'.
	(cperl-time-fontification): New function.
	(attrib-group): New text attribute.
	(multiline): New value: `syntax-type' text attribute.

	After 5.2:
	(cperl-emulate-lazy-lock): New function.
	(cperl-fontify-syntaxically): Would skip large regions.
	Add `cperl-time-fontification', `cperl-emulate-lazy-lock' to menu.
	Some globals were declared, but uninitialized.

	After 5.3, 5.4:
	(cperl-facemenu-add-face-function): Add docs, fix U<>.
	Copyright message updated.
	(cperl-init-faces): Work around a bug in `font-lock'. May slow
			facification down a bit.
		Misprint for my|our|local for old `font-lock'
			"our" was not fontified same as "my|local".
		Highlight variables after "my" etc even in
			a middle of an expression.
		Do not facify multiple variables after my etc
			unless parentheses are present.

	After 5.5, 5.6
	(cperl-fontify-syntaxically): after-change hook could reset.
	(cperl-syntax-done-to) to a middle of line; unwind to BOL.

	After 5.7:
	(cperl-init-faces): Allow highlighting of local ($/).
	(cperl-problems-old-emaxen): New variable (for the use of DOCSTRING).
	(cperl-problems): Remove fixed problems.
	(cperl-find-pods-heres): Recognize #-comments in m##x too.
		Recognize charclasses (unless delimiter is \).
	(cperl-fontify-syntaxically): Unwinding to safe was done in wrong order.
	(cperl-regexp-scan): Update docs.
	(cperl-beautify-regexp-piece): Use information got from regexp scan.

	After 5.8:
	Major user visible changes:
	Recognition and fontification of character classes in RExen.
	Variable indentation of RExen according to groups.

	(cperl-find-pods-heres): Recognize POSIX classes in REx charclasses.
		Fontify REx charclasses in variable-name face.
		Fontify POSIX charclasses in "type" face.
		Fontify unmatched "]" in function-name face.
		Mark first-char of HERE-doc as `front-sticky'.
		Reset `front-sticky' property when needed.
	(cperl-calculate-indent): Indents //x -RExen accordning to parens level.
	(cperl-to-comment-or-eol): Recognize ends of `syntax-type' constructs.
	(cperl-backward-to-noncomment): Recognize stringy `syntax-type'
		constructs.  Support `narrow'ed buffers.
	(cperl-praise): Remove a reservation.
	(cperl-make-indent): New function.
	(cperl-indent-for-comment): Use `cperl-make-indent'.
	(cperl-indent-line): Likewise.
	(cperl-lineup): Likewise.
	(cperl-beautify-regexp-piece): Likewise.
	(cperl-contract-level): Likewise.
	(cperl-toggle-set-debug-unwind): New function.
		New menu entry for this.
	(fill-paragraph-function): Use when `boundp'.
	(cperl-calculate-indent): Take into account groups when indenting RExen.
	(cperl-to-comment-or-eol): Recognize # which end a string.
	(cperl-modify-syntax-type): Make only syntax-table property non-sticky.
	(cperl-fill-paragraph): Return t: needed for `fill-paragraph-function'.
	(cperl-fontify-syntaxically): More clear debugging message.
	(cperl-pod2man-build-command): Check (XEmacs) `Man-filter-list'.
	(cperl-init-faces): More complicated highlight even on XEmacs (new).
	Merge cosmetic changes from XEmacs.

	After 5.9:
	(cperl-1+): Move to before the first use.
	(cperl-1-): Likewise.

	After 5.10:

	This code may lock Emacs hard!!!  Use at your own risk!

	(cperl-font-locking): New internal variable.
	(cperl-beginning-of-property): New function.
	(cperl-calculate-indent): Use `cperl-beginning-of-property'
	instead of `previous-single-property-change'.
	(cperl-unwind-to-safe): Likewise.
	(cperl-after-expr-p): Likewise.
	(cperl-get-here-doc-region): Likewise.
	(cperl-font-lock-fontify-region-function): Likewise.
	(cperl-to-comment-or-eol): Do not call `cperl-update-syntaxification'
			recursively.
		Bound `next-single-property-change' via `point-max'.
	(cperl-unwind-to-safe): Bound likewise
	(cperl-font-lock-fontify-region-function): Likewise.
	(cperl-find-pods-heres): Mark as recursive for `cperl-to-comment-or-eol'
		Initialization of `cperl-font-lock-multiline-start' could be
		missed if the "main" fontification did not run due to the
		keyword being already fontified.
	(cperl-pod-spell): Return t from do-one-chunk function.
	(cperl-map-pods-heres): Stop when the worker returns nil.
		Call `cperl-update-syntaxification'.
	(cperl-get-here-doc-region): Call `cperl-update-syntaxification'.
	(cperl-get-here-doc-delim): Remove unused function.

	After 5.11:

	The possible lockup of Emacs (introduced in 5.10) fixed.

	(cperl-unwind-to-safe): `cperl-beginning-of-property' won't return nil.
	(cperl-syntaxify-for-menu): New customization variable.
	(cperl-select-this-pod-or-here-doc): New function.
	(cperl-get-here-doc-region): Extra argument.
		Do not adjust pos by 1.

	New menu entries
		(Perl/Tools): Selection of current POD or HERE-DOC section.
		(Debugging CPerl:) backtrace on fontification.

	After 5.12:
	(cperl-cached-syntax-table): Use `car-safe'.
	(cperl-forward-re): Remove spurious argument SET-ST.
		Add documentation.
	(cperl-forward-group-in-re): New function.
	(cperl-find-pods-heres): Find and highlight (?{}) blocks in RExen
	(XXXX Temporary (?) hack is to syntax-mark them as comment).

	After 5.13:
	(cperl-string-syntax-table): Make { and } not-grouping
	  (Sometimes they ARE grouping in RExen, but matching them would only
	   confuse in many situations when they are not)
	(beginning-of-buffer): Replace two occurences with goto-char...
	(cperl-calculate-indent): `char-after' could be nil...
	(cperl-find-pods-heres): REx can start after "[" too.
		Hightlight (??{}) in RExen too.
	(cperl-maybe-white-and-comment-rex): New constant
	(cperl-white-and-comment-rex): Likewise.
		XXXX Not very efficient, but hard to make
		better while keeping 1 group.

	After 5.13:
	(cperl-find-pods-heres): $foo << identifier() is not a HERE-DOC.
		Likewise for 1 << identifier.

	After 5.14:
	(cperl-find-pods-heres): Different logic for $foo .= <<EOF etc.
		Error-less condition-case could fail.
	(cperl-font-lock-fontify-region-function): Likewise.
	(cperl-init-faces): Likewise.

	After 5.15:
	(cperl-find-pods-heres): Support property REx-part2.
	(cperl-calculate-indent): Likewise.
		Don't special-case REx with non-empty 1st line.
	(cperl-find-pods-heres): In RExen, highlight non-literal backslashes.
		Invert highlighting of charclasses:
			now the envelop is highlighted.
		Highlight many others 0-length builtins.
	(cperl-praise): Mention indenting and highlight in RExen.

	After 5.15:
	(cperl-find-pods-heres): Highlight capturing parens in REx.

	After 5.16:
	(cperl-find-pods-heres): Highlight '|' for alternation
	Initialize `font-lock-warning-face' if not present.
	(cperl-find-pods-heres): Use `font-lock-warning-face' instead of
			 `font-lock-function-name-face'.
	(cperl-look-at-leading-count): Likewise.
	(cperl-find-pods-heres): Localize `font-lock-variable-name-face',
			`font-lock-keyword-face' (needed for
			batch processing), etc...
		Use `font-lock-builtin-face' for builtin in REx
			Now `font-lock-variable-name-face'
			is used for interpolated variables
		Use "talking aliases" for faces inside REx
		Highlight parts of REx (except in charclasses)
			according to the syntax and/or semantic
		Syntax-mark a {}-part of (?{}) as "comment"
			(it was the ()-part)
		Better logic to distinguish what is what in REx
	(cperl-tips-faces): Document REx highlighting
	(cperl-praise): Mention REx syntax highlight etc.

	After 5.17:
	(cperl-find-sub-attrs): Would not always manage to print error message.
	(cperl-find-pods-heres): Localize `font-lock-constant-face'.

	After 5.18:
	(cperl-find-pods-heres): Misprint in REx for parsing REx.
		Very minor optimization.
		`my-cperl-REx-modifiers-face' got quoted.
		Recognize "print $foo <<END" as HERE-doc.
		Put `REx-interpolated' text attribute if needed.
	(cperl-invert-if-unless-modifiers): New function.
	(cperl-backward-to-start-of-expr): Likewise.
	(cperl-forward-to-end-of-expr): Likewise.
	(cperl-invert-if-unless): Works in "the opposite way" too.
		Cursor position on return is on the switch-word.
		Indents comments better.
	(REx-interpolated): New text attribute.
	(cperl-next-interpolated-REx): New function.
	(cperl-next-interpolated-REx-0): Likewise.
	(cperl-next-interpolated-REx-1): Likewise.
	"\C-c\C-x", "\C-c\C-y", "\C-c\C-v":	New keybinding for these functions.
	Perl/Regexp menu: 3 new entries for `cperl-next-interpolated-REx'.
	(cperl-praise): Mention finded interpolated RExen.

	After 5.19:
	(cperl-init-faces): Highlight %$foo, @$foo too.
	(cperl-short-docs): Better docs for system, exec.
	(cperl-find-pods-heres): Better detect << after print {FH} <<EOF etc.
		Would not find HERE-doc ended by EOF without NL.
	(cperl-short-docs): Correct not-doubled \-escapes.
	start block: Put some `defvar' for stuff gone from XEmacs.

	After 5.20:
	initial comment: Extend copyright, fix email address.
	(cperl-indent-comment-at-column-0): New customization variable.
	(cperl-comment-indent): Indentation after $#a would increasy by 1.
	(cperl-mode): Make `defun-prompt-regexp' grok BEGIN/END etc.
	(cperl-find-pods-heres): Mark CODE of s///e as `syntax-type' `multiline'
	(cperl-at-end-of-expr): Would fail if @BAR=12 follows after ";".
	(cperl-init-faces): If `cperl-highlight-variables-indiscriminately'
			highlight $ in $foo too (UNTESTED).
	(cperl-set-style): Docstring missed some available styles.
	toplevel: Menubar/Perl/Indent-Styles had FSF, now K&R.
		Change "Current" to "Memorize Current".
	(cperl-indent-wrt-brace): New customization variable; the default is
		as for pre-5.2 version.
	(cperl-styles-entries): Keep `cperl-extra-newline-before-brace-multiline'.
	(cperl-style-alist): Likewise.
	(cperl-fix-line-spacing): Support `cperl-merge-trailing-else' being nil,
		and `cperl-extra-newline-before-brace' etc
		being t
	(cperl-indent-exp): Plans B and C to find continuation blocks even
		if `cperl-extra-newline-before-brace' is t.

	After 5.21:
	Improve some docstrings concerning indentation.
	(cperl-indent-rules-alist): New variable.
	(cperl-sniff-for-indent): New function name
		(separated from `cperl-calculate-indent').
	(cperl-calculate-indent): Separate the sniffer and the indenter;
		uses `cperl-sniff-for-indent' now.
	(cperl-comment-indent): Test for `cperl-indent-comment-at-column-0'
		was inverted;
		Support `comment-column' = 0.

2006-10-11  Martin Rudalics  <rudalics@gmx.at>

	* dnd.el (dnd-handle-one-url): Fix typo in doc-string.
	* help-at-pt.el (scan-buf-move-to-region): Likewise.
	* longlines.el (longlines-window-change-function): Likewise.
	* simple.el (undo-ask-before-discard): Likewise.
	* wid-edit.el (widget-field-prompt-internal)
	(widget-documentation-link-p): Likewise.

2006-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-get-kw): | is not among the allowed chars
	for a keyword.

2006-10-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-valid-prefix-p): Make the check
	more thorough.  From an idea by Martin Rudalics <rudalics@gmx.at>.
	(comment-indent-new-line): Adjust call.

2006-10-09  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-back-to-current-heading): Base on lower-level
	routines to get proper disqualification of aberrant topics.

2006-10-09  Richard Stallman  <rms@gnu.org>

	* textmodes/two-column.el (2C-two-columns): Doc fix.

2006-10-09  Kim F. Storm  <storm@cua.dk>

	* shell.el (explicit-csh-args, explicit-bash-args): Add comment
	about implicit use.

2006-10-08  Richard Stallman  <rms@gnu.org>

	* textmodes/two-column.el (2C-two-columns): Doc fix.

2006-10-08  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el: Mark `buffer-read-only' as safe-local-variable.

2006-10-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-speedbar-expand-node):
	Burp if GUD buffer has been killed.

2006-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* completion.el (add-completions-from-c-buffer):
	Don't presume an error's second element is a string.
	Use looking-at rather than buffer-substring + member.

2006-10-07  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-redecode-body): If the old encoding is
	`undecided', call find-coding-systems-region to find a proper
	non-trivial encoding.
	(rmail-mime-charset-pattern): Allow a TAB between "Content-Type"
	and "text/plain".

2006-10-07  Kevin Ryde  <user42@zip.com.au>

	* textmodes/reftex-vars.el (defgroup reftex): Update home page
	url-link.

	* strokes.el (defgroup strokes): Remove invalid url-link.

2006-10-07  Magnus Henoch  <mange@freemail.hu>

	* autoinsert.el (auto-insert-alist): Doc fix.

2006-10-07  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* mouse-sel.el (mouse-insert-selection-internal):
	Use insert-for-yank, so that yank handlers are run.

2006-10-07  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-file-extension-aux): Fix comparison.

2006-10-06  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-wide-find-dirs-or-files): Use shell-quote-argument.

2006-10-05  Juanma Barranquero  <lekktu@gmail.com>

	* emacs-lisp/advice.el (ad-remove-advice, ad-parse-arglist)
	(ad-make-mapped-call): Use `let', not `let*'.

2006-10-05  Chong Yidong  <cyd@stupidchicken.com>

	* international/mule-cmds.el (coding-system-change-eol-conversion):
	Ensure the coding system is initialized before calling
	coding-system-eol-type.

2006-10-04  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-rm-props, org-activate-plain-links)
	(org-activate-angle-links, org-activate-dates)
	(org-activate-target-links, org-activate-camels)
	(org-activate-tags): Add `rear-nonsticky' text property to avoid
	textproperty keymaps from being active beyond the end of a line.
	(org-unfontify-region): Also remove `rear-nonsticky' property.

2006-10-04  Kenichi Handa  <handa@m17n.org>

	* international/code-pages.el (next): Table fixed.

2006-10-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-prev-thing): Remove (forward-char 1) now
	that it's been made unnecessary by removing narrowing.

2006-10-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-prev-thing): Massage to untangle the
	control flow a bit, simplify another bit, and add comments.

2006-10-03  David Kastrup  <dak@gnu.org>

	* help.el (describe-mode): For clicks on mode-line, use "@"
	interactive argument to get the major mode of the click instead of
	the current buffer.

	* isearch.el (isearch-mouse-2): Use new semantics of `key-binding'
	in order to better redirect mouse-2 clicks.  Also allow default
	bindings to apply.

2006-10-03  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/cl.el (pushnew-internal): Remove defvar.
	(pushnew): Fix last change.

2006-10-03  Denis St,A|(Bnkel  <dstuenkel@googlemail.com>  (tiny change)

	* ibuf-ext.el (eval, view-and-eval) <define-ibuffer-op>:
	Use the interactive spec of `eval-expression'.

2006-10-02  Michael Welsh Duggan  <md5i@cs.cmu.edu>

	* progmodes/sh-script.el (sh-prev-thing): Fix last change.

2006-10-02  MIYOSHI Masanori  <miyoshi@meadowy.org>  (tiny change)

	* mail/smtpmail.el (smtpmail-try-auth-methods): Fix typo in
	2006-09-28 commit.

2006-10-02  Kenichi Handa  <handa@m17n.org>

	* international/code-pages.el (iso-8859-6): Table fixed.

2006-10-01  Chris Moore  <christopher.ian.moore@gmail.com>  (tiny change)

	* dired.el (dired-build-subdir-alist): Fix previous change.

2006-10-01  Johan Bockg,Ae(Brd  <bojohan+mail@dd.chalmers.se>

	* simple.el (undo-elt-crosses-region): Fix the inequalities.

2006-10-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/find-func.el (find-function-regexp): Don't match
	"define-button-type".

	* pcvs.el (cvs-update-header): Fix handling of extra newlines so that
	they don't keep accumulating.

2006-10-01  Bob Rogers  <rogers-emacs@rgrjr.dyndns.org>  (tiny change)

	* ffap.el (ffap-rfc-path): Change the address of the RFC
	repository to ftp.rfc-editor.org, as ds.internic.net seems to be gone.

2006-10-01  Stephen Berman  <Stephen.Berman@gmx.net>

	* allout.el (allout-expose-topic): Rectify implementation of "+"
	spec, so that bodies are not exposed with headlines.

2006-10-01  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-current-depth): Do aberrent check only at or
	below doublecheck depth.
	(allout-chart-subtree): Make it explicit that LEVELS being nil
	means unlimited depth.  Drop undocumented support for LEVELS value
	t meaning unlimited depth.  (This is consistent with
	allout-chart-to-reveal, but contrary to allout-show-children,
	which needs to use nil to default to depth of 1.)
	(allout-goto-prefix-doublechecked): Wrap long docstring line.
	(allout-chart-to-reveal): Be explicit in docstring about meaning
	of nil LEVELS, and drop support for LEVELS value t.
	(allout-show-children): Translate the level spec used by this
	routine to that used by allout-chart-subtree and
	allout-chart-to-reveal.
	(allout-show-to-offshoot): Retry once when stuck, after opening
	subtree - improvements in discontinuity handling likely will
	enable progress.

2006-09-30  Chong Yidong  <cyd@stupidchicken.com>

	* wid-edit.el (widget-button-click-moves-point): New variable.
	(widget-button-click): If widget-button-click-moves-point is
	non-nil, set point after performing the button action

	* cus-edit.el (custom-mode): Set widget-button-click-moves-point.

2006-09-30  Martin Rudalics  <rudalics@gmx.at>

	* files.el (find-file-existing): Modify to not allow wildcards.

2006-09-30  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* simple.el (undo-more): When undo information for the region is
	exhausted, say "No further undo information FOR REGION".

2006-09-30  Michael Welsh Duggan  <md5i@cs.cmu.edu>

	* progmodes/sh-script.el (sh-prev-thing):
	Take `sh-leading-keywords' into account.

2006-09-29  Glenn Morris  <rgm@gnu.org>

	* custom.el (defcustom): Doc fix.

	* calendar/calendar.el (european-calendar-style):
	Call european-calendar or american-calendar as needed when set.
	(diary-view-entries, list-calendar-holidays): Move autoloads
	before use.

2006-09-29  Juri Linkov  <juri@jurta.org>

	* progmodes/cperl-mode.el (cperl-after-expr-p): Don't move point
	to nil if there is no previous property change.

2006-09-29  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* cus-edit.el (custom-save-all): Switch to emacs-lisp mode before
	saving anything to be sure that `forward-sexp' behaves correctly.

2006-09-29  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-finish): Ignore field boundaries if the
	initial and final points have the same `field' property.

2006-09-29  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-file-internal): Only bind minibuffer-completing-file-name
	to t while calling ido-read-internal.

2006-09-29  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-file-remote-p): Get regexp from list.
	(org-archive-subtree): Remove erraneous `]' from character list.

2006-09-28  Jonathan Yavner  <jyavner@member.fsf.org>

	* ses.el (ses-in-print-area, ses-goto-data, ses-load)
	(ses-reconstruct-all): Make undo of "insert row" work by keeping
	markers for data-area and parameters-area.

2006-09-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-mode): Don't disable jit-lock.

	* font-lock.el (font-lock-after-change-function): Refontify next line
	as well if end is at BOL.
	(font-lock-extend-jit-lock-region-after-change): Be more careful to
	only extend the region as much as needed.

2006-09-28  Richard Stallman  <rms@gnu.org>

	* comint.el (comint-mode): Bind font-lock-defaults non-nil.

	* subr.el (insert-for-yank-1): Handle `font-lock-face' specially.

	* international/mule.el (after-insert-file-set-coding):
	If VISIT, don't let set-buffer-multibyte make undo info.

2006-09-28  Osamu Yamane  <yamane@green.ocn.ne.jp>  (tiny change)

	* mail/smtpmail.el (smtpmail-try-auth-methods): Do not break long
	lines in base64-encoded authentication response.

2006-09-26  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* progmode/ebnf2ps.el: Doc fix. Implement arrow spacing and scaling.
	(ebnf-version): New version 4.3.
	(ebnf-arrow-extra-width, ebnf-arrow-scale): New options.
	(ebnf-prologue): Adjust PostScript programming.
	(ebnf-begin-file, ebnf-insert-ebnf-prologue, ebnf-terminal-dimension1)
	(ebnf-repeat-dimension, ebnf-except-dimension): Adjust code.

2006-09-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jit-lock.el (jit-lock-force-redisplay): Rename from
	jit-lock-fontify-again, and undo the mistaken change I've just done.

	* jit-lock.el (jit-lock-fontify-now): Don't fontify the empty text.
	(jit-lock-fontify-again): Don't refontify text that's not displayed.

2006-09-26  Kenichi Handa  <handa@m17n.org>

	* startup.el (display-splash-screen): Allow a prefix argument.

2006-09-25  Jason Rumney  <jasonr@gnu.org>

	* subr.el (shell-quote-argument): Use DOS logic for Windows
	shells with DOS semantics.

2006-09-24  Richard Stallman  <rms@gnu.org>

	* progmodes/compile.el (compilation-goto-locus-delete-o): New fn.
	(compilation-goto-locus): Use compilation-goto-locus-delete-o
	to delete the overlay.  Put it on pre-command-hook.

	* emacs-lisp/timer.el (timer-max-repeats): Doc fix.

	* startup.el (fancy-splash-screens, normal-splash-screen):
	Call the splash buffer *About GNU Emacs*.

	* simple.el (next-error-highlight, next-error-highlight-no-select):
	Default to 0.5.
	(yank-excluded-properties): Add `fontified'.

	* font-lock.el (font-lock-compile-keywords): Allow value of
	syntax-begin-function to enable paren-column-0 highlighting.

2006-09-24  Chris Moore  <christopher.ian.moore@gmail.com>  (tiny change)

	* dired.el (dired-build-subdir-alist): When file ends in colon,
	don't exit the loop, just disregard that file.

2006-09-24  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-finish): Handle corner case for fields in
	continued lines.
	(line-move-1): Remove flawed test for that case.

2006-09-24  Ken Manheimer  <ken.manheimer@gmail.com>

	* icomplete.el (icomplete-simple-completing-p): Use the correct
	name for the new variable, `icomplete-with-completion-tables'.
	(file local variables): Remove superfluous setting.

2006-09-23  Jeff Miller  <jmiller@cablespeed.com>  (tiny change)

	* calendar/appt.el (appt-check): Fix typo for appointments just
	after midnight.

2006-09-23  Chong Yidong  <cyd@stupidchicken.com>

	* help.el (describe-key-briefly, describe-key): Don't expect an
	extra up event if a down-event is generated by a popup menu.

2006-09-23  Michal Nazarewicz  <mnazarewicz@gmail.com>  (tiny change)

	* textmodes/ispell.el (ispell-change-dictionary): Don't check the
	local dictionary when changing the global dictionary.

2006-09-23  Ken Manheimer  <ken.manheimer@gmail.com>

	* icomplete.el (icomplete-with-completion-tables): List of
	specialized completion tables with which icomplete should
	operate.  Include the new `internal-complete-buffer', so icomplete
	works with interactive buffer-selection.
	(icomplete-simple-completing-p): Add acceptance of specialized
	completion tables listed in icomplete-with-completion-tables.

2006-09-23  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* frame.el (focus-follows-mouse): Set default to nil on Mac.

	* startup.el (command-line): Use `custom-reevaluate-setting' for
	`focus-follows-mouse'.

2006-09-22  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (custom-buffer-create-internal): In `emacs -q',
	explain why Save is not available.

2006-09-22  Juanma Barranquero  <lekktu@gmail.com>

	* woman.el (woman0-so): Use `let*', not `let'.
	(woman-horizontal-line): Remove unbalanced parenthesis.

2006-09-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* woman.el: Make sure all the end-of-region markers we use have
	a non-nil insertion-type.
	(woman0-so): Move things around so we can use copy-marker.
	(woman0-roff-buffer, woman2-process-escapes-to-eol, woman2-roff-buffer):
	Adjust marker type.
	(woman2-process-escapes): Check marker type.
	(woman-horizontal-line): Dispense with the use of a marker.

2006-09-22  Jay Belanger  <belanger@truman.edu>

	* calc/calc-lang.el: Add Greek letters to math-variable-table
	property of tex.

2006-09-22  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (save-some-buffers-action-alist): Display diff in view-mode.

2006-09-22  Masatake YAMATO  <jet@gyve.org>

	* add-log.el (add-log-current-defun): Use `forward-sexp'
	instead of `forward-word' to pick c++::symbol.
	Reported by Herbert Euler <herberteuler@hotmail.com>.

2006-09-22  Kenichi Handa  <handa@m17n.org>

	* bindings.el: Fix setting self-insert-command for multibyte
	characters in global-map.

2006-09-21  David Kastrup  <dak@gnu.org>

	* mouse.el (mouse-posn-property): Fix typo for `event-start' in
	doc string.

2006-09-21  Kenichi Handa  <handa@m17n.org>

	* language/european.el ("Latin-1"): Add windows-1252 to
	coding-priority.
	("German"): Likewise.

2006-09-21  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/cl-macs.el (member*): Use memql instead of complex code.
	Suggested by Miles Bader.

	* emacs-lisp/cl.el (pushnew): Rework 2006-09-10 change.  Use memql
	instead of add-to-list in the simple case.

2006-09-20  Kenichi Handa  <handa@m17n.org>

	* isearch.el (isearch-process-search-char): Cancel the previous change.
	(isearch-search-string): New function.
	(isearch-search): Use isearch-search-string.
	(isearch-lazy-highlight-search): Likewise.

2006-09-20  Vinicius Jose Latorre  <viniciusjl@ig.com.br>

	* lpr.el (lpr-page-header-switches): Insert `*' at beginning of doc
	string to become an option.

2006-09-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (find-buffer-visiting): Don't get fooled by a nil inode.

2006-09-20  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): Call pos-visible-in-window-p with
	position t instead of trying both window-end and window-end - 1.

2006-09-20  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-scan-tags): Find end of subtrees also in
	hidden trees.

2006-09-20  David Kastrup  <dak@gnu.org>

	* mouse.el (mouse-posn-property): Improve doc string.
	(mouse-on-link-p): Change buffers for function calls on links.

	* menu-bar.el (clipboard-yank): Bomb out in interactive use if
	buffer is read-only.

2006-09-20  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-unprotected): Let inhibit-read-only only when
	buffer-read-only isn't set.
	(allout-annotate-hidden): Enable topic annotation during copies even
	when the buffer is read-only, eg for topic copies.  Ensure that the loop
	advances, even when the span extends beyond the	deletion region.
	(allout-toggle-subtree-encryption): Use	allout-structure-added-hook
	rather than allout-exposure-changed-hook, as a stronger assertion.
	(allout-keybindings-list): Add bindings for
	allout-copy-line-as-kill and allout-copy-topic-as-kill.
	(allout-copy-line-as-kill, allout-copy-topic-as-kill):
	Copy wrappers for allout-kill-line and allout-kill-topic.
	(allout-listify-exposed): Position correctly to accumulate lines.

2006-09-19  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-1): Escape field boundaries occurring
	exactly at point.  Update goal column if constrained to a field.
	(line-move-finish): Escape field boundaries occurring exactly at point.

2006-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (mouse-on-link-p): Tentatively fix last change.
	(mouse-drag-vertical-line): Remove unused var `wconfig'.

2006-09-19  Kim F. Storm  <storm@cua.dk>

	* help.el (describe-key-briefly, describe-key): Simplify printing
	of descriptions by using format and %S.  Fix "is undefined"
	messages to say "at that spot" for mouse events.

	* simple.el (line-move-partial): Optimize.  Try window-line-height
	before posn-at-point to get vpos of current line.

2006-09-18  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper.el: Bump up version/date of update to reflect the substantial
	changes done in August 2006.

	* viper-cmd (viper-next-line-at-bol): Make sure button-at, push-button
	are defined.

	* ediff-util.el (ediff-add-to-history): New function.

	* ediff.el: Use ediff-add-to-history instead of add-to-history.

2006-09-18  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* textmodes/conf-mode.el (conf-space-mode): Doc fix.
	Delete duplicate make-local-variable form.
	(conf-space-keywords): Add autoload cookie.
	Fix typo (`keywords', not `keyword').

2006-09-18  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Rename x-gtk-show-chooser-help-text to
	x-gtk-file-dialog-help-text.  Rename x-use-old-gtk-file-dialog
	to x-gtk-use-old-file-dialog

2006-09-18  Richard Stallman  <rms@gnu.org>

	* wid-edit.el (widget-button-click): Handle non-mouse-motion events
	that might come in during mouse tracking.

2006-09-18  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): Rework 2006-09-15 change to use
	new window-line-height function.  Further optimize by not calling
	pos-visible-in-window-p for window-end when window-line-height
	returns useful information.

2006-09-16  Richard Stallman  <rms@gnu.org>

	* textmodes/conf-mode.el (conf-mode-map): Use conf-space-keywords cmd.
	(conf-space-mode): Don't handle prefix arg.
	Delete conf-space-keywords-override code.
	Use add-hook.
	(conf-space-keywords): New command.
	(conf-space-mode-internal): Be careful with imenu-generic-expression.
	Delete conf-space-keywords-override code.
	(conf-space-keywords-alist): Doc fix.
	(conf-space-font-lock-keywords): Doc fix.
	(conf-space-keywords-override): Var deleted.

2006-09-16  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-screens): Don't switch to the scratch
	buffer; it may not be the next buffer.

2006-09-16  Romain Francoise  <romain@orebokech.com>

	* saveplace.el (load-save-place-alist-from-file): Use expanded name
	in both messages.

2006-09-16  Slawomir Nowaczyk  <slawomir.nowaczyk.847@student.lu.se>

	* progmodes/python.el (python-preoutput-filter):
	Fix arg order to string-match.

2006-09-16  Richard Stallman  <rms@gnu.org>

	* obsolete/fast-lock.el (fast-lock-cache-data): Provide 2nd arg to
	font-lock-compile-keywords.

	* font-lock.el (font-lock-compile-keywords): Rename optional arg
	to SYNTACTIC-KEYWORDS and reverse the sense.  All callers changed.

2006-09-16  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* cus-start.el (all): Add x-gtk-show-chooser-help-text.

	* select.el (xselect-convert-to-string): If UTF8_STRING is requested
	and the data doesn't look like UTF8, send STRING instead.

2006-09-16  Agust,Am(Bn Mart,Am(Bn  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-check-region-doublons):
	New function to detect duplicated words.
	(flyspell-large-region): Use it.

2006-09-16  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-to-column): Revert 2006-08-03 change.

2006-09-16  Eli Zaretskii  <eliz@gnu.org>

	* help.el (describe-prefix-bindings): Use let, not let*.

2006-09-16  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-regexp, allout-line-boundary-regexp)
	(allout-bob-regexp): Correct grouping and boundaries to fix
	backwards traversal.
	(allout-depth-specific-regexp, allout-depth-one-regexp):
	New versions that exploit \\{M\\} regexp syntax, to avoid geometric or
	worse time in allout-ascend.
	(allout-doublecheck-at-and-shallower): Identify depth threshold
	below which topics are checked for and disqualified by containment
	discontinuities.
	(allout-hotspot-key-handler): Correctly handle multiple-key
	strokes.  Remove some unused variables.
	(allout-mode-leaders): Clarify that mode-specific comment-start
	will be used.
	(set-allout-regexp): Correctly regexp-quote allout regexps to
	properly accept alternative header-leads and primary bullets with
	regexp-specific characters (eg, C "/*", mathematica "(*").
	Include new regular expressions among those configured.
	(allout-infer-header-lead-and-primary-bullet):
	Rename allout-infer-header-lead.
	(allout-recent-depth): Manifest as a variable as well as a function.
	(allout-prefix-data): Simplify into an inline instead of a macro,
	assuming current match data rather than being explicitly passed
	it.  Establish allout-recent-depth value as well as
	allout-recent-prefix-beginning and allout-recent-prefix-end.
	(allout-aberrant-container-p): True when an item's immediate
	offspring discontinuously contained.  Useful for disqualifying
	unintended topic prefixes, likely at low depths.
	(allout-goto-prefix-doublechecked): Elaborate version of
	allout-goto-prefix which disqualifies aberrant pseudo-items.
	(allout-pre-next-prefix): Layer on top of lower-level routines, to
	get disqualification of aberrant containers.
	(allout-end-of-prefix, allout-end-of-subtree): Disqualify aberrant
	containers.
	(allout-beginning-of-current-entry): Position at start of buffer
	when in container (depth 0) entry.
	(nullify-allout-prefix-data): Invalidate allout-recent-* prefix data.
	(allout-current-bullet): Strip text properties.
	(allout-get-prefix-bullet): Use right match groups.
	(allout-beginning-of-line, allout-next-heading):
	Disqualify aberrant containers.
	(allout-previous-heading): Disqualify aberrant containers, and
	change to regular (rather than inline) function, to allow
	self-recursion.
	(allout-get-invisibility-overlay): Increment so progress is made
	when the first overlay is not the sought one.
	(allout-end-of-prefix): Disqualify aberrant containers.
	(allout-end-of-line): Cycle something like allout-beginning-of-line.
	(allout-mode): Make allout-old-style-prefixes (ie, enabling use with
	outline.el outlines) functional again.  Change the primary bullet
	along with the header-lead - level 1 new-style bullets now work.
	Engage allout-before-change-handler in mainline Emacs, not just
	XEmacs, to do undo handling.
	(allout-before-change-handler): Expose undo changes occurring in
	hidden regions.  Use allout-get-invisibility-overlay instead of
	reimplementing it inline.
	(allout-chart-subtree): Use start rather than end of prefix in
	charts.  Use allout-recent-depth variable.
	(allout-chart-siblings): Disqualify aberrant topics.
	(allout-beginning-of-current-entry): Position correctly.
	(allout-ascend): Use new allout-depth-specific-regexp and
	allout-depth-one-regexp for linear instead of O(N^2) or worse
	behavior.
	(allout-ascend-to-depth): Depend on allout-ascend, rather than
	reimplementing an algorithm.
	(allout-up-current-level): Depend on allout-ascend, rather than
	reimplementing an algorithm.  Return to start-point if we fail.
	(allout-descend-to-depth): Use allout-recent-depth variable
	instead of function.
	(allout-next-sibling): On traversal of numerous intervening
	topics, resort to economical allout-next-sibling-leap.
	(allout-next-sibling-leap): Specialized version of
	allout-next-sibling that uses allout-ascend cleverly, to depend on
	a regexp search to leap large numbers of contained topics, rather
	than arbitrarily many one-by-one traversals.
	(allout-next-visible-heading): Disqualify aberrant topics.
	(allout-previous-visible-heading): Position consistently when
	interactive.
	(allout-forward-current-level): Base on allout-previous-sibling
	rather than (differently) reimplmenting the algorithm.  Remove some
	unused variables.
	(allout-solicit-alternate-bullet): Present default choice stripped
	of text properties.
	(allout-rebullet-heading): Use bullet stripped of text properties.
	Register changes using allout-exposure-change-hook.
	Disregard aberrant topics.
	(allout-shift-in): With universal-argument, make topic a peer of
	it's former offspring.  Simplify the code by separating out
	allout-shift-out functionality.
	(allout-shift-out): With universal-argument, make offspring peers
	of their former container, and its siblings.  Implement the
	functionality here, rather than inappropriately muddling the
	implementation of allout-shift-in.
	(allout-rebullet-topic): Respect additional argument for new
	parent-child separation function.
	(allout-yank-processing): Use allout-ascend directly.
	(allout-show-entry): Disqualify aberrant topics.
	(allout-show-children): Handle discontinuous children gracefully,
	extending the depth being revealed to expose them and posting a
	message indicating the situation.
	(allout-show-to-offshoot): Remove obsolete and incorrect comment.
	Leave cursor in correct position.
	(allout-hide-current-subtree): Use allout-ascend directly.
	Disqualify aberrant topics.
	(allout-kill-line, allout-kill-topic): Preserve exposure layout in
	a way that the yanks can restore it, as used to happen.
	(allout-yank-processing): Restore exposure layout as recorded by
	allout-kill-*, as used to happen.
	(allout-annotate-hidden, allout-hide-by-annotation): New routines
	for preseving and restoring exposure layout across kills.
	(allout-toggle-subtree-encryption): Run allout-exposure-change-hook.
	(allout-encrypt-string): Strip text properties.
	Rearranged order and outline-headings for some of the
	miscellaneous functions.
	(allout-resolve-xref): No need to quote the error name in the
	condition-case handler section.
	(allout-flatten): Classic recursive (and recursively intensive,
	without tail-recursion) list-flattener, needed by allout-shift-out
	when confronted with discontinuous children.

2006-09-16  Jason Rumney  <jasonr@gnu.org>

	* dnd.el (dnd-open-remote-file-function): Use dnd-open-local-file
	on ms-windows.
	(dnd-open-unc-file): Remove.
	(dnd-open-local-file): Mention in doc string that it also handles
	remote files if the system natively supports unc file-names.

2006-09-15  Kim F. Storm  <storm@cua.dk>

	* help.el (describe-key): Handle C-h k in *Help* buffer; collect
	all necessary information about the event before erasing *Help*.

	* simple.el (line-move-partial): Use window-line-visiblity to
	quickly check whether last line is partially visible, and only do
	the hard (and slow) part in that case.

2006-09-15  Jay Belanger  <belanger@truman.edu>

	* COPYING: Replace "Library Public License" by "Lesser Public
	License" throughout.

2006-09-15  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (x-menu-bar-open): New function for F10.

2006-09-15  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Disallow filenames containing " -" to avoid confusion with libtool
	compilation messages.  Suggested by Stefan Monnier.

2006-09-15  David Kastrup  <dak@gnu.org>

	* mouse-sel.el (mouse-sel-follow-link-p): Use event position
	instead of buffer position for `mouse-on-link-p'.

	* mouse.el (mouse-posn-property): New function looking up the
	properties at a click position in overlays and text properties in
	either buffer or strings.
	(mouse-on-link-p): Use `mouse-posn-property' to streamline lookup
	of both `follow-link' as well as `mouse-face' properties.
	(mouse-drag-track): Check `mouse-on-link-p' on event position, not
	buffer position.

	* help.el (describe-key-briefly): When reading a down-event on
	mode lines or scroll bar, swallow the following up event, too.
	Use the new mouse sensitity of `key-binding' for lookup.
	(describe-key): The same here.

2006-09-15  Juanma Barranquero  <lekktu@gmail.com>

	* play/life.el (life-patterns): Add a few more interesting patterns.
	(life-setup): Force `show-trailing-whitespace' to nil.

2006-09-14  Richard Stallman  <rms@gnu.org>

	* startup.el (fancy-splash-text): Change text to improve alignment.
	(fancy-splash-screens): Don't set non-standard tab width.
	Bind cursor-type temporarily, and make it easy to patch to
	preserve the splash buffer.
	(normal-splash-screen, fancy-splash-tail): Spell out "Meta-x".
	(fancy-splash-screens): Display echo-area message explicitly.
	Don't set fancy-splash-help-echo.

	* simple.el (line-number-mode): Group mode-line instead of
	editing-basics.
	(column-number-mode, size-indication-mode): Likewise.

	* faces.el (mode-line-faces): Group mode-line instead of modeline.

	* time.el (display-time): Group mode-line instead of modeline.

	* cus-edit.el (mode-line): Rename from modeline.  All uses changed.

2006-09-14  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-text): Move editing instructions to
	fancy-splash-head.
	(fancy-splash-head): Issue editing instructions.
	(fancy-splash-screens): Fixup whitespace.

2006-09-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (mode-line-buffer-identification-keymap):
	Remove duplicate line.

2006-09-14  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* ido.el (ido-ignore-item-p): Allow any kind of functions in
	ignore lists.

2006-09-14  Kim F. Storm  <storm@cua.dk>

	* jit-lock.el (jit-lock-fontify-again): New function.
	(jit-lock-fontify-now): Use it instead of lambda form.

2006-09-13  Agustin Martin  <agustin.martin@hispalinux.es>

	* textmodes/flyspell.el (flyspell-word, flyspell-correct-word)
	(flyspell-auto-correct-word): Make ispell-filter local to these
	functions.  Check that ispell-filter has new stuff before calling
	ispell-parse-output.

2006-09-13  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): Optimize.

2006-09-13  Richard Stallman  <rms@gnu.org>

	* thingatpt.el (thing-at-point-bounds-of-url-at-point):
	Delete spurious backquote.

2006-09-07  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-print): Fix last change.

2006-09-12  Jay Belanger  <belanger@truman.edu>

	* calc/calc.el (calc-dispatch): Remove unnecessary `sit-for'.

2006-09-07  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-scroll-show-maximum-output): Rename from
	rcirc-show-maximum-output.
	(rcirc-mode): Remove window-scroll-function hook.
	(rcirc-scroll-to-bottom): Remove function.
	(rcirc-print): Recenter so point stays at the bottom of the window
	if point was already there.

2006-09-12  Paul Eggert  <eggert@cs.ucla.edu>

	* comint.el (comint-exec-1): Set EMACS to the full name of Emacs,
	not to "t".
	* progmodes/compile.el (compilation-start): Likewise.
	* progmodes/idlwave.el (idlwave-rescan-asynchronously):
	Don't use expand-file-name on invocation-directory, since this
	might mishandle special characters in invocation-directory.

2006-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-defs.el: Remove * in defcustom's docstrings.

2006-09-12  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/compile.el (compilation-directory-properties):
	Doc fix for help-echo.

2006-09-12  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-read): Add comment.

2006-09-12  Kim F. Storm  <storm@cua.dk>

	* simple.el (next-error-highlight, next-error-highlight-no-select):
	Fix spelling error.

	* subr.el (sit-for): Rework to use input-pending-p and cond.
	Return nil input is pending on entry also for SECONDS <= 0.
	(while-no-input): Use input-pending-p instead of sit-for.

2006-09-11  Richard Stallman  <rms@gnu.org>

	* simple.el (next-error-highlight, next-error-highlight-no-select):
	Fix custom type and doc strings.

2006-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* diff-mode.el (diff-apply-hunk-to-backup-file): New var.
	(diff-apply-hunk): Use it to ask for confirmation.

2006-09-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* emacs-lisp/cl.el (pushnew): Add missing `,'.

2006-09-11  David Kastrup  <dak@gnu.org>

	* help.el (string-key-binding, describe-key-briefly)
	(describe-key): Remove `string-key-binding' and its callers since
	`key-binding' already caters for the proper lookup now.

2006-09-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cfengine.el (cfengine-font-lock-syntactic-keywords): Newvar.
	(cfengine-mode): Use it.  Fix \ syntax to be like /.

	* bindings.el (mode-line-buffer-identification-keymap):
	Move initialization into declaration.

2006-09-10  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-edit-input, ido-complete, ido-take-first-match)
	(ido-push-dir-first, ido-kill-buffer-at-head, ido-exhibit)
	(ido-delete-file-at-head): Pass head of ido-matches through ido-name
	in case of merged directories.  Reported by Micha,Ak(Bl Cadilhac.

2006-09-10  Richard Stallman  <rms@gnu.org>

	* dired-aux.el: Handle errors in recursive copy usefully.
	(dired-create-files-failures): New variable.
	(dired-copy-file): Remove condition-case.
	(dired-copy-file-recursive): Check for errors on all file
	operations, and add them to dired-create-files-failures.
	Check file file-date-erorr here too.
	(dired-create-files): Check dired-create-files-failures
	and report those errors too.

	* emacs-lisp/cl.el (pushnew): Use add-to-list when convenient.

	* subr.el (add-to-list): New argument COMPARE-FN.

2006-09-10  Reiner Steib  <Reiner.Steib@gmx.de>

	* filecache.el (file-cache-add-directory)
	(file-cache-add-directory-list, file-cache-add-file)
	(file-cache-add-directory-using-find)
	(file-cache-add-directory-using-locate)
	(file-cache-add-directory-recursively): Add autoloads.

2006-09-09  Richard Stallman  <rms@gnu.org>

	* textmodes/conf-mode.el (conf-space-mode):
	Use hack-local-variables-hook instead of calling hack-local-variables.
	(conf-space-keywords-override): New variable.
	(conf-space-mode-internal): New subroutine.  Reinit Font Lock mode.
	(conf-space-mode): Always make conf-space-keywords and
	conf-space-keywords-override local.
	Call conf-space-mode-internal directly as well as via hook.

2006-09-09  Slawomir Nowaczyk  <slawomir.nowaczyk.847@student.lu.se>  (tiny change)

	* progmodes/python.el (python-font-lock-keywords): Add `self' and other
	quasi-keywords.

2006-09-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el: Quieten the compiler about hippie-expand vars.
	(python-send-string): Be slightly more careful about adding \n.

	* startup.el (normal-splash-screen): Don't display the buffer if we'll
	kill it right away anyway.

2006-09-09  Eli Zaretskii  <eliz@gnu.org>

	* international/codepage.el (cp850-decode-table): Fix a few codes.
	(cp858-decode-table): New variable.

2006-09-09  Toby Allsopp  <Toby.Allsopp@navman.com>  (tiny change)

	* net/ldap.el (ldap-search-internal): Doc fix.

2006-09-09  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* play/life.el (life-display-generation): Test for input manually if
	`sleeptime' is negative or null.

	* lpr.el (lpr-page-header-switches): Page title switch is one of them.
	(print-region-1): Substitute `%s' with the page title.

2006-09-09  Matt Hodges  <MPHodges@member.fsf.org>

	* locate.el (locate-current-search): New variable.
	(locate): Set buffer local value.  Use current buffer if it is
	in Locate mode.
	(locate-mode): Disable undo here.
	(locate-do-setup): Use locate-current-filter from buffer to be killed.
	(locate-update): Use locate-current-search and locate-current-filter.

2006-09-08  David Kastrup  <dak@gnu.org>

	* desktop.el (desktop-read): When loading a desktop, disable
	saving it while the load progresses, and switch off a pending lazy
	load by calling `desktop-lazy-abort'.

2006-08-27  Martin Rudalics  <rudalics@gmx.at>

	* window.el (mouse-autoselect-window-timer)
	(mouse-autoselect-window-position)
	(mouse-autoselect-window-window)
	(mouse-autoselect-window-now): New vars.
	(mouse-autoselect-window-cancel)
	(mouse-autoselect-window-select)
	(mouse-autoselect-window-start): New functions.
	(handle-select-window): Call `mouse-autoselect-window-start' when
	delayed window autoselection is enabled.

	* cus-start.el (mouse-autoselect-window): Handle delayed window
	autoselection.

	* emacs-lisp/eldoc.el: Add `handle-select-window' to the set of
	commands after which it is allowed to print in the echo area.

2006-09-08  Richard Stallman  <rms@gnu.org>

	* textmodes/fill.el (adaptive-fill-regexp): Don't match `(1)' or `1.'

	* mail/rmail.el (rmail-get-new-mail): Say whether all msgs are spam.
	(rmail-convert-to-babyl-format): Don't record undo, leave list empty.

	* emacs-lisp/timer.el (timer-create, timer-activate): Doc fixes.
	(cancel-timer-internal): Add doc string.
	(cancel-function-timers): Doc fix.
	(with-timeout-handler, timer-event-last*): Add doc strings.

	* emacs-lisp/bindat.el (bindat-unpack): Doc fix.

	* files.el (risky-local-variable-p): Match ...-bindat-spec.

	* dired.el (dired-log-summary): Add doc string.

	* cus-edit.el (custom-menu-create): Bind deactivate-mark here.
	(custom-group-menu-create): Not here.

2006-09-08  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-dblock-write:clocktable): Avoid infinite loop.

2006-09-08  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: (show-hide-font-panel): New HI command ID symbol.
	(mac-apple-event-map): Define its handler.

2006-09-07  Toby Allsopp  <Toby.Allsopp@navman.com>  (tiny change)

	* net/ldap.el (ldap-search-internal): Handle `auth' key.

2006-09-07  Magnus Henoch  <mange@freemail.hu>

	* net/rcirc.el (rcirc-activity-string): Don't quote value in case
	clause.

2006-09-07  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* info.el (Info-index): Bind completion-ignore-case.

2006-09-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/prolog.el (inferior-prolog-flavor): New var left out of
	previous commit.
	(inferior-prolog-guess-flavor): New fun left out of previous commit.
	(prolog-consult-region-and-go): Don't hard code "*prolog*" and don't
	burp in dedicated windows.
	(inferior-prolog-self-insert-command): New command.
	(inferior-prolog-mode-map): Use it.

2006-09-07  Reiner Steib  <Reiner.Steib@gmx.de>

	* international/latexenc.el (latex-inputenc-coding-alist): Add cp858.

	* international/code-pages.el: Add cp858.

2006-09-07  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* dnd.el: Fix bootstrapping.

2006-09-07  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* dnd.el (dnd-protocol-alist): Add what url-handler-mode can handle.
	(dnd-open-remote-url): New function.
	(dnd-open-remote-file-function): Set to dnd-open-remote-url if
	not windows-nt.

2006-09-07  Jason Rumney  <jasonr@gnu.org>

	* dnd.el (dnd-open-remote-file-function): New variable.
	(dnd-open-unc-file): New function.
	(dnd-open-file): Call dnd-open-remote-file-function if set.

2006-09-06  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Encode passphrase with
	pgg-passphrase-coding-system rather than locale-coding-system.
	* pgg-def.el (pgg-passphrase-coding-system): New user option.

2006-09-06  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/prolog.el: Remove * in docstrings.
	(prolog-program-name): Add SWI prolog.
	(prolog-mode-menu): New menu.
	(prolog-mode): Set comment-add.
	(prolog-indent-line): Simplify.  Use indent-line-to.
	(inferior-prolog-buffer): New var.
	(inferior-prolog-run, inferior-prolog-process): New funs.
	(run-prolog, switch-to-prolog): Rewrite, using them.
	(prolog-consult-region): Use inferior-prolog-buffer.
	(inferior-prolog-load-file): New function.
	(prolog-mode-map): Add bindings for load-file and switch-to-prolog.

	* textmodes/fill.el (fill-single-word-nobreak-p): Allow breaking before
	last word, if it's not the end of the paragraph.

	* files.el (abbreviate-file-name): Don't mistakenly match newlines in
	file name.

2006-09-06  Ralf Angeli  <angeli@caeruleus.net>

	* frame.el (display-mm-dimensions-alist): New defcustom.
	(display-mm-height, display-mm-width): Use it.

2006-09-06  Simon Josefsson  <jas@extundo.com>

	* mail/smtpmail.el (smtpmail-starttls-credentials): Doc fix.

2006-09-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-list-children-regexp)
	(gdb-var-list-children-regexp-1): Tweak regexps to catch full
	string values.

2006-09-06  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-partial): New function to do vscrolling for
	partially visible images / tall lines.  Rewrite based on code
	previously in line-move.  Simplify backwards vscrolling.
	(line-move): Use it.  Simplify.

2006-09-05  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua--pre-command-handler-1): Rewrite.

2006-09-05  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Process the `gcc-include' after the `gnu' rule.

2006-09-05  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-visit-buffer): Use buffer name if buffer arg is a buffer.

2006-09-05  Daiki Ueno  <ueno@unixuser.org>

	* pgg.el (pgg-clear-string): Alias to clear-string for backward
	compatibility.

	* pgg-gpg.el (pgg-gpg-process-region): Avoid display blinking with
	inhibit-redisplay; encode passphrase with locale-coding-system.

2006-09-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add more C-M- bindings.

2006-09-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-list-children-regexp)
	(gdb-var-list-children-regexp): Make type field optional.

	* progmodes/gud.el (gud-speedbar-buttons): Allow for no type
	e.g public, protected in C++.

2006-09-04  John Paul Wallington  <jpw@pobox.com>

	* simple.el (completion-show-help): New defcustom.
	(completion-setup-function): Heed it.

2006-09-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add C-M- bindings.

2006-09-04  Richard Stallman  <rms@gnu.org>

	* mail/rmail-spam-filter.el (rsf-scanning-messages-now): Doc fix.
	(rsf-min-region-to-spam-list): Doc fix.
	(rsf-add-content-type-field): Doc fix.

	* simple.el (kill-region): Explicitly test there is a region.

2006-09-04  Chong Yidong  <cyd@stupidchicken.com>

	* mail/feedmail.el (feedmail-buffer-to-sendmail): Look for
	sendmail in several common directories.

	* mail/sendmail.el (sendmail-program): Moved here from paths.el.

	* paths.el (sendmail-program): Removed.

2006-09-04  Daiki Ueno  <ueno@unixuser.org>

	* pgg-gpg.el (pgg-gpg-process-region): Revert two patches from Satyaki
	Das.  http://article.gmane.org/gmane.emacs.gnus.general/49947
	http://article.gmane.org/gmane.emacs.gnus.general/50457

2006-09-03  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-group-menu-create): Avoid deactivating the
	mark after running the menu filter.

2006-09-03  Juri Linkov  <juri@jurta.org>

	* international/quail.el (quail-defrule-internal): Add a check
	if a key is a vector.

2006-09-02  Juri Linkov  <juri@jurta.org>

	* man.el (Man-topic-history): New variable.
	(man): Use it.

	* woman.el (woman-topic-history): Change defvar to defvaralias
	for symbol `Man-topic-history'.

	* shell.el (shell-filter-ctrl-a-ctrl-b): Check if
	`comint-last-output-start' is a marker by using `markerp' and
	check if it has a position by using `marker-position', and use
	this position for `goto-char'.

	* international/quail.el (quail-defrule-internal): Add missing
	`error' call for null key.

2006-09-02  Ryan Yeske  <rcyeske@gmail.com>

	* rcirc.el (rcirc-keywords): New variable.
	(rcirc-bright-nicks, rcirc-dim-nicks): New variables.
	(rcirc-bright-nick-regexp, rcirc-dim-nick-regexp): Remove
	variables.
	(rcirc-responses-no-activity): New function.
	(rcirc-handler-generic): Check for responses in above.
	(rcirc-process-command): Add ?: character to arguments of raw
	server commands.
	(rcirc-format-response-string): Use `rcirc-bright-nicks' and
	`rcirc-dim-nicks'.
	(rcirc-gray-toggle): Remove unused variable.
	(rcirc-print): Remove some tracking logic, which is moved into
	markup functions.
	(rcirc-activity-types): Was `rcirc-activity-type', now a list of
	types.
	(rcirc-activity-string): Look for 'keyword in activity-types.
	(rcirc-window-configuration-change): Don't erase overlay-arrow
	unnecessarily.
	(rcirc-add-or-remove): New function.
	(rcirc-cmd-ignore): Use it.
	(rcirc-message-leader): Remove unused function.
	(rcicr-cmd-bright, rcirc-cmd-dim, rcirc-cmd-keyword): New commands.
	(rcirc-add-face): New function.
	(rcirc-facify): Use rcirc-add-face.
	(rcirc-url-regexp): Add parens.
	(rcirc-map-regexp): Remove function.
	(rcirc-mangle-regexp): Remove function.
	(rcirc-markup-text-functions): New variable.
	(rcirc-markup-text): New function (replaces `rcirc-mangle-text').
	(rcirc-markup-body-text, rcirc-markup-attributes)
	(rcirc-markup-my-nick, rcirc-markup-urls, rcirc-markup-keywords)
	(rcirc-markup-bright-nicks): New markup handler functions.
	(rcirc-nick-in-message-full-line): New face.
	(rcirc-track-nick): Rename from `rcirc-mode-line-nick'.
	(rcirc-track-keyword, rcirc-url, rcirc-keyword): New faces.

2006-09-02  Martin Rudalics  <rudalics@gmx.at>

	* cus-start.el (hscroll-margin, hscroll-step)
	(mode-line-in-non-selected-windows, mouse-autoselect-window)
	(x-use-underline-position-properties): Change version to "22.1"
	since they will appear there for the first time.

2006-09-01  Chong Yidong  <cyd@stupidchicken.com>

	* imenu.el (imenu-update-menubar): Use buffer-chars-modified-tick.

2006-08-31  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (custom-save-variables): Slight cleanup.
	(Custom-no-edit): Renamed from custom-no-edit.
	(Custom-newline): Renamed from custom-newline.
	(custom-mode-map): Use new names.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Reference manual
	about customization, rather than M-x customize, in the doc string
	made for the defcustom.

	* emacs-lisp/trace.el (trace-function-background): Doc fix.

2006-08-31  Romain Francoise  <romain@orebokech.com>

	* dired-x.el (dired-guess-shell-alist-default): Update.

2006-08-31  Michael Mauger  <mmaug@yahoo.com>

	* custom.el (custom-theme-set-variables): Autoload packages before
	sorting the variables.

2006-08-30  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-special-read-and-insert-char): Convert events to
	chars if XEmacs.
	(viper-after-change-undo-hook): Check if undo-in-progress is bound.

2006-08-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-eldoc-function): Re-enable quit while
	waiting for process.

2006-08-30  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-string-to-utxt): If adjustment for MacJapanese
	results in ASCII-only string, encode original one directly.

2006-08-29  Romain Francoise  <romain@orebokech.com>

	* startup.el (normal-splash-screen, fancy-splash-screens):
	Make buffer read-only and arrange to enter view mode if necessary.

2006-08-29  Chong Yidong  <cyd@stupidchicken.com>

	* hl-line.el (hl-line): New face.
	(hl-line-face): Use it.

	* image-mode.el (image-mode): Fix last fix.
	Suggested by Kim F. Storm.

2006-08-29  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.54.

	* net/tramp.el (tramp-convert-file-attributes): Call `eql' instead
	of `=', because `tramp-get-remote-gid' might not always return an
	integer when expected.
	(tramp-register-file-name-handlers): `partial-completion-mode' is
	unknown to XEmacs.
	(tramp-time-diff): Don't use `floor', it might fail for large
	differences.
	(tramp-handle-make-auto-save-file-name): For Emacs 21, set
	`tramp-auto-save-directory' if unset in order to guarantee unique
	auto-save file names.

2006-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-mode): Display image as text on a terminal.

2006-08-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-send-command): Simplify.
	(run-python): Don't generate a new buffer unless `new' was specified.
	Make sure we send `import emacs' to the proper process.

	* progmodes/python.el (python-send-command): Don't wait for the command
	to terminate.  Don't fiddle with compilation-parsing-end.

2006-08-28  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/checkdoc.el (checkdoc-file-comments-engine):
	Insert commentary after first line summary.

	* woman.el (woman-follow): New function, based on `man-follow'.
	(woman-mode-map): Use it.

	* ibuffer.el (ibuffer-do-sort-by-recency): Perform full update
	since ibuffer-do-sort-by-recency does not define a sorter.

2006-08-28  Kim F. Storm  <storm@cua.dk>

	* find-dired.el (find-dired): Use shell-quote-argument to properly
	escape ( and ) args.  Also use it on {} and ; args in default
	value of find-ls-option string.
	(find-grep-dired): Use shell-quote-argument on {} and ; args.

2006-08-27  Michael Olson  <mwolson@gnu.org>

	* emacs-lisp/tq.el: Small grammar fix in comments.
	(tq-enqueue): Check for existence of queue rather than the
	head queue item's question, which was a no-op.
	(tq-filter, tq-process-buffer): Make sure the process buffer
	exists before making it the current buffer.

2006-08-27  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-apple-event-map): Rename hicommand to hi-command.
	(mac-dnd-drop-data): Apply 2006-08-22 change for x-dnd-drop-data.
	(special-event-map): Apply 2006-08-16 change for x-win.el.

2006-08-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el (python-send-receive): Wait in the
	process's buffer so as to check the right buffer-local variables.

2006-08-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/checkdoc.el: Remove * in defcustoms.
	(defgroup checkdoc): Move to beginning.

	* progmodes/python.el (python-preoutput-skip-next-prompt): New var.
	(python-preoutput-continuation): Remove.
	(python-preoutput-filter): Simplify correspondingly.
	Remove handling of _emacs_ok.  Make sure we skip _emacs_out's prompts.
	Loop around to catch embedded _emacs_out output.
	(run-python): Send the import&print command on a single line.
	(python-send-command): Send command&print on a single line.
	(python-send-string): Only add double \n if needed.
	(python-send-receive): Loop until the result comes.
	(python-mode-running): Defvar it.
	(python-setup-brm): Remove unused var `menu'.
	Only bind py-mode-map and `features' around brm-init.
	(python-calculate-indentation): Remove unused var `point'.
	(python-beginning-of-defun): Remove unused var `def-line'.

2006-08-25  Richard Stallman  <rms@gnu.org>

	* kmacro.el (kmacro-repeat-on-last-key): Doc fix.

2006-08-25  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper.el (viper-set-hooks): Use frame bindings for
	viper-vi-state-cursor-color.
	(viper-non-hook-settings): Don't set default
	mode-line-buffer-identification.

	* viper-util.el (viper-set-cursor-color-according-to-state): New fun.
	(viper-set-cursor-color-according-to-state)
	(viper-get-saved-cursor-color-in-replace-mode)
	(viper-get-saved-cursor-color-in-insert-mode): Make conditional on
	viper-emacs-state-cursor-color.

	* viper-cmd.el (viper-envelop-ESC-key): Bug fix.
	(viper-undo): Use point if undo-beg-posn is nil.
	(viper-insert-state-post-command-sentinel, viper-change-state-to-emacs)
	(viper-after-change-undo-hook): Don't use
	viper-emacs-state-cursor-color by default.
	(viper-undo): More sensible positioning after undo.

	* viper-ex.el (ex-splice-args-in-1-letr-cmd): Get rid of caddr.
	(viper-emacs-state-cursor-color): Default to nil, since this feature
	doesn't work well yet.

	* ediff-mult.el (ediff-intersect-directories)
	(ediff-get-directory-files-under-revision, ediff-dir-diff-copy-file):
	always expand filenames.

2006-08-24  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tumme.el: Remove * in defcustoms's docstrings.

2006-08-24  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/timer.el (timer-set-idle-time, run-with-idle-timer):
	Accept internal time format for SECS arg.
	(timer-relative-time): Doc fix.

	* jit-lock.el: "Stealth fontification by requeuing timers" patch,
	adapted from Martin Rudalics.
	(jit-lock-stealth-repeat-timer, jit-lock-stealth-buffers): New vars.
	(jit-lock-mode): Create jit-lock-stealth-repeat-timer.
	(jit-lock-stealth-fontify): Reschedule as a idle timer instead of
	using sit-for.

2006-08-24  Francesc Rocher  <francesc.rocher@gmail.com>

	* cus-start.el (all): Add `overline-margin' and
	`x-underline-at-descent-line'.

2006-08-24  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-find-use-xargs): Use explicit value `exec'
	to mean "use find -exec"; nil now unambiguously means auto-detect.
	(grep-compute-defaults): Set grep-find-use-xargs to `exec' if not `gnu'.
	Use shell-quote-argument to build grep-find-command and
	grep-find-template.
	(rgrep): Use shell-quote-argument to properly quote arguments to find.
	Reported by Tom Seddon.

2006-08-23  Chong Yidong  <cyd@stupidchicken.com>

	* startup.el (fancy-splash-head): Give instructions for dismissing
	the splash screen for default startup too.
	(display-startup-echo-area-message, fancy-splash-screens)
	(use-fancy-splash-screens-p): New arg hide-on-input.  If nil, show
	all splash text at once and keep the splash buffer around.
	(command-line-1): Give display-startup-echo-area-message a t arg.

2006-08-23  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-follow-gnus-link): Make sure the dedicated
	gnus frame is selected.

2006-08-23  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-starting): Reset gdb-signalled to nil.

2006-08-22  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-set-matches-1): Fix full matching for subdirs.
	Add suffix matching for subdirs.

2006-08-22  Jorgen Schaefer  <forcer@forcix.cx>  (tiny change)

	* x-dnd.el (x-dnd-drop-data): Don't call goto-char if
	mouse-yank-at-point is non-nil.

2006-08-22  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frame-memory-buffer): Make frame
	a bit wider and remove fringes to fit initial output on line.

2006-08-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* frame.el (blink-cursor-end): Only ignore the error we care about.
	(blink-cursor-mode): Use blink-cursor-end to simplify the code.

2006-08-21  Richard Stallman  <rms@gnu.org>

	* whitespace.el (whitespace-cleanup): Doc fix.

2006-08-20  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-show-maximum-output): New var.
	(rcirc-buffer-process): If no buffer argument is supplied, use
	current-buffer.
	(rcirc-complete-nick): Complete to the last completed nick first.
	(rcirc-mode): Preserve the value of `rcirc-urls' across
	connections.  Setup scroll function.
	(rcirc-scroll-to-bottom): New function.
	(rcirc-print): Use nick syntax around regexp work.
	Notice dim-nicks speaking only if they say our nick.
	(rcirc-update-activity-string): Do not show the modeline indicator
	if there are no live rcirc processes.
	(rcirc-cmd-ignore): Ignore case.
	(rcirc-browse-url-at-point): Fix off-by-one error.

2006-08-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/python.el: Remove * in defcustom docstrings.
	(run-python, python-proc, python-try-complete): Use derived-mode-p.
	(python-mode): Set tab-width and indent-tabs-mode.

2006-08-20  Dave Love  <fx@gnu.org>

	* progmodes/python.el: Update to Dave Love's latest version.
	(python-font-lock-keywords, python-mode): Don't use
	font-lock-syntax-table, but match symbol elements explicitly instead.
	(python-mode-map): Add help, and a few more key bindings.
	(python-skip-comments/blanks): Move out of comments as well.
	(python-continuation-line-p): Behave better with unbalanced parens.
	(python-blank-line-p): New fun.
	(python-open-block-statement-p): Don't use a heuristic.
	(python-outdent-p): Better handle blocks-in-the-same-line.
	(python-calculate-indentation): Misc improvements.
	(python-comment-indent): Remove.
	(python-block-pairs): New var.
	(python-first-word): New fun.
	(python-indentation-levels): Handle more common cases.
	(python-indent-line-1): Add `leave' argument.
	(python-indent-region): New fun.
	(python-skip-out): New fun.
	(python-beginning-of-statement, python-end-of-statement): Use it.
	(python-next-statement): Return correct count even at eob.
	(python-end-of-block): Fix paren-typo.
	(python-imenu-create-index): Add module variables.
	(run-python): Add `new' arg.
	Check we're at a prompt before returning.
	(python-send-command): Move to end of buffer.
	Wait for prompt to return.
	(python-set-proc): New fun.
	(python-imports): New var.
	(python-describe-symbol): Use it.  Adjust to new interface of `ehelp'.
	(python-eldoc-function): Try to move out of arg list.
	(python-outline-level): Offset by 1.
	(python-find-imports): New fun.
	(python-symbol-completions): Use python-imports.
	(python-module-path, ffap-alist): Add support for ffap.
	(python-skeletons, python-mode-abbrev-table, def-python-skeleton)
	(python-insert-*, python-default-template, python-expand-template):
	Add templates/skeletons.
	(python-setup-brm): Support for Bicycle Repair Man.
	(python-abbrev-syntax-table): New var.
	(python-abbrev-pc-hook, python-pea-hook): New funs.

2006-08-20  Chong Yidong  <cyd@stupidchicken.com>

	* frame.el (blink-cursor-start): Set timer first.
	(blink-cursor-end): Ignore timer cancelling errors.
	Suggested by Ken Manheimer.

2006-08-20  Juanma Barranquero  <lekktu@gmail.com>

	* newcomment.el (comment-box): Call `comment-normalize-vars'.
	Add autoload cookie.

2006-08-20  Richard Stallman  <rms@gnu.org>

	* simple.el (line-number-at-pos): Doc fix.

	* emacs-lisp/timer.el (run-with-idle-timer): Pass t to
	timer-activate-when-idle, so timer can run before Emacs becomes
	non-idle again.

2006-08-18  Yoni Rabkin Katzenell  <yoni-r@actcom.com>  (tiny change)

	* whitespace.el (whitespace-cleanup-internal): New optional arg
	REGION-ONLY.  If it's non-nil, modify the message to the user
	accordingly.
	(whitespace-cleanup-region): Call whitespace-cleanup-internal with
	a non-nil argument.

2006-08-18  Gustav H,Ae(Bllberg  <gustav@gmail.com>  (tiny change)

	* rect.el (spaces-string): Simplify and add doc string.

2006-08-17  Romain Francoise  <romain@orebokech.com>

	* progmodes/gdb-ui.el (gdb-edit-locals-value): Balance parens.

2006-08-17  Richard Stallman  <rms@gnu.org>

	* compare-w.el (compare-windows): lambda's take an arg and pass
	it to compare-windows-skip-whitespace.

2006-08-17  Martin Rudalics  <rudalics@gmx.at>

	* jit-lock.el (jit-lock-fontify-now): Protect the modified status of
	the right buffer.

2006-08-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-parse.el (cvs-parse-table): Accept the new `...' format for
	removed files.

2006-08-17  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-locals-watch-map)
	(gdb-locals-watch-map-1): Suppress keymap first.
	(gdb-edit-locals-map-1): New variable.
	(gdb-edit-locals-value): New function.
	(gdb-stack-list-locals-handler): Use them.

2006-08-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mouse.el (global-map): Allow yanking with mouse-2 at a spot whose
	cursor would normally be drawn in the fringe.

	* font-lock.el (font-lock-extend-region-wholelines): Fix up typo.
	Reported by Martin Rudalics <rudalics@gmx.at>.

2006-08-16  Richard Stallman  <rms@gnu.org>

	* term/x-win.el (x-clipboard-yank): Specify * in interactive spec.
	(special-event-map): Process drag-n-drop events this way.

	* simple.el (move-beginning-of-line): Test whether fields
	would prevent motion back to line's first visible character.
	If so, stop where the fields would stop the motion.

	* newcomment.el (comment-indent): Fully update INDENT
	before checking to see if it will change the text.

	* cus-edit.el (custom-newline): New function.
	(custom-mode-map): Bind newline to custom-newline.

	* compare-w.el (compare-windows): Factor compare-ignore-whitespace
	into ignore-whitespace.
	Check each buffer for its skip-function.
	Handle compare-windows-skip-whitespace special-case test
	by returning t from default skip function.

2006-08-15  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-clock-special-range)
	(org-clock-update-time-maybe): New functions.
	(org-stamp-time-of-day-regexp): Allow weekday to be of word chars,
	not only a-z.
	(org-agenda-get-blocks): Allow multiple blocks per headline.
	(org-timestamp-change): Call `org-clock-update-time-maybe'.
	(org-export-html-title-format)
	(org-export-html-toplevel-hlevel): New options.
	(org-export-language-setup): Add support for Czech.
	(org-mode, org-insert-todo-heading, org-find-visible)
	(org-find-invisible, org-invisible-p, org-invisible-p2)
	(org-back-to-heading, org-on-heading-p, org-up-heading-all)
	(org-show-subtree, org-show-entry, org-make-options-regexp):
	Remove compatibility support for old outline-mode.
	(org-check-occur-regexp): Funtion removed.
	(org-on-heading-p, org-back-to-heading): Made defalias.
	(org-set-local): New defsubst.
	(org-set-regexps-and-options, org-mode)
	(org-set-font-lock-defaults, org-edit-agenda-file-list)
	(org-timeline, org-agenda-list, org-todo-list, org-tags-view)
	(org-remember-apply-template, org-table-edit-field)
	(org-table-edit-formulas, orgtbl-mode, org-export-as-ascii)
	(org-set-autofill-regexps): Use `org-set-local'.
	(org-table-eval-formula): Fix bug with parsing of display flags.

2006-08-15  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-stack-custom): Indicate selected
	frame with fringe arrow.  Suggested by Simon Marshall
	<simon.marshall@misys.com>.
	(gdb-stack-position): New variable.
	(gdb-starting, gdb-exited): Reset gdb-stack-position to nil.
	(gdb-frames-mode): Set gdb-stack-position to nil.
	Add to overlay-arrow-variable-list
	(gdb-reset): Delete gdb-stack-position from above list.

2006-08-14  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el (menu-bar-edit-menu): Disable paste if buffer is
	read only.

2006-08-13  Romain Francoise  <romain@orebokech.com>

	* cus-theme.el (customize-create-theme)
	(custom-theme-visit-theme): End `y-or-n-p' prompt with a space.

	* filesets.el (filesets-add-buffer): Ditto.

	* pcvs.el (cvs-change-cvsroot): Ditto.

2006-08-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-frame-separate-io-buffer)
	(gdb-use-separate-io-buffer, menu): Avoid using `inferior' in text.
	(gdb-memory-mode, gdb-locals-watch-map): Don't quote lambda
	expressions.
	(gdb-info-breakpoints-custom): Use gdb-breakpoint-regexp.
	Only search till end of line.
	Add face to function names in case of no filename.
	Add face to variable names of watchpoints.

2006-08-12  Robert Thorpe  <rthorpe@realworldtech.com>  (tiny change)

	* cus-start.el <indent-tabs-mode>: Move to the `indent'
	customization group.

2006-08-12  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-prior-bindings, allout-added-bindings):
	Remove, after long deprecation.
	(allout-beginning-of-line-cycles, allout-end-of-line-cycles):
	Add customization vars controlling allout-beginning-of-line and
	allout-end-of-line conveniences.
	(allout-header-prefix, allout-use-mode-specific-leader)
	(allout-use-mode-specific-leader, allout-mode-leaders):
	Revise docstrings.
	(allout-infer-header-lead): Change to be an alias for
	allout-infer-header-lead-and-primary-bullet.
	(allout-infer-header-lead-and-primary-bullet): New version of
	allout-infer-header-lead which assigns the primary bullet to the
	same as the header lead, when its being changed.
	(allout-infer-body-reindent): Apply regexp-quote instead of
	unconditionally prepending "\\", so that all literal
	allout-header-prefix and allout-primary-bullet strings are
	properly handled.
	(allout-add-resumptions): Add optional qualifier for extending or
	appending to existing values, rather than replacing them.
	(allout-view-change-hook): Clarify docstring.
	(allout-exposure-change-hook): Take explicit arguments, via
	run-hook-with-args.
	(allout-structure-added-hook)
	(allout-structure-deleted-hook)
	(allout-structure-shifted-hook): New hooks analogous to
	allout-exposure-change-hook for other kinds of structural outline
	edits.
	(allout-encryption-plaintext-sanitization-regexps): New encryption
	customization variable, by which cooperating modes can provde
	massage of the plaintext without actually being passed it.
	(allout-encryption-ciphertext-rejection-regexps)
	(allout-encryption-ciphertext-rejection-ceiling): New encryption
	customization variables, by which cooperating modes can prohibit
	rare but possible ciphertext patterns from fouling their
	operation, with actually being passed the ciphertext.
	(allout-mode): Run activation and deactivation hooks after the
	minor-mode variable has been toggled, to clarify the mode
	disposition.  The new encryption ciphertext rejection variable is
	used to ensure that the ciphertext does not contain text that
	would be recognized as outline structural elements by allout.
	Substite allout-beginning-of-line and allout-end-of-line for
	conventionall beginning-of-line and end-of-line bindings.
	If allout-old-style-prefixes is non-nil, don't nullify it on mode
	activation!
	(allout-beginning-of-line): Respect `allout-beginning-of-line-cycles'.
	(allout-end-of-line): Respect `allout-end-of-line-cycles'.
	(allout-chart-subtree): Implement new mode, charting only the
	visible items in the subtree, when new 'visible' parameter is non-nil.
	(allout-end-of-subtree): Properly handle the last item in the buffer.
	(allout-pre-command-business, allout-command-counter):
	Increment an advertised counter so that cooperating enhancements can
	track revisions of items.
	(allout-open-topic): Run allout-structure-added-hook with suitable
	arguments.
	(allout-shift-in): Run allout-structure-shifted-hook with suitable
	arguments.
	(allout-shift-out): Fix doubling for negative args and ensure call
	of allout-structure-shifted-hook by solely using allout-shift-in.
	(allout-kill-line, allout-kill-topic):
	Run allout-structure-deleted-hook with suitable arguments.
	(allout-yank-processing): Run allout-structure-added-hook with
	proper arguments.
	(allout-yank): Enclose activity in allout-unprotected.
	(allout-flag-region): Run allout-exposure-change-hook with
	suitable arguments, instead of making the callee infer the arguments.
	(allout-encrypt-string):
	Support allout-encryption-plaintext-sanitization-regexps,
	allout-encryption-ciphertext-rejection-regexps, and
	allout-encryption-ciphertext-rejection-ceiling.  Indicate correct
	en/de cryption mode in symmetric encryption failure message.
	(allout-obtain-passphrase): Use copy-sequence to get a distinct
	copy of the passphrase, and don't zero it or we'll corrupt the
	stashed copy.
	(allout-create-encryption-passphrase-verifier)
	(allout-verify-passphrase): Respect the new signature for
	allout-encrypt-string.
	(allout-get-configvar-values): Convenience for getting a
	configuration variable value and handling its absence gracefully.

2006-08-11  Romain Francoise  <romain@orebokech.com>

	* obsolete/zone-mode.el: Delete.

2006-08-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/dns-mode.el (dns-mode): Use before-save-hook.

2006-08-11  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/bindat.el (bindat-ip-to-string):
	Use `format-network-address' if possible.

2006-08-11  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* x-dnd.el (x-dnd-init-frame): Call x-register-dnd-atom.

2006-08-10  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/edebug.el (edebug-recursive-edit): Don't save and
	restore unread-command-events here.
	(edebug-display): Do it here, to detect sit-for interruptions.

2006-08-10  Romain Francoise  <romain@orebokech.com>

	* textmodes/dns-mode.el: Alias `zone-mode' to `dns-mode'.
	(dns-mode-soa-auto-increment-serial): New user option.
	(dns-mode-soa-maybe-increment-serial): New function.
	(dns-mode): Add the latter to `write-contents-functions'.

	* obsolete/zone-mode.el: Move to obsolete/ from net/.
	Delete autoload cookies.

2006-08-10  John Wiegley  <johnw@newartisans.com>

	* eshell/em-glob.el (eshell-glob-chars-list)
	(eshell-glob-translate-alist): Add support for [^g] in character globs.

2006-08-10  Richard Stallman  <rms@gnu.org>

	* facemenu.el (facemenu-add-face): Pass frame to facemenu-active-faces.
	(facemenu-set-face): Doc fix.
	(facemenu-listed-faces): Doc fix.

2006-08-09  Chong Yidong  <cyd@stupidchicken.com>

	* avoid.el (mouse-avoidance-animating-pointer): New var.
	(mouse-avoidance-nudge-mouse): Use it.
	(mouse-avoidance-banish): Rename from mouse-avoidance-banish-hook.
	(mouse-avoidance-exile): Rename from mouse-avoidance-exile-hook
	(mouse-avoidance-fancy): Rename from mouse-avoidance-fancy-hook.
	Don't activate if currently animating.  All callers changed.

2006-08-09  John Wiegley  <johnw@newartisans.com>

	* calendar/timeclock.el (timeclock-use-elapsed): Added a new
	variable, which causes timeclock to report elapsed time worked,
	instead of just work remaining.

2006-08-09  Kenichi Handa  <handa@m17n.org>

	* international/latexenc.el (latexenc-find-file-coding-system):
	Fix for the case that the 2nd element of arg-list is a cons.

2006-08-08  Chong Yidong  <cyd@stupidchicken.com>

	* info.el (Info-fontify-node): Handle preceding `in' for note
	reference hiding rules.

2006-08-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-quoted-subshell): Make sure we don't
	mistake a closing " for an opening one.

2006-08-07  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add more key bindings.

2006-08-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* complete.el (PC-do-completion): Filter out completions matching
	completion-ignored-extensions before checking whether there are
	multiple completions.
	Don't use `list' unnecessarily when building completion tables.

2006-08-06  Richard Stallman  <rms@gnu.org>

	* help.el (describe-mode): Make minor mode list more concise.

2006-08-05  Chong Yidong  <cyd@stupidchicken.com>

	* bindings.el: Give mode-line-format, mode-line-modes, and
	mode-line-position `standard-value' properties.

2006-08-05  Eli Zaretskii  <eliz@gnu.org>

	* buff-menu.el (list-buffers-noselect): For Info buffers, use
	"(file)node" instead of the file name.

2006-08-05  Richard Stallman  <rms@gnu.org>

	* faces.el (escape-glyph): Doc fix.

2006-08-04  Kenichi Handa  <handa@m17n.org>

	* international/mule-diag.el (describe-font): Improve docstring
	and error message.  Use frame-parameter (not frame-parameters).

2006-08-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/gud.el (gdb-script-font-lock-syntactic-keywords):
	Correctly mark the end-of-docstring char.

2006-08-03  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-to-column): Constrain move-to-column to
	current field.

2006-08-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-lock.el (font-lock-beg, font-lock-end)
	(font-lock-extend-region-functions): New vars.
	(font-lock-extend-region-multiline)
	(font-lock-extend-region-wholelines): New functions.
	(font-lock-default-fontify-region): Use them.
	(font-lock-extend-jit-lock-region-after-change): Only round up
	if font-lock-default-fontify-region will do it as well.

	* font-lock.el (font-lock-extend-after-change-region-function):
	Rename from font-lock-extend-region-function.
	(font-lock-extend-region): Remove by inlining at call sites.
	(font-lock-after-change-function): Don't needlessly round up to a whole
	number of lines.
	(font-lock-extend-jit-lock-region-after-change): Be more careful about
	the boundary conditions and the interactions between the various ways
	to extend the region.

2006-08-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* jit-lock.el (jit-lock-fontify-now): Preserve the buffer's
	modification status when forcing the second redisplay.

2006-08-03  Kim F. Storm  <storm@cua.dk>

	* edmacro.el (edmacro-fix-menu-commands): Ignore switch-frame.

2006-08-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs-util.el (cvs-get-buffer-create): Obey `noreuse' even if `name'
	doesn't look like a file name.

	* complete.el (PC-expand-many-files): Avoid signalling an error when
	the current directory doesn't exist.  Reported by Micha,Ak(Bl Cadilhac.

2006-08-02  Andreas Schwab  <schwab@suse.de>

	* bindings.el (mode-line-format): Simplify reference to vc-mode.

2006-08-02  Nick Roberts  <nickrob@snap.net.nz>

	* bindings.el (map): Make mode-line-buffer-identification-keymap
	before defining propertized-buffer-identification.

2006-08-01  Richard Stallman  <rms@gnu.org>

	* bindings.el (mode-line-format): Adjust spacing around vc-mode.

2006-08-02  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-find-source-frame): Make nil the
	default value.
	(gdb-find-source-frame): New function.
	(menu): Add to menu bar.

2006-08-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* font-core.el (font-lock-extend-region-function)
	(font-lock-extend-region): Move to font-lock.el.

	* font-lock.el (font-lock-extend-region-function)
	(font-lock-extend-region): Move from font-core.el.  Simplify.

	* jit-lock.el (jit-lock-fontify-now): Cause a second redisplay
	if needed.
	(jit-lock-start, jit-lock-end): New dynamic scoped vars.
	(jit-lock-after-change-extend-region-functions): New hook.
	(jit-lock-after-change): Use it instead of hard-coding font-lock code.

	* font-lock.el (font-lock-extend-jit-lock-region-after-change): New fun.
	(font-lock-turn-on-thing-lock): Use it.

	* longlines.el (longlines-show-region): Make it work on read-only
	buffers as well.

2006-08-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-set-hollow): Check for gud-last-last-frame.

2006-07-31  Richard Stallman  <rms@gnu.org>

	* progmodes/vhdl-mode.el (vhdl-speedbar-display-directory)
	(vhdl-speedbar-display-projects): Update old obsolete
	speedbar variable names.

2006-07-31  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-find-source-frame): New option.
	(gdb-stopped): Use it.

	* t-mouse.el (t-mouse-mode): Use set-process-query-on-exit-flag.

2006-07-29  Chong Yidong  <cyd@stupidchicken.com>

	* loadhist.el (unload-feature): Handle new `(t . SYMBOL)' format
	for load-history elements.

2006-07-29  Eli Zaretskii  <eliz@gnu.org>

	* files.el (convert-standard-filename): For Cygwin, replace
	characters not allowed in Windows file names.
	(make-auto-save-file-name): Add Cygwin to the list of systems
	where the auto-save file name needs to be run through
	convert-standard-filename.

2006-07-29  Lennart Borgman  <lennart.borgman.073@student.lu.se>

	* window.el (bw-get-tree): Don't integerp subtree if it's nil.

2006-07-28  Richard Stallman  <rms@gnu.org>

	* bindings.el (mode-line-frame-identification)
	(propertized-buffer-identification): Centralize the code
	to initialize the variable.

	* progmodes/grep.el (grep-default-command): Catch errors from
	wildcard-to-regexp.

2006-07-29  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-tag-default): New function.
	(grep-default-command, grep-read-regexp): Use it.
	(grep-read-files): Use car of grep-files-history or grep-files-aliases
	as default if nothing else applies.

2006-07-28  Bill Atkins  <atkinw@rpi.edu>  (tiny change)

	* wdired.el (wdired-change-to-wdired-mode, wdired-change-to-dired-mode):
	Throw error if buffer is not in Dired and Wdired mode, respectively.

2006-07-28  Chong Yidong  <cyd@stupidchicken.com>

	* cus-edit.el (custom-no-edit): Revert 2006-07-27 change, so that
	self-insert-command keys don't activate buttons.
	(custom-mode-map): Just don't bind "\C-m" to `custom-no-edit'.

2006-07-29  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-info-breakpoints-custom): Use different
	faces for enable character.

2006-07-28  Nick Roberts  <nickrob@snap.net.nz>

	* Makefile.in (recompile): Update comment to reflect change
	on 2004-04-21.

2006-07-27  Richard Stallman  <rms@gnu.org>

	* cus-edit.el (customize-package-emacs-version-alist): Doc fix.
	(customize-package-emacs-version): Change msg when pkg has no entry.
	(custom-no-edit): On a button, do like widget-button-press.

2006-07-27  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Fix bindings for C-tab,
	S-tab and C-S-tab.

2006-07-28  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/which-func.el (which-function): Fix documentation/
	comment typo.

2006-07-26  Richard Stallman  <rms@gnu.org>

	* textmodes/ispell.el (ispell-word): If we replace the word,
	move point to the end.  Insert before deleting.

2006-07-26  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (sit-for): Use new SECONDS arg of read-event instead of
	a timer.

2006-07-26  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-backward-image): Add prefix argument.  Add error
	when at first image.
	(tumme-forward-image): Add prefix argument.  Add error when at last
	image.

2006-07-25  Stefan Monnier  <monnier@iro.umontreal.ca>

	* tabify.el (tabify-regexp): Use more specific regexps.
	(tabify): Avoid modifying the buffer unnecessarily.

2006-07-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-track-original-file): Add `buffer-live-p' check.
	(tumme-format-properties-string): Handle empty `buf'.
	(tumme-get-comment): Change variable names inside `let'.
	Add missing `let' variable that cause font-lock problems.
	(tumme-write-comments): Change variable names inside `let'.
	Add missing `let' variable that cause font-lock problems.
	(tumme-forward-image): Rename from `tumme-forward-char'.
	(tumme-backward-image): Rename from `tumme-backward-char'.

2006-07-25  Masatake YAMATO  <jet@gyve.org>

	* progmodes/ld-script.el (ld-script-keywords)
	(ld-script-font-lock-keywords, ld-script-builtins): Update keywords
	and add comments.

2006-07-25  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-set-gud-minor-mode-existing-buffers)
	(gdb-resync, gdb-prompt, gdb-starting, gdb-exited, gdb-stopped)
	(gdb-set-gud-minor-mode-existing-buffers-1): Use different faces
	for status indicator.

2006-07-24  Richard Stallman  <rms@gnu.org>

	* xml.el (xml-parse-file): Clean up, and use with-temp-buffer.

	* subr.el (dolist, dotimes): Use interned symbols for locals.
	(--dotimes-limit--, --dolist-tail--): New defvars.
	(looking-back): Doc fix.

	* replace.el (replace-match-string-symbols): Handle dotted lists.

2006-07-24  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-write-tags): Add.
	(tumme-write-comments): Add.
	(tumme-tag-files): Change to use `tumme-write-tags'.
	(tumme-tag-thumbnail): Change to use `tumme-write-tags'.
	(tumme-dired-comment-files): Change to use `tumme-write-comments'.
	(tumme-save-information-from-widgets): Change to use
	`tumme-write-comments' and `tumme-write-tags'.
	(tumme-comment-thumbnail): Change to use `tumme-write-comments'.
	(tumme-write-tag): Remove.
	(tumme-write-comment): Remove.
	(tumme-display-previous-thumbnail-original): Remove empty line.
	(tumme-widget-list): Add punctuation.

2006-07-24  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-line-up): Add an extra check for end of buffer.

2006-07-24  Daiki Ueno  <ueno@unixuser.org>

	* pgg-def.el (pgg-truncate-key-identifier): Truncate the key ID to 8
	letters from the end.  Thanks to "David Smith" <davidsmith@acm.org>
	and andreas@altroot.de (Andreas V,Av(Bgele).

2006-07-23  Thien-Thi Nguyen  <ttn@gnu.org>

	* mouse.el (mouse-on-link-p): Doc fix.

2006-07-23  Nick Roberts  <nickrob@snap.net.nz>

	* emacs-lisp/find-func.el (find-function-search-for-symbol):
	Handle "C-h f `".

2006-07-22  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuffer.el (ibuffer-formats): Use left alignment for the mode
	column.

2006-07-22  Matt Hodges  <MPHodges@member.fsf.org>

	* textmodes/table.el: Add move-beginning-of-line and
	move-end-of-line to Point Motion Only Group.

2006-07-22  Eric Hanchrow  <offby1@blarg.net>

	* progmodes/delphi.el (delphi-fill-comment): Use save-restriction.

2006-07-22  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* startup.el (user-mail-address): Initialize from the `EMAIL'
	environment variable first.  Document this.
	(command-line): Ditto.

2006-07-22  Nick Roberts  <nickrob@snap.net.nz>

	* help-mode.el (help-function-def, help-variable-def)
	(help-face-def): Print a message in the minibuffer.

2006-07-21  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Fix key bindings
	syntax.  Bind S-return, C-M-., C-TAB, S-TAB and C-S-TAB.

2006-07-21  Eli Zaretskii  <eliz@gnu.org>

	* dos-w32.el (find-buffer-file-type-coding-system): Support calls
	where `(nth 1 command)' is a cons cell.  Doc fix.

	* textmodes/po.el (po-find-charset): Doc fix.

2006-07-21  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-unprotected, allout-e-o-prefix-p)
	(allout-beginning-of-current-line, allout-end-of-current-line)
	(allout-next-visible-heading, allout-open-topic)
	(allout-kill-topic, allout-yank-processing, allout-resolve-xref)
	(allout-flag-current-subtree, allout-show-to-offshoot)
	(allout-hide-current-entry, allout-show-current-branches)
	(allout-hide-region-body, allout-old-expose-topic)
	(allout-listify-exposed, allout-latex-verbatim-quote-curr-line)
	(allout-mark-topic, allout-adjust-file-variable): Enclose scopes
	containing `beginning-of-line' and `end-of-line' with
	`inhibit-field-text-motion' t.

2006-07-21  Eli Zaretskii  <eliz@gnu.org>

	* frame.el (focus-follows-mouse): Document that it doesn't have
	any effect on MS-Windows.

2006-07-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-quoted-subshell): Further fix last change.

2006-07-20  Jay Belanger  <belanger@truman.edu>

	* calc.el (calc-previous-alg-entry):  Remove variable.

	* calc-aent.el (calc-alg-entry-history, calc-quick-calc-history):
	New variables.
	(calc-alg-entry): Use `calc-alg-entry-history'.
	(calc-do-quick-calc): Use `calc-quick-calc-history'.
	Remove reference to `calc-previous-alg-entry'.
	(calcAlg-edit, calcAlg-enter): Remove reference to
	`calc-previous-alg-entry'.
	(calcAlg-previous): Use `previous-history-element' instead of
	`calc-previous-alg-entry'.
	(calc-do-alg-entry): Use history when calling `read-from-minibuffer'.
	Change keybinding for `calcAlg-plus-minus', add keybindings for
	`previous-history-element' and `next-history-element'.

	* calc-rewr.el (calc-match): Remove reference to
	`calc-previous-alg-entry'.

	* calc-sel.el (calc-selection-history): New variable.
	(calc-enter-selection, calc-sel-mult-both-sides)
	(calc-sel-add-both-sides): Use `calc-selection-history'.

	* calc-map.el (calc-get-operator-history): New variable.
	(calc-get-operator): Use `calc-get-operator-history'.

	* calcalg3.el (calc-curve-fit-history): New variable.
	(calc-curve-fit): Use `calc-curve-fit-history'.

2006-07-20  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (select-safe-coding-system): Fix the
	way of deciding eol-type of the coding system.

2006-07-20  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-langs.el (c-emacs-variable-inits): New variable.
	(c-lang-setvar): New macro.
	(c-make-init-lang-vars-fun): Use the initialization forms in
	c-emacs-variable-inits in addition to those in c-lang-variable-inits.
	(comment-start, comment-end, comment-start-skip): Change these from
	c-lang-defvar's to c-lang-setvar's.

	* progmodes/cc-mode.el (c-make-emacs-variables-local): New macro,
	which calls make-local-variable on the elements of
	c-emacs-variable-inits.
	(c-init-language-vars-for): Call this new macro.

2006-07-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-error-regexp-alist-alist) <gnu>:
	Try to rule out false positives due to time stamps.
	(compilation-mode-font-lock-keywords): Remove rules made redundant
	because of the above change.  Add `segmentation fault' to the known and
	highlighted compilation termination messages.

2006-07-19  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-find-ignored-directories):
	Add .svn and _darcs to list.

2006-07-19  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.el (dired-mode-map): Add key binding `C-te' for
	`tumme-dired-edit-comment-and-tags'.

	* tumme.el (tumme-display-thumbnail-original-image): Make sure
	image display buffer is displayed before call to
	`tumme-display-image.
	(tumme-dired-display-image): Make sure image display buffer is
	displayed before call to `tumme-display-image.
	(tumme-mouse-display-image): Make sure image display buffer is
	displayed before call to `tumme-display-image.
	(tumme-widget-list): Add.
	(tumme-dired-edit-comment-and-tags): Add.
	(tumme-save-information-from-widgets): Add.

2006-07-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-quoted-subshell): Fix last change.

2006-07-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/sh-script.el (sh-font-lock-keywords-1):
	Revert inadvertently installed patch hunk.

	* progmodes/compile.el (compilation-find-file): Handle the
	cases where the user selects a non-existent file.

2006-07-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* bindings.el (minibuffer-local-map): Rebind TAB so it inserts a \t.

2006-07-17  Chong Yidong  <cyd@stupidchicken.com>

	* subr.el (sit-for): Just sleep-for if noninteractive.

2006-07-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/autoload.el (make-autoload): Use new arg.

	* custom.el (custom-autoload): Add `noset' argument.
	(custom-push-theme): Don't autoload the variable, let callers do it.
	(custom-theme-set-variables): Autoload the variable if necessary.

	* cus-edit.el (custom-variable-state-set): If the variable was
	originally set outside custom, but to the same value as the default,
	consider it to be standard.

	* Makefile.in (mh-loaddefs.el): Finish setting up the default empty
	file *before* telling Emacs to add the autoloads, in case it fails.

	* progmodes/sh-script.el (sh-quoted-subshell): Don't match escaped `.
	Use `cond', push', and `dolist'.

2006-07-17  Richard Stallman  <rms@gnu.org>

	* image-mode.el (tar-superior-buffer, archive-superior-buffer):
	Add defvars to silence warnings.

2006-07-17  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/compile.el (compilation-mode-font-lock-keywords):
	Don't highlight "Compiling file" messages as error.

	* dired-aux.el (dired-compress-file): Confirm again if gzipped
	file already exists.

2006-07-16  Thien-Thi Nguyen  <ttn@gnu.org>

	* find-file.el (ff-special-constructs): Doc fix.  Also, for C/C++
	entry, don't assign to free var; simply return the extracted filename.
	(ff-treat-as-special): Incorporate common preamble from callers.
	(ff-other-file-name, ff-find-the-other-file):
	Update call to ff-treat-as-special.

	* progmodes/ada-mode.el (ada-mode): Rewrite ff-special-constructs init.

2006-07-16  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-get-comment): Fix bug.

2006-07-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el: Remove spurious * in docstrings.

2006-07-14  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-run-unit-tests-on-load): Rectify docstring
	grammar.
	(allout-beginning-of-current-line): Beware beginning of buffer.
	Also, a comment is simplified.
	(allout-hotspot-key-handler): Only set allout-post-goto-bullet
	when appropriate.  (This fix enables use for other than
	bullet-hotspot operation.)
	(allout-hide-current-subtree): While escalating to sibling-close,
	make sure to situate on a topic.

2006-07-14  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el (cua-delete-selection)
	(cua-toggle-set-mark): New defcustoms.
	(cua-rectangle-modifier-key): Add `alt' modifier.
	(cua-replace-region): Don't delete if cua-delete-selection is nil.
	(cua-set-mark): Don't clear mark if cua-toggle-set-mark is nil.
	Suggested by Klaus Zeitler <kzeitler@lucent.com>.

	* emulation/cua-rect.el (cua-help-for-rectangle): Add `alt' modifier.

2006-07-14  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Require 'cl during byte-compilation/interactive load,
	for the `assert' macro.
	(allout-mode-deactivate-hook): New hook, run when allout mode
	deactivates.
	(allout-developer): New allout customization subgroup.
	(allout-run-unit-tests-on-load): New allout-developer
	customization variable, when true allout unit tests are run towards
	end of file load/eval.
	(allout-inhibit-auto-fill): Disable auto-fill activity even during
	auto-fill-mode.
	(allout-resumptions): Remove, to be replaced by...
	(allout-add-resumptions): Register variable settings to be
	reinstated by `allout-do-resumptions'.  The settings are made
	buffer-local, but the locality/globality of the suspended setting
	is restored on resumption.
	(allout-do-resumptions): Reinstate all settings suspended using
	`allout-add-resumptions'.
	(allout-test-resumptions): Unit tests (and intermediate variables)
	for resumptions.
	(allout-tests-globally-unbound, allout-tests-globally-true)
	(allout-tests-locally-true): Intermediate variables for
	resumptions unit tests.
	(allout-overlay-preparations): Replaces `allout-set-overlay-category'.
	(allout-exposure-category): Replaces 'allout-overlay-category variable.
	(allout-mode): Use `allout-add-resumptions' and `allout-do-resumptions'
	instead of retired `allout-resumptions'.  For hook functions, use
	`local' parameter so hook settings are created and removed as
	buffer-local settings.  Revise (resumptions) setting
	auto-fill-function so it is set only if already active.  (The
	related fill-function settings are all made in either case, so
	that activating auto-fill-mode activity will have the custom
	allout-mode behaviors (hanging indent on topics, if configured for it).
	Remove all allout-exposure-category overlays on mode deactivation.
	(allout-hotspot-key-handler): New function extracted from
	`allout-pre-command-business', so the functionality can be used
	for other purposes, eg as a binding in an overlay.
	(allout-pre-command-business): Use new `allout-hotspot-key-handler'.
	(allout-auto-fill): Respect new `allout-inhibit-auto-fill'
	customization variable.
	(allout-run-unit-tests): Run the (currently quite small)
	repertoire of unit tests.  Called just before the provide iff user
	has customized `allout-run-unit-tests-on-load' non-nil.

2006-07-14  K,Aa(Broly L$,1 q(Brentey  <lorentey@elte.hu>

	* emacs-lisp/authors.el (authors-aliases): Update.

2006-07-14  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-display-buffer): Check for
	gdb-source-window.  Add dedicated argument.
	(gdb-display-separate-io-buffer, gdb-append-to-inferior-io)
	(gdb-display-breakpoints-buffer, gdb-display-stack-buffer)
	(gdb-display-threads-buffer, gdb-display-memory-buffer)
	(gdb-display-locals-buffer): Use it.

	* progmodes/gud.el (gud-display-line): Use gdb-display-buffer.
	Set gdb-source-window.

2006-07-13  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/autoload.el (make-autoload): Remove special handling of
	minor modes, redundant with the custom-autoload line above.

2006-07-12  Chong Yidong  <cyd@stupidchicken.com>

	* longlines.el (longlines-post-command-function): Handle open-line too.

2006-07-12  Richard Stallman  <rms@gnu.org>

	* progmodes/grep.el (grep-last-buffer): Doc fix.

	* info.el (Info-try-follow-nearest-node): Doc fix.

	* emacs-lisp/edebug.el (edebug-instrument-function):
	Err if find-function-noselect gives no position.

	* emacs-lisp/find-func.el (find-function-search-for-symbol):
	If can't find definition, return nil for position.
	(find-function-do-it): Handle new return value
	of find-definition-noselect.
	(find-definition-noselect, find-variable-noselect): Doc fix.
	(find-function-noselect): Doc fix.

	* help-mode.el (help-variable-def): Handle find-variable-noselect
	returning no position.
	(help-function-def): Likewise for find-function-search-for-symbol.
	(help-face-def): Likewise.

	* help-fns.el (describe-variable): Handle find-variable-noselect
	returning no position.

	* files.el (locate-file-completion): Avoid duplicates in result.

	* cus-edit.el (custom-no-edit): New command.
	(custom-mode-map): Remap to custom-no-edit instead of
	using suppress-keymap.

2006-07-12  Nick Roberts  <nickrob@snap.net.nz>

	* tumme.el (tumme-create-thumb, tumme-thumbnail-display-external)
	(tumme-display-image, tumme-rotate-thumbnail, tumme-rotate-original)
	(tumme-set-exif-data, tumme-get-exif-data): Use	shell-command-switch.

	* thumbs.el (thumbs-call-convert): Use shell-command-switch.

2006-07-11  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-copy-current-file-name): Use buffer-name if
	buffer-file-name is nil.

2006-07-11  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (undo-ask-before-discard): Set to nil.

	* vc.el (vc-exec-after): Don't delete process manually.
	(vc-print-log): Run log-view-mode in process sentinel inside
	inhibit-read-only.  Don't shrink window due to timing issues.

	* progmodes/ebrowse.el (ebrowse-display-member-buffer):
	Avoid using with-output-to-temp-buffer, which clobbers local vars.

2006-07-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Fix ambiguity introduced by last change.
	(compilation-find-file): Move save-excursion to where it may
	make sense.  Fix a left over `find-file'.

2006-07-11  Robert J. Chassell  <bob@rattlesnake.com>

	* textmodes/texinfmt.el (texinfo-format-separate-node):
	Insert a string before point, which fits documentation, not after.
	(texinfo-multitable-item): In a multitable row, insert any
	additional needed @tabs and spaces.

2006-07-11  Nick Roberts  <nickrob@snap.net.nz>

	* tumme.el (tumme-create-thumb, tumme-thumbnail-display-external)
	(tumme-display-image, tumme-rotate-thumbnail, tumme-rotate-original)
	(tumme-set-exif-data, tumme-get-exif-data): Use call-process
	instead of shell-command.
	(tumme-create-thumbnail-buffer, tumme-create-display-image-buffer)
	(tumme-display-thumbs, tumme-modify-mark-on-thumb-original-file)
	(tumme-display-image, tumme-get-exif-data): Use with-current-buffer.
	(tumme-display-properties-format, tumme-dired-insert-marked-thumbs)
	(tumme-thumbnail-set-image-description, tumme-gallery-generate)
	(tumme-rotate-original, tumme-get-exif-file-name): Fit to 80 columns.

2006-07-11  Kim F. Storm  <storm@cua.dk>

	* subr.el (sit-for): Doc fix.  Specify normal arg list using fn-form.
	Remove special case for seconds < 0.  Use (redisplay t) instead.

2006-07-10  Chong Yidong  <cyd@stupidchicken.com>

	* progmodes/cc-awk.el (c-awk-escaped-nls*): Use eval-and-compile to
	avoid compilation error.

	* subr.el (sit-for): New function.

	* play/hanoi.el (hanoi-sit-for): Check sit-for return value.

2006-07-10  Richard Stallman  <rms@gnu.org>

	* ldefs-boot.el (edebug): Update page.

2006-07-10  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-ignored-files): Ignore changes
	to FOR-RELEASE and TODO.

2006-07-10  Romain Francoise  <romain@orebokech.com>

	* emacs-lisp/authors.el (authors-aliases): Update.

2006-07-10  Alan Mackenzie  <acm@muc.de>

	* progmodes/cc-awk.el, cc-defs.el, cc-fonts.el, cc-langs.el:
	* cc-mode.el: Changes to eradicate eval-after-load.

2006-07-09  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/helper.el (Helper-help-scroller): Don't signal error
	on non-char events.

2006-07-09  Romain Francoise  <romain@orebokech.com>

	* progmodes/compile.el (compilation-mode-font-lock-keywords):
	Don't highlight start/end markers as compilation messages.

	* isearch.el (isearch-yank-line): Let-bind `inhibit-field-text-motion'
	to t.

2006-07-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/fill.el (fill-region-as-paragraph): Refine last change.

2006-07-08  Richard Stallman  <rms@gnu.org>

	* term/x-win.el (x-handle-display): Add doc string.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Doc fix.

	* subr.el (def-edebug-spec): Move here.
	* emacs-lisp/edebug.el (def-edebug-spec): Move to subr.el.

	* imenu.el (imenu-choose-buffer-index): Doc fix.

2006-07-08  Romain Francoise  <romain@orebokech.com>

	* term/x-win.el (x-display-name): Fix typo.

2006-07-08  Eli Zaretskii  <eliz@gnu.org>

	* hexl.el (hexl-find-file): Doc fix.

	* emacs-lisp/easy-mmode.el (define-minor-mode): Doc fix.

2006-07-07  Chong Yidong  <cyd@stupidchicken.com>

	* term/x-win.el (x-display-name): Doc fix.

2006-07-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/fill.el (fill-delete-prefix): Don't ignore excessively
	long prefixes.
	(fill-region-as-paragraph): Don't round up to a whole line.
	(fill-comment-paragraph): Don't include the code-before-the-comment
	when calling fill-region-as-paragraph.

	* international/mule.el (make-char): Remove redundancy.

	* emacs-lisp/bytecomp.el (byte-compile-form): The `byte-compile'
	property may contain an anonymous function rather than a symbol.

	* pcvs-defs.el (cvs-temp-buffer-name): Fix non-hiddenness.

	* progmodes/compile.el (compilation-error-regexp-alist-alist) <gnu>:
	Use shy regexp.  Fix incorrect backref to potentially unmatched group.

	* dirtrack.el (dirtrack-default-directory-function): Remove.
	(dirtrack-directory-function): Use file-name-as-directory.
	(dirtrack-windows-directory-function): Simplify.
	(dirtrack-forward-slash, dirtrack-backward-slash)
	(dirtrack-replace-slash): Remove.
	(dirtrack-toggle): Adjust comint-preoutput-filter-functions as well.
	(dirtrack): Fix wrong parenthesizing; use match-string.

	* progmodes/octave-inf.el: Remove spurious * in docstrings.
	(inferior-octave-mode): Only change the buffer-local value of
	comint-dynamic-complete-functions.
	(inferior-octave-mode-map, inferior-octave-mode-syntax-table):
	Move the initialization to the declaration.
	(inferior-octave-complete): Remove unused var `filter'.

	* shell.el (shell-mode): Only change the buffer-local value of
	comint-dynamic-complete-functions.

2006-07-07  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-get-todos): Skip subtree also if
	entry is skipped because it has been scheduled.
	(org-prepare-agenda-buffers): Don't mark buffers as modified when
	changing `:org-archived' and `:org-comment' properties.

2006-07-06  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-select-display): Don't make the temp frame
	minibuffer-only, in case it's not a temp frame.
	(server-process-filter): Don't delete the temp frame if it's the
	only one we have on that display.

	* files.el (find-alternate-file): Doc fix.

2006-07-05  Richard Stallman  <rms@gnu.org>

	* files.el (abbreviate-file-name): Add save-match-data.

2006-07-03  Richard Stallman  <rms@gnu.org>

	* faces.el (read-face-name): Doc fix.

2006-07-05  Chong Yidong  <cyd@stupidchicken.com>

	* net/goto-addr.el (goto-address): Mark as safe for local evals.

2006-07-05  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-diff-internal): Fix prev change.

2006-07-05  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/lisp-mode.el (emacs-lisp-mode-map): Use eval-buffer.
	* play/dunnet.el (dun-load-d, dun-eval): Likewise.

2006-07-04  Stefan Monnier  <monnier@iro.umontreal.ca>

	* thingatpt.el (symbol-at-point): Don't use `form-at-point' which
	fails if the symbol contains chars like ( or '.
	(bounds-of-thing-at-point): Remove unused vars `end' and `beg'.
	(thing-at-point-bounds-of-url-at-point): Remove unused vars `url' and
	`short'.

2006-07-04  Kenichi Handa  <handa@m17n.org>

	* international/mule-cmds.el (set-language-info): If LANG-ENV is
	the current one, don't call set-language-environment, but call one
	of set-language-environment-XXX to make INFO effective now.
	(set-language-environment): Call set-language-environment-XXX
	functions instead of doing the various setups directly.
	(set-language-environment-coding-systems): Delete argument eol-type.
	(set-language-environment-input-method)
	(set-language-environment-nonascii-translation)
	(set-language-environment-charset)
	(set-language-environment-fontset)
	(set-language-environment-unibyte): New functions.

2006-07-03  Luc Teirlinck  <teirllm@auburn.edu>

	* locate.el (locate-update-when-revert): New option.
	(locate-update-path): New option (suggested by Michael Albinus).
	(locate-prompt-for-command): Whitespace change.
	(locate-update): No longer offer to update the locate database by
	default.  Implement the two new options.

2006-07-04  Nick Roberts  <nickrob@snap.net.nz>

	* tooltip.el: Move comment about track-mouse...

	* progmodes/gud.el: ...to here.

2006-07-03  Chong Yidong  <cyd@stupidchicken.com>

	* facemenu.el (facemenu-listed-faces): New var.
	(facemenu-unlisted-faces): Variable deleted.
	(facemenu-add-new-face): Use facemenu-listed-faces.

	* emulation/viper-init.el, calendar/calendar.el:
	* progmodes/make-mode.el: Delete calls to facemenu-unlisted-faces.

2006-07-03  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode): Remove no invalid settings for
	calc embedded mode.
	(org-mode-p): New defsubst.
	(org-save-all-org-buffers): New function.
	(org-first-headline-recenter): Enclose outline-regexp in group
	delimiters.
	(org-set-tags): Keep single space after stars.

2006-07-02  Stefan Monnier  <monnier@iro.umontreal.ca>

	* window.el (set-window-text-height): Only set window-min-height to
	1 if that's the requested size.

	* diff-mode.el (diff-find-file-name): Obey cvs-pcl-cvs-dirchange-re.
	(diff-unified->context, diff-context->unified)
	(diff-reverse-direction): Make sure the end marker stays at the end.
	(diff-mode): Add the keymap table at the end of docstring.
	Use lexical-let rather than constructing a closure manually.

	* files.el (find-file-noselect-1): Remove unused var assignment.
	(hack-local-variables-confirm): Print lists of strings as lists of
	strings rather than lists of symbols.
	(abbreviate-file-name, hack-local-variables-prop-line):
	Use match-string.
	(hack-one-local-variable): Move `make-local-variable' nearer its use.
	(recover-session-finish): Use line-end-position.

2006-07-02  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-handle-shell-command): Preserve current-buffer.

2006-07-02  Daniel Pfeiffer  <occitan@esperanto.org>

	* progmodes/make-mode.el (makefile-macroassign-regex):
	Accept preceding keyword.
	(makefile-gmake-statements): Reorganize, now that makepp has
	"override" and also handle forgotten "override define".
	(makefile-makepp-statements): Add new "global", "override export"
	and "override global".

2006-06-30  Juanma Barranquero  <lekktu@gmail.com>

	* progmodes/ada-mode.el (ada-which-compiler, ada-mode-menu)
	(ada-compile-mouse-goto-error, ada-deactivate-properties)
	(ada-no-auto-case): Fix typos in docstrings.

2006-06-30  Nick Roberts  <nickrob@snap.net.nz>

	* info.el (Info-find-node-2): Search for makeinfo version more
	carefully.

2006-06-29  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-prepare-agenda-buffers):
	Use `invisible-OK' argument for `org-end-of-subtree'.
	(org-export-cleanup-toc-line): Rename from `org-html-cleanup-toc-line'.
	(org-beginning-of-item): Fix bug in regular expression for white line.
	(org-export-as-html): Enforce space after bullet in plain list items.
	(org-set-autofill-regexps): Require space after plain list bullet
	for paragraph-start.
	(org-ts-regexp3): New constant.
	(org-at-timestamp-p): New optional argument ALSO-INACTIVE.
	(org-timestamp-up-day, org-timestamp-down-day)
	(org-timestamp-change): Work with inactive timestamps.
	(org-ts-regexp1): Don't allow brackets in time stamps.

2006-06-29  Nick Roberts  <nickrob@snap.net.nz>

	* help-mode.el (help-xref-symbol-regexp): Add property as a keyword
	for ignoring links.

	* faces.el (read-face-name): Use it.

2006-06-28  Juri Linkov  <juri@jurta.org>

	* buff-menu.el (list-buffers-noselect): Compare Info file
	with the string "dir" to detect Info directory.

	* complete.el (partial-completion-mode): In lambda for
	`choose-completion-string-functions' use full function signature
	with 4 args, and move point to the end of the minibuffer only if arg
	`mini-p' is non-nil.

2006-06-28  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-mode): Doc fix.

2006-06-28  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-context): New contexts :item-bullet,
	:latex-fragment, :latex-preview.
	(org-overlays-at, org-overlay-start, org-overlay-end):
	New compatibility functions.
	(org-inside-LaTeX-fragment-p): More accurate matching, using the
	exact regexp that will be used during export.
	(org-latex-regexps): New variable.
	(org-cdlatex-mode): Improve advice for `texmathp'.
	(turn-on-org-cdlatex): New function.

2006-06-28  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-handle-font-selection): Change keys of
	mac-atsu-font-table from strings to numbers.
	(mac-ts-caret-position): Use also when cursor-type is nil.
	(mac-ts-update-active-input-area): Add Mac OS Classic support.
	Relax condition for using overlay strings.
	Use mac-ts-caret-position face when cursor-type is nil.

2006-06-26  Kim F. Storm  <storm@cua.dk>

	* help.el (view-emacs-news): Declare `res' in the right let* form.

2006-06-25  Michael Albinus  <michael.albinus@gmx.de>

	* net/rcompile.el (remote-compile): Replace ange-ftp based
	implementation by Tramp functions.
	Suggested by Marc Abramowitz <msabramo@gmail.com>.

	* net/tramp.el (tramp-unload-tramp): Provide a doc string.

2006-06-24  Yoshinori Koseki  <kose@meadowy.org>

	* international/fontset.el (setup-default-fontset): Fix a typo in
	the "Oriya-Akruti" registry name.

2006-06-23  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-full-file-name): New function.
	(desktop-kill, desktop-save, desktop-remove, desktop-read)
	(desktop-revert): Use it.
	(desktop-clear, desktop-save, desktop-remove): Add autoload cookie.
	(desktop-after-read-hook): Add option list-buffers.
	(desktop-locals-to-save): Add tab-width.
	(desktop-save-mode, desktop-no-desktop-file-hook, desktop-save-hook):
	Fix docstring.

2006-06-23  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-cdlatex-mode-map)
	(org-cdlatex-texmathp-advice-is-done): New variables.
	(org-cdlatex-mode): New minor mode.
	(org-inside-LaTeX-fragment-p, org-try-cdlatex-tab): New functions.
	(org-cdlatex-underscore-caret, org-cdlatex-math-modify): New commands.
	(org-export-with-archived-trees): New option.
	(org-open-file): Remove the call to `convert-standard-filename'.
	(org-archive-tag, org-agenda-skip-archived-trees)
	(org-cycle-open-archived-trees)
	(org-sparse-tree-open-archived-trees): New options.
	(org-cycle-hide-archived-subtrees, org-hide-archived-subtrees)
	(org-toggle-tag, org-prepare-agenda-buffers, org-agenda-skip):
	New functions.
	(org-agenda-toggle-archive-tag, org-toggle-archive-tag): New commands.
	(org-agenda-mode-map): Add binding of `org-agenda-toggle-archive-tag'.
	(org-mode-map): Add binding for `org-toggle-archive-tag'.
	(org-timeline, org-agenda-list, org-todo-list, org-tags-view):
	Call `org-prepare-agenda-buffers'.
	(org-occur, org-scan-tags): Call `org-hide-archived-subtrees'.
	(org-file-apps, org-file-apps-defaults-gnu)
	(org-file-apps-defaults-macosx, org-file-apps-defaults-windowsnt):
	Handle remote files by forcing them to be opened in Emacs.

2006-06-23  Andre Spiegel  <spiegel@gnu.org>

	* vc.el (vc-diff-knows-L): New variable.
	(vc-diff-internal): Use it to handle "diff" programs that don't
	understand -L.  This works automatically, no user action is necessary.

2006-06-23  Daniel Brockman  <daniel@brockman.se>

	* net/rcirc.el (rcirc-default-user-full-name): Default to
	`rcirc-default-user-name' instead of `rcirc-user-name' (which no
	longer exists).
	(rcirc-process-list): Check `buffer-live-p' before attempting to
	switch to a buffer.

2006-06-23  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-mode): Fix initialization of coding systems
	based on rcirc-coding-system-alist.

2006-06-23  Martin Rudalics  <rudalics@gmx.at>

	* cus-edit.el (customize-apropos): A better error message.
	(top level) <debug-ignored-errors>: Extend and update the list of
	ignored error messages.

2006-06-23  Michael Ernst  <mernst@alum.mit.edu>

	* complete.el (PC-do-completion): Retain capitalization of user
	input, when possible, even if completion-ignore-case is set.

2006-06-23  Eli Zaretskii  <eliz@gnu.org>

	* generic-x.el (bat-generic-mode): Support .cmd files.

	* dos-w32.el (top level): Use find-file-not-found-functions
	instead of the obsolete find-file-not-found-hooks.

2006-06-22  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-mode-font-lock-keywords): Correct regexps
	to recognize mode name containing submodes, such as Grep/lw.

2006-06-21  Kim F. Storm  <storm@cua.dk>

	* simple.el (line-move-1): Check for move-end-of-line instead of
	end-of-line when setting temporary-goal-column.

2006-06-21  Miles Bader  <miles@gnu.org>

	* play/cookie1.el (cookie): Work properly when there's only one entry.

2006-06-21  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-exited): Ensure overlay arrow gets killed.
	(gdb-frame-handler): Generalize frame regexp for templates.

2006-06-20  Glenn Morris  <rgm@gnu.org>

	* calendar/appt.el (appt-display-format): Default value must be
	one of the customize options.

2006-06-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Update key availability info.
	Bind C-return.

	* term.el (term-delete-lines, term-insert-lines): Clarify comments.

2006-06-20  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (hack-local-variables): Run `hack-local-variables-hook'
	whether or not a local variables list is defined.

	* msb.el (msb): Move `sit-for' hack here to handle both
	"mouse-down and drag" and "mouse-up and select" situations.
	(mouse-select-buffer): Move `sit-for' hack to `msb'.

2006-06-20  Kenichi Handa  <handa@m17n.org>

	* international/characters.el (word-combining-categories):
	Add entries for 2-byte Han characters.

2006-06-19  Richard Stallman  <rms@gnu.org>

	* bindings.el (mode-line-format): Save some mode line space.

	* files.el (find-file-noselect): Improve the question wording.
	(basic-save-buffer-2): Mask UMASK against 666.

	* mouse.el (mouse-drag-vertical-line-rightward-window): New function.
	(mouse-drag-vertical-line): Call it.

	* cus-edit.el (customize-option, customize-option-other-window):
	Error if SYMBOL is nil.

2006-06-19  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el: Require noutline, also on XEmacs.
	(org-end-of-subtree): Return point.
	(org-dblock-start-re, org-dblock-end-re): New constants.
	(org-create-dblock, org-prepare-dblock, org-map-dblocks)
	(org-dblock-update, org-update-dblock, org-beginning-of-dblock)
	(org-update-all-dblocks, org-find-dblock): New functions.
	(org-collect-clock-time-entries): New function.
	(org-html-handle-time-stamps): Never export CLOCK timeranges.
	(org-fixup-indentation): Modify to deal correctly with lines
	starting with TAB.  Only one argument DIFF now.
	(org-demote, org-promote): Call `org-fixup-indentation' with just
	one argument, DIFF.
	(org-mode): Don't mark buffer as modified when aligning tables.
	(org-clock-sum): Don't mark buffer modified when adding time sum
	properties.
	(org-export-as-html): Add support for a link validation function.
	(org-archive-all-done): New function.
	(org-archive-subtree): New prefix argument.  When set, archive all
	done subtrees in this buffer.
	(org-remove-clock-overlays)
	(org-remove-occur-highlights): Use `org-inhibit-highlight-removal'.
	(org-inhibit-highlight-removal): New variable, for dynamic scoping.
	(org-put-clock-overlay): Don't swallow last headline character
	when displaying overlay.
	(org-store-link): Link to `image-mode' with just the file name.

2006-06-18  Michael Kifer  <kifer@cs.stonybrook.edu>

	* viper-cmd.el (viper-special-read-and-insert-char):
	Use read-key-sequence.
	(viper-after-change-undo-hook): Misc enhancements.
	(viper-after-change-undo-hook): New hook.
	(viper-undo): Use viper-after-change-undo-hook.
	(viper-add-newline-at-eob-if-necessary): Widen before making changes.
	(viper-next-line-at-bol): If point is on a widget or a button, simulate
	clicking on that widget/button.

	* viper.el (viper-mode): Allow a separate cursor color in Emacs	state.

	* ediff-diff (ediff-test-patch-utility): Catch errors.
	(ediff-actual-diff-options, ediff-actual-diff3-options): New variables.
	(ediff-set-actual-diff-options): New function.
	(ediff-reset-diff-options, ediff-toggle-ignore-case):
	Use ediff-set-actual-diff-options.
	(ediff-extract-diffs): Catch errors.
	(ediff-whitespace): Add non-breakable space.
	(ediff-same-file-contents): Catch errors.

	* ediff-mult.el (ediff-collect-custom-diffs):
	Save coding-system-for-read.

	* ediff-vers.el (ediff-keep-tmp-versions): New variable.
	(ediff-vc-internal, ediff-vc-merge-internal):
	Use ediff-delete-version-file.
	(ediff-delete-version-file): New function.

	* ediff-wind.el (ediff-control-frame-parameters): Set frame fringes.

	* ediff.el (ediff-directories, ediff-directory-revisions)
	(ediff-merge-directories, ediff-merge-directories-with-ancestor)
	(ediff-directories-internal, ediff-merge-directory-revisions)
	(ediff-merge-directory-revisions-with-ancestor)
	(ediff-directories3): Use read-directory-name.

2006-06-18  Ralf Angeli  <angeli@caeruleus.net>

	* textmodes/tex-mode.el (tex-font-lock-match-suscript):
	Remove superfluous part of regexp for brace matching which is handled
	by `scan-lists' call.

2006-06-16  Richard Stallman  <rms@gnu.org>

	* obsolete/options.el (list-options): Put "obsolete" msg in buffer.

	* files.el (basic-save-buffer-2): For a new precious file,
	use the default modes in the return value.

	* facemenu.el (facemenu-color-alist): Doc fix.

	* cus-edit.el (custom-guess-name-alist): Recognize `-flag'.

2006-06-16  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* cus-start.el (all): Add mac-ts-script-language-on-focus.

	* term/mac-win.el (mac-text-encoding-ascii): New constant.
	(mac-utxt-to-string): Use it.
	(mac-ts-update-active-input-area): Use mac-ae-number.

2006-06-15  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-handle-scroll, term-delete-lines)
	(term-insert-lines): Fix off by one errors.

2006-06-15  Katsumi Yamaoka  <yamaoka@jpl.org>  (tiny change)

	* net/tramp.el (tramp-touch): Use UTC to express time.

2006-06-15  Chong Yidong  <cyd@stupidchicken.com>

	* mail/sendmail.el (mail-send): Search explicitly for
	mail-header-separator when checking for corrupted header lines.

2006-06-15  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-same-frame): New option.
	(gud-old-arrow, gdb-frame-begin, gdb-printing): New variables.
	(gdb-init-1): Initialise them.
	(gdb-starting): Reset gdb-printing
	(gdb-starting): Save value of gud-overlay-arrow-position.
	(gdb-frame-begin): Set gdb-frame-begin, gdb-printing.
	(gdb-stopped): Don't look for source if calling procedure e.g "p a ()".
	Use gdb-*-gdb-buffer conditionally on gdb-same-frame.
	(gdb-frame-gdb-buffer): Keep menu bar, tool bar for GUD buffer.

2006-06-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* pcvs.el (cvs-retrieve-revision): Use decode-coding-inserted-region.

2006-06-13  Martin J. Reed  <mjreed@essex.ac.uk>  (tiny change)

	* net/ldap.el (ldap-ldapsearch-args): Default to SASL search.
	(ldap-search-internal): Keep error messages, and a regexp fix.

2006-06-12  Thien-Thi Nguyen  <ttn@gnu.org>

	* files.el (hack-local-variables-confirm):
	Display string value using its printed representation.

2006-06-11  Chong Yidong  <cyd@stupidchicken.com>

	* server.el (server-edit): No-op if no server buffers exist.

2006-06-11  Robert J. Chassell  <bob@rattlesnake.com>

	* textmodes/page-ext.el (pages-directory-for-addresses):
	Including `pages-directory-address-mode' in the function results
	in the message "Buffer in which pages were found is deleted".

2006-06-10  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-mode-map): Add bindings for
	clocking functions.

	(org-agenda-clock-in, org-check-running-clock)
	(org-clock-out-if-current, org-remove-clock-overlays)
	(org-put-clock-overlay): New functions.
	(org-clock-marker, org-clock-file-total-minutes)
	(org-clock-overlays): New variables.
	(org-clock-display, org-clock-sum, org-clock-cancel)
	(org-clock-out, org-clock-in): New commands.
	(org-export): New function.
	(org-emph-re): New constant.
	(org-set-emph-re, org-do-emphasis-faces): New functions.
	(org-emphasis-regexp-components, org-emphasis-alist): New options.
	(org-set-font-lock-defaults): Call `org-do-emphasis-faces'.
	(org-export-html-convert-emphasize): Use the configurable emphasis.
	(org-cleaned-string-for-export): Make multiline emphasis visible
	to the exporter.  New optional argument PARAMETERS.
	(org-export-as-html): Specify :emph-multiline parameter to
	`org-cleaned-string-for-export'.

2006-06-10  Richard Stallman  <rms@gnu.org>

	* help.el (help-for-help-internal): Clean up help text.

2006-06-10  Andreas Schwab  <schwab@suse.de>

	* language/ethio-util.el (ethio-fidel-to-java-buffer): Fix quoting
	in doc string.

	* progmodes/cperl-mode.el (cperl-short-docs): Likewise.

2006-06-09  Karl Chen  <quarl@cs.berkeley.edu>

	* progmodes/make-mode.el (makefile-fill-paragraph): Don't remove
	spaces after the comment start.

2006-06-09  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* play/pong.el (pong-init-buffer):
	Fill buffer with spaces instead of ^A.

	* textmodes/ispell.el (ispell-kill-ispell): If ispell has been
	launched asynchronously, delete its process instead of being cool.
	(ispell-async-processp): Check for `delete-process' existence
	instead of `kill-process' one for consistency.

2006-06-09  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-set-gud-minor-mode-existing-buffers-1)
	(gdb-prompt, gdb-set-gud-minor-mode-existing-buffers): Show status
	in mode line at startup.

2006-06-08  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-take-first-match, ido-push-dir-first): New commands.
	(ido-init-completion-maps): Bind them to M-SPC and M-v.
	(ido-copy-current-file-name): Repeating C-w inserts whole file name.
	(ido-file-internal): Pass full file name to write-file.
	(ido-read-internal): Only pop stack elements automatically if they
	actually match an existing directory or file name.

2006-06-07  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (find-auto-coding): Don't handle the short
	name `char-trans'.

	* files.el (hack-local-variables-prop-line)
	(hack-local-variables): Cancel the previous change.

2006-06-06  Jesper Harder  <harder@phys.au.dk>

	* ediff-diff.el (ediff-test-utility): Protect against file-error.

2006-06-06  Chong Yidong  <cyd@stupidchicken.com>

	* diff-mode.el (diff-mode): Set buffer-read-only to t when
	diff-default-read-only is non-nil.
	(diff-hunk-kill, diff-file-kill, diff-split-hunk)
	(diff-refine-hunk): Set inhibit-read-only to t.

	* diff.el (diff-sentinel, diff): Set inhibit-read-only to t when
	modifying the *Diff* buffer.
	(diff-process-filter): New filter function for diff process that
	sets inhibit-read-only to t when modifying the *Diff* buffer.

2006-06-06  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-archive-subtree): Use end-of-subtree as
	insertion point and control the number of empty lines.
	(org-paste-subtree): Limit the number of empty lines at the end of
	the inserted tree.
	(org-agenda): Use buffer name of current file for narrowing.
	(org-export-as-xml): Command removed.
	(org-export-xml-type): Option removed.
	(org-mode-map): Call `org-export-as-xoxo' directly.
	(org-get-indentation): New optional argument LINE.
	(org-fix-indentation, org-remove-tabs): New functions.
	(org-export-as-ascii, org-ascii-level-start): Determine and apply
	correct indentation for headlines that are converted it items.
	(org-skip-comments): Remove table lines that contain narrowing
	cookies but no other non-empty fields.
	(org-set-tags): Allow groups of mutually exclusive tags.
	(org-cmp-time): Sort 24:21 before items without time.
	(org-get-time-of-day): Fix the interpretation of 12pm and 12am.
	(org-open-at-point): Require double colon also for numbers.

2006-06-06  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-default-file-method, ido-default-buffer-method):
	Make choice values consistent with corresponding command names.
	(ido-visit-buffer): Update accordingly.  Default to selected-window.

2006-06-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-running): Fix doc string.
	(gud-menu-map): Use :visible instead fo :enable for debugger test.
	(gud-tooltip-modes): Add python-mode.
	(gud-tooltip-print-command): Add pdb.  Remove perldb.

2006-06-05  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (bootstrap, $(lisp)/mh-e/mh-loaddefs.el):
	Quote $(EMACS).

2006-06-05  Richard Stallman  <rms@gnu.org>

	* faces.el (defined-colors): Doc fix.

2006-06-05  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc.el (vc-process-filter): Inhibit undo info collection around
	call to insert.
	(vc-setup-buffer): Likewise for call to erase-buffer.
	(vc-do-command): Likewise for call to process-file.

2006-06-05  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-menu-map): Use a conditional help echo
	for gud-go.
	(gud-common-init): Other debuggers may trigger error.

2006-06-05  Kenichi Handa  <handa@m17n.org>

	* international/mule.el (find-auto-coding):
	Handle enable-character-translation in file header.

2006-06-04  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/authors.el (authors-aliases): Add mode aliases.
	(authors-fixed-entries): Fix spelling.
	(authors-canonical-file-name): Don't report error for wildcards.

	* help.el (view-emacs-news): Rewrite to support new NEWS,
	NEWS.major, and NEWS.1-17 file naming.  Add more intelligence,
	e.g. version 10 matches 1.10, and don't be confused by version 1.1
	being a prefix of 1.12 (etc).  A numeric prefix arg also works.

2006-06-03  Vivek Dasmohapatra  <vivek@etla.org>

	* progmodes/sh-script.el (sh-quoted-exec): New face for quoted
	exec constructs like `foo bar`.
	(sh-quoted-subshell): New helper function to search for a possibly
	nested subshell (like `` or $()) within a "" quoted string.
	(sh-font-lock-keywords-var): Add sh-quoted-exec for Bash.
	(sh-apply-quoted-subshell): Flag quote characters inside a
	subshell, which is itself already in a quoted region, as
	punctuation, since this is the closest to what they actually are.
	(sh-font-lock-syntactic-keywords): Add sh-quoted-subshell and
	sh-apply-quoted-subshell.
	(sh-font-lock-syntactic-face-function): Apply the new face for
	text inside `` instead of the old font-lock-string-face.

2006-06-03  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ts-active-input-overlay): Add defvar.
	(mac-ae-number, mac-ae-frame, mac-ae-script-language)
	(mac-bytes-to-text-range, mac-ae-text-range-array)
	(mac-ts-update-active-input-buf, mac-split-string-by-property-change)
	(mac-replace-untranslated-utf-8-chars, mac-ts-update-active-input-area)
	(mac-ts-unicode-for-key-event): New functions.
	(mac-handle-toolbar-switch-mode): Use mac-ae-frame.
	(mac-handle-font-selection): Use mac-ae-number.
	(mac-ts-active-input-buf, mac-ts-update-active-input-area-seqno):
	New variables.
	(mac-ts-caret-position, mac-ts-raw-text, mac-ts-selected-raw-text)
	(mac-ts-converted-text, mac-ts-selected-converted-text)
	(mac-ts-block-fill-text, mac-ts-outline-text)
	(mac-ts-selected-text, mac-ts-no-hilite): New faces.
	(mac-ts-hilite-style-faces): New constant.
	(mac-apple-event-map): Bind text input events.
	(mac-dispatch-apple-event): Use command-execute instead of
	call-interactively.
	(global-map): Don't bind mac-apple-event.
	(special-event-map): Bind mac-apple-event.

2006-06-02  Eli Zaretskii  <eliz@gnu.org>

	* makefile.w32-in (EMACS): Remove quotes from the Emacs executable
	file name.
	(emacs): Enclose the value of $(EMACS) in quotes.

2006-06-02  Juri Linkov  <juri@jurta.org>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Remove the condition `(search-forward "<html" size t)'.
	Replace `\"' with `[\"']?' in `re-search-forward'.

2006-06-02  Kenichi Handa  <handa@m17n.org>

	* files.el (hack-local-variables-prop-line): Ignore `char-trans'
	as well as `coding'.
	(hack-local-variables): Likewise.

	* international/mule.el (enable-character-translation):
	Put permanent-local and safe-local-variable properties.
	(find-auto-coding): Handle char-trans: tag.

2006-06-02  Juri Linkov  <juri@jurta.org>

	* international/mule.el (sgml-html-meta-auto-coding-function):
	Limit the search by the end of the HTML header (if any).

2006-06-01  Richard Stallman  <rms@gnu.org>

	* subr.el (with-current-buffer): Doc fix.

2006-06-02  Masatake YAMATO  <jet@gyve.org>

	* progmodes/compile.el (compilation-error-regexp-alist-alist::gcov-*):
	Almost rewrite.  Underlines over all lines of gcov output are too
	uncomfortable to read.  Suggested by Dan Nicolaescu.

2006-06-01  Luc Teirlinck  <teirllm@auburn.edu>

	* progmodes/inf-lisp.el (inferior-lisp-mode): Doc fixes.

	* shell.el (shell-mode): Use shell-mode-map in docstring.

	* comint.el (comint-send-input): Do not add help-echo and
	mouse-face to input if `comint-use-prompt-regexp' is non-nil.

2006-06-01  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el: Change x-menu-bar-start to menu-bar-open.

2006-06-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-look-up-stack): New variable.
	(gdb-stopped, gdb-info-stack-custom): If there is no source info
	look up the stack and pop up GUD buffer if necessary.
	(gdb-frames-select): Remove redundant call to gud-display-frame.
	(gdb-info-threads-custom): Keep point at start of buffer.
	(gdb-find-file-hook): Make it work for pre-GDB 6.4.

2006-05-31  Juri Linkov  <juri@jurta.org>

	* replace.el (query-replace-read-from, query-replace-read-to):
	Bind `history-add-new-input' to nil.  Call `add-to-history'.

2006-05-31  Takaaki Ota  <Takaaki.Ota@am.sony.com>

	* textmodes/table.el: Convert all HTML tags to lower case for
	XHTML compatibility.

2006-05-31  Masatake YAMATO  <jet@gyve.org>

	* progmodes/compile.el:
	(compilation-error-regexp-alist-alist::gcov-called-line):
	Don't put face on `-' lines in gcov file.  Suggested by Dan Nicolaescu.

2006-05-31  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-query-cmdline, gud-common-init):
	Revert inadvertent changes made with last commit.

2006-05-30  Reiner Steib  <Reiner.Steib@gmx.de>

	* textmodes/flyspell.el (turn-on-flyspell, turn-off-flyspell):
	New functions.

	* textmodes/text-mode.el (text-mode-hook): Use turn-on-flyspell.

2006-05-30  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-agenda-highlight-todo): Make sure regexp
	only matches in the right place.
	(org-upcoming-deadline): New face.
	(org-agenda-get-deadlines): Use new face `org-upcoming-deadline'.
	(org-export-ascii-underline): Rename constant `org-ascii-underline'
	and make it an option.
	(org-export-ascii-bullets): New option.
	(org-export-as-html): Many changes to emit valid XHTML.
	(org-par-open): New variable.
	(org-open-par, org-close-par-maybe, org-close-li-maybe): New functions.
	(org-html-do-expand, org-section-number): Fix case in `replace-match'.
	(org-timeline): Pass `org-timeline-show-empty-dates' to
	`org-get-all-dates'.  Interpret empty dates returned by
	`org-get-all-dates'.
	(org-get-all-dates): New argument EMPTY.  Add dates without
	entries to the list, mark large ranges of empty dates.
	(org-point-in-group, org-context): New functions.

2006-05-30  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-stop-subjob): Make it work in all buffers.

	* progmodes/gdb-ui.el: Move gdb-mouse-toggle-breakpoint-* to
	C-mouse-1.  Move gdb-mouse-until to mouse-3, gdb-mouse-jump
	to C-mouse-3 (for 2 button mice).
	(gdb-send): Do the right thing for C-d.

	* speedbar.el (speedbar-detach): Delete.
	(speedbar-easymenu-definition-trailer): Remove speedbar-detach as
	it breaks things.
	(speedbar-reconfigure-keymaps): Always add extra items to pop up menu.

2006-05-30  Daniel Pfeiffer  <occitan@esperanto.org>

	* files.el (auto-mode-alist): Add makepp suffix and optional mk on
	Makeppfile.

	* progmodes/compile.el (compilation-error-regexp-alist-alist):
	Add makepp diagnostic.

2006-05-29  Richard Stallman  <rms@gnu.org>

	* window.el (fit-window-to-buffer): Doc fix.

	* help.el (temp-buffer-max-height): Doc fix.

	* subr.el (with-current-buffer): Doc fix.

2006-05-29  Jan Dj,Ad(Brv  <jan.h.d@swipnet.se>

	* term/x-win.el: Bind F10 to menu-bar-start if available.

2006-05-28  Dan Nicolaescu  <dann@ics.uci.edu>

	* term.el (term-if-xemacs, term-ifnot-xemacs): Delete, replace
	uses with a simple test.
	(term-set-escape-char, term-mode, term-check-kill-echo-list)
	(term-send-raw-string, term-send-raw, term-mouse-paste)
	(term-char-mode, term-line-mode, term-exec, term-sentinel)
	(term-handle-exit, term-read-input-ring)
	(term-previous-matching-input-string)
	(term-previous-matching-input-string-position)
	(term-previous-matching-input-from-input)
	(term-replace-by-expanded-history, term-send-input)
	(term-skip-prompt, term-bol, term-send-invisible)
	(term-kill-input, term-delchar-or-maybe-eof)
	(term-backward-matching-input, term-check-source)
	(term-proc-query, term-emulate-terminal)
	(term-handle-colors-array, term-process-pager, term-pager-line)
	(term-pager-bob, term-unwrap-line, term-word)
	(term-dynamic-complete-filename)
	(term-dynamic-complete-as-filename)
	(term-dynamic-simple-complete): Replace one arm ifs with whens or
	unlesses.

2006-05-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (hack-one-local-variable-eval-safep): Don't burp if used
	during bootstrapping.

	* emacs-lisp/ewoc.el (ewoc--current-dll): Remove.
	Basically undo the change of 2006-05-26: use extra arguments instead of
	dynamic scoping.
	(ewoc-locate): Remove unused var `footer'.

2006-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/ewoc.el (ewoc--insert-new-node): Use ewoc--refresh-node.

	* emacs-lisp/autoload.el (no-update-autoloads): Declare.
	(generate-file-autoloads): Obey it.  Return whether autoloads were
	added at point or not.
	(update-file-autoloads): Use this new return value.
	Remove redundant test for the presence of an autoload cookie.

	* emacs-lisp/autoload.el (autoload-find-file): New fun.
	This one calls hack-local-variables.
	(generate-file-autoloads, update-file-autoloads): Use it.

	* textmodes/bibtex.el (bibtex-autokey-name-case-convert-function)
	(bibtex-sort-entry-class): Add safe-local-variable predicate.
	(bibtex-sort-entry-class-alist): Don't set the global value.
	(bibtex-init-sort-entry-class-alist): New fun.
	(bibtex-sort-buffer, bibtex-prepare-new-entry): Call it to compute
	bibtex-init-sort-entry-class-alist from the buffer-local value (if any)
	of bibtex-init-sort-entry-class.

2006-05-28  Richard Stallman  <rms@gnu.org>

	* subr.el (load-history-regexp): If FILE is relative, insist
	entire last name component must match it.
	(load-history-filename-element, load-history-regexp): Doc fixes.

2006-05-29  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/bindat.el (bindat-idx, bindat-raw): Rename dynamic vars
	`pos' and `raw-data' for clarity, as eval forms may access these.

2006-05-28  Kim F. Storm  <storm@cua.dk>

	* emacs-lisp/bindat.el (bindat--unpack-u8): Use aref also for strings.

2006-05-28  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/make-mode.el (makefile-browser-map)
	(makefile-mode-syntax-table): Move initialization inside declaration.
	(makefile-fill-paragraph): Use the default comment-filling code.

2006-05-28  Chong Yidong  <cyd@stupidchicken.com>

	* replace.el (query-replace-defaults): New variable.
	(query-replace-read-from): Use `query-replace-defaults' for
	default value, instead of history list.
	(query-replace-read-to): Update `query-replace-defaults'.

2006-05-27  Chong Yidong  <cyd@stupidchicken.com>

	* msb.el (mouse-select-buffer): Minor fix to make popup menu work
	with no X toolkit.

2006-05-28  Nick Roberts  <nickrob@snap.net.nz>

	* tumme.el (tumme-show-all-from-dir-max-files): Fix typo.
	(tumme-show-all-from-dir): Add autoload.

2006-05-27  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el: Change a lot of `(if .. (progn ..)' to `(when ..)'.
	(tumme-remove-tag): Fix bug.

2006-05-27  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--create): No longer take HEADER and
	FOOTER args.  Update unique caller.
	(ewoc-delete): Compute last node once before looping.
	(ewoc--node-branch): Merge into unique caller.
	(ewoc--node): Don't define constructor make-ewoc--node for this
	structure.
	(ewoc): Add member `hf-pp' to this structure.
	(ewoc--wrap): New func.
	(ewoc-create): Take additional arg NOSEP.  If nil, wrap node and
	header/footer pretty-printers.  Save header/footer pretty-printer.
	(ewoc-set-hf): Use ewoc's header/footer pretty-printer.  *

	* pcvs.el (cvs-make-cvs-buffer): Specify NOSEP to `ewoc-create'.

2006-05-27  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.el (dired-mode-map): Change `tumme-tag-remove' to
	`tumme-delete-tag'.  Rename `Remove Image Tag' to `Delete Image
	Tag'.  Change "Compare directories..." to "Change Directories...".
	Move tumme commands to Operate, Regexp and Immediate menus.
	Change "Add Comment" to "Add Image Comment".  Change "Add Image
	Tag" to "Add Image Tags".

	* tumme.el (tumme-delete-tag): Rename from `tumme-tag-remove'.
	(tumme-setup-dired-keybindings): Change `tumme-add-remove' to
	`tumme-delete-tag'.

2006-05-26  Luc Teirlinck  <teirllm@auburn.edu>

	* shell.el (shell-mode): Call shell-dirtrack-mode after
	list-buffers-directory is made a local variable, to avoid setting
	the default value.

2006-05-26  Kevin Ryde  <user42@zip.com.au>

	* info.el (Info-index-next): Use where-is-internal to report
	actual binding of Info-index-next, rather than hard-coded `,'.

2006-05-26  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-apropos-menu): Move "Find Key in Manual"
	and "Find Command in Manual" to here.

	* buff-menu.el (list-buffers-noselect): For Info buffers, use
	Info-current-file as the file name.

2006-05-26  Jonathan Yavner  <jyavner@member.fsf.org>

	* ses.el (defadvice undo-more): Delete this defadvice.  The undo
	overrides will now be done a different way.
	(ses-set-parameter): Reapply this function for undo.
	(ses-set-header-row): Reconstruct header row during undo.
	(ses-widen): New function.
	(ses-goto-data, ses-reconstruct-all): Use new function.
	(ses-command-hook): Widen buffer during undo, before unupdating
	the cells.
	(ses-insert-row, ses-delete-row): Widen buffer during undo.
	(ses-load, ses-header-row): Permit empty (zero-row) spreadsheets.
	(ses-read-cell): Avoid stupid warning for RET RET on a cell whose
	formula hasn't been executed yet.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* comint.el (comint-kill-whole-line): Rename arg to count.
	Fix doc string.

2006-05-26  Chong Yidong  <cyd@stupidchicken.com>

	* files.el (backup-buffer-copy): Remove deleted MUSTBENEW argument
	to copy-file.

2006-05-26  Reiner Steib  <Reiner.Steib@gmx.de>

	* simple.el (toggle-truncate-lines): Make arg optional for
	backward compatibility.

2006-05-26  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--current-dll): New var.
	(ewoc--node-next, ewoc--node-prev, ewoc--node-nth): Don't take
	DLL arg.  Instead, use ewoc--current-dll.  Update all callers.
	(ewoc--set-buffer-bind-dll-let*): Bind ewoc--current-dll, not `dll'.
	(ewoc--adjust): Use ewoc--current-dll.
	(ewoc-next, ewoc-prev, ewoc-nth): Bind ewoc--current-dll.

2006-05-26  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-next-item, org-previous-item): Emit more
	compact error message.
	(org-tags-view): Refresh category table in each file.
	(org-table-justify-field-maybe): Remove superfluous arguments to
	`format'.
	(org-export-as-html): Insert "<p>" before postamble.
	(org-paste-subtree, org-kill-is-subtree-p): Check for empty kill ring.

2006-05-26  Kenichi Handa  <handa@m17n.org>

	* textmodes/po.el (po-find-charset): Pay attention to the case
	FILENAME is a cons (NAME . BUFFER).
	(po-find-file-coding-system-guts): Likewise.

	* arc-mode.el (archive-set-buffer-as-visiting-file):
	Call find-operation-coding-system with (FILENAME . BUFFER).

	* tar-mode.el (tar-extract): Call find-operation-coding-system
	with (FILENAME . BUFFER).

	* international/mule.el (decode-coding-inserted-region):
	Call find-operation-coding-system with (FILENAME . BUFFER).

2006-05-25  Chong Yidong  <cyd@stupidchicken.com>

	* image-mode.el (image-toggle-display): Use buffer contents to
	generate image for a remote file.

2006-05-25  Juri Linkov  <juri@jurta.org>

	* replace.el (query-replace-read-from, query-replace-read-to):
	Remove 8th arg KEEP-ALL in read-from-minibuffer.

2006-05-25  Rajesh Vaidheeswarran  <rv@gnu.org>

	* whitespace.el (whitespace-cleanup): Change to cleanup
	region if one is active.
	* whitespace.el (whitespace-cleanup-internal): New internal method.

2006-05-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.el (dired-mode-map): Add help-echo strings to tumme
	commands.  Bind `tumme-dired-display-image' to C-t i.

	* tumme.el (tumme-display-image): Change documentation string slightly.
	(tumme-dired-display-image): Add call to `display-buffer'.

2006-05-25  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/bindat.el (bindat-unpack, bindat-pack):
	Signal error if RAW-DATA is a multibyte string.

2006-05-24  Richard Stallman  <rms@gnu.org>

	* subr.el (with-local-quit): When handling `quit' signal,
	make a chance for quit-flag to cause a quit.

	* emacs-lisp/advice.el (ad-enable-advice, ad-activate)
	(ad-disable-advice): Add autoloads.

	* subr.el (read-passwd): Copy PROMPT before changing its properties.

2006-05-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* dired.el (dired-mode-map): Change menu items for tumme as per
	suggestions in emacs-devel.

2006-05-25  Nick Roberts  <nickrob@snap.net.nz>

	* dired.el (dired-mode-map): Fix breakage.

2006-05-25  Mathias Dahl  <mathias.dahl@gmail.com>

	* tumme.el (tumme-display-dired-image): Rename to...
	(tumme-dired-display-image): ...this.
	(tumme-track-movement): Change default value to t.
	(tumme-display-thumbs): Add new optional parameter DO-NOT-POP,
	used from `tumme-next-line-and-display' and similar commands.

	* dired.el (dired-mode-map): Add Thumbnail submenu under the
	Immediate menu.  Add some tumme commands there.

2006-05-24  Luc Teirlinck  <teirllm@auburn.edu>

	* loadup.el ("jka-cmpr-hook"): Load it before it is needed.

2006-05-24  Chong Yidong  <cyd@mit.edu>

	* menu-bar.el, international/mule-cmds.el: Remove tooltips for
	menu entries that open submenus.

2006-05-24  Alan Mackenzie  <acm@muc.de>

	* startup.el (command-line): For names of preloaded files, don't
	append ".elc" (now done in Fload), and call file-truename on the
	lisp directory.

	* subr.el (eval-after-load): Fix the doc-string.  Allow FILE to
	match ANY loaded file with the right name, not just those in
	load-path.  Put a regexp matching the file name into
	after-load-alist, rather than the name itself.

	* subr.el: New functions load-history-regexp,
	load-history-filename-element, do-after-load-evaluation.

	* international/mule.el (load-with-code-conversion): Do the
	eval-after-load stuff by calling do-after-load-evaluation.

2006-05-25  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-sentinel): Condition on GUD buffer if it
	has not been killed.

2006-05-24  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el: Set idle timer to clean up expired Apple events.
	(mac-ae-get-url): Redispatch Apple event on unknown scheme.
	(mac-dispatch-apple-event): Resume Apple event if it is suspended.
	Optionally set error message in reply.

2006-05-24  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-open-at-point): Use renamed variable
	`org-confirm-shell-link-function'.
	(org-confirm-shell-link-function): Rename from
	`org-confirm-shell-links'.
	(org-export-directory): New function.
	(org-export-as-ascii, org-export-as-html, org-export-as-xoxo)
	(org-export-icalendar): Use `org-export-directory'.
	(org-indent-item): Keep cursor position.
	(org-link-file-path-type): New option.
	(org-export-as-html): Fix bug with plain lists starting in
	column 0.
	(org-export-as-html): Remove deadline formatting, this happens
	now already in `org-html-handle-time-stamps'.
	(org-export-html-style): Deadline class removed.
	(org-insert-labeled-timestamps-at-point): New option.
	(org-cycle, org-occur, org-scan-tags): Use `org-overview' instead
	of `hide-sublevels 1', in case the first headline is not level 1.
	(org-overview, org-content): New fuction.
	(org-cycle-global-status, org-cycle-subtree-status): Make these
	variables buffer-local.
	(org-global-cycle): New command.
	(org-shifttab): Use `org-global-cycle'.
	(org-insert-heading, org-insert-item): Go to end of new
	headline/item after creating it.
	(org-export-visible): Rename from `org-export-copy-visible'.
	Now creates a temporary org-file and applies an exporting command
	to it.
	(org-table-eval-formula): Support for lisp forms.
	(org-agenda-todo-ignore-scheduled): New option.
	(org-agenda-get-todos): Use new option
	`org-agenda-todo-ignore-scheduled'.
	(org-export-html-inline-images): New value `maybe'.
	(org-export-as-html): Inlining of images dependent on link description.
	(org-archive-subtree): Check for end-of-buffer before trying
	`kill-line'.
	(org-agenda-follow-mode): New option.
	(org-export-with-tags, org-export-with-timestamps): New options.
	(org-html-handle-time-stamps): New function.
	(org-keyword-time-regexp): New variable.
	(org-agenda-get-todos): Use `org-agenda-todo-list-sublevels'.
	(org-agenda-todo-list-sublevels): New option.
	(org-html-level-start): When TITLE is nil, just close all levels.
	(org-parse-key-lines, org-parse-export-options): Remove functions,
	replaced by `org-infile-export-plist'.
	(org-combine-plists, org-infile-export-plist)
	(org-default-export-plist): New functions.
	(org-export-html-preamble, org-export-html-postamble)
	(org-export-html-auto-preamble, org-export-html-auto-postamble):
	New variables.
	(org-export-publishing-directory): New option.
	(org-export-as-html, org-export-as-ascii): Use the new property
	lists for settings.
	(org-export-copy-visible, org-export-as-xoxo):
	Respect `org-export-publishing-directory'.
	(org-link-search, org-store-link, org-file-apps): Support for
	links to BibTeX database entries..
	(org-get-current-options, org-set-regexps-and-options):
	Implement logging as a startup option.
	(org-store-link): Make sure context string is never empty
	(org-insert-link): Use relative path when possible.
	(org-at-item-checklet-p): New function.
	(org-shifttab, org-shiftmetaleft, org-shiftmetaright)
	(org-shiftmetaup, org-shiftmetadown, org-metaleft)
	(org-metaright, org-metaup, org-metadown, org-shiftup)
	(org-shiftdown, org-shiftright, org-shiftleft)
	(org-ctrl-c-ctrl-c, org-cycle, org-return, org-meta-return):
	Dispatch using `call-interactively'.
	(org-call-with-arg): New defsubst.
	(org-tag-alist, org-use-fast-tag-selection): New options.
	(org-complete): Use `org-tag-alist'.
	(org-fast-tag-insert, org-fast-tag-selection): New functions.
	(org-next-item, org-previous-item): New commands.
	(org-beginning-of-item, org-end-of-item): Add (interactive) to
	make command.
	(org-shiftup, org-shiftdown): Accommodate the item-navigation commands.

2006-05-23  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-delete): New function.
	(ewoc-filter): Use `ewoc-delete'.

	* emacs-lisp/bindat.el (bindat-pack): Doc fix.

2006-05-22  Stefan Monnier  <monnier@iro.umontreal.ca>

	* textmodes/bibtex.el (bibtex-format-entry, bibtex-clean-entry):
	Signal more user-friendly error messages.

	* complete.el (PC-do-completion): Undo the addition of implicit
	wildcards if they did not lead to finding any match.
	(read-file-name-internal): Don't add the final > if the completion is
	not finished.

2006-05-22  Reiner Steib  <Reiner.Steib@gmx.de>

	* textmodes/bibtex.el (bibtex-maintain-sorted-entries):
	Quote safe-local-variable predicate.

2006-05-22  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-set-data): New function.

2006-05-21  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-maintain-sorted-entries): Mark as safe.

	* progmodes/make-mode.el (makefile-special-targets-list)
	(makefile-macro-table, makefile-target-table): Mark as risky.
	(makefile-query-one-target-method): Make this the alias for the
	following variable.
	(makefile-query-one-target-method-function): Make this the real name.

	* textmodes/artist.el (artist-text-renderer): Make this the alias
	for the following variable.
	(artist-text-renderer-function): Make this the real name.

	* textmodes/flyspell.el (flyspell-generic-check-word-p): Make this
	the alias for the following variable.
	(flyspell-generic-check-word-predicate): Make this the real name.

	* textmodes/ispell.el (ispell-format-word): Make this the alias
	for the following variable.
	(ispell-format-word-function): Make this the real name.
	(ispell-message-text-end): Mark as risky.

	* skeleton.el (skeleton-transformation, skeleton-filter)
	(skeleton-pair-filter): Make these the aliases for the following
	variables.
	(skeleton-transformation-function, skeleton-filter-function)
	(skeleton-pair-filter-function): Make these the real names.

	* progmodes/sh-script.el (sh-mode): Use skeleton-filter-function
	and skeleton-pair-filter-function.

	* textmodes/sgml-mode.el (sgml-transformation): Make this the
	alias for the following variable.
	(sgml-transformation-function): Make this the real name.
	(sgml-tag-alist): Mark as risky.

2006-05-21  Richard Stallman  <rms@gnu.org>

	* simple.el (kill-region): Interactively, pass point, then mark.

2006-05-22  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-create): Add autoload cookie.

2006-05-21  Romain Francoise  <romain@orebokech.com>

	* dired-x.el (dired-mode-map): Don't bind M-g.

2006-05-20  Richard Stallman  <rms@gnu.org>

	* dired.el (dired-mode-map): Put dired-goto-file on j, not M-g.
	(dired-goto-file): Doc fix.

2006-05-21  Kim F. Storm  <storm@cua.dk>

	* emulation/cua-base.el: Mention customizing cua-mode as alternative
	way to enable built-in cua-mode if user loads older CUA-mode package.

	* ido.el (ido-read-file-name): Bind ido-show-dot-for-dired to nil
	if default-filename is specified.

2006-05-20  Eli Zaretskii  <eliz@gnu.org>

	* menu-bar.el (menu-bar-manuals-menu) <info-apropos>: New menu item.

	* info.el (info-apropos): Make sure current-file and current-node
	have non-nil values.  Speed up by using add-to-list instead of
	manual consing.

2006-05-20  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* progmodes/make-mode.el (makefile-mode): Doc fix.

2006-05-20  Eli Zaretskii  <eliz@gnu.org>

	* dired-aux.el (dired-do-shell-command): Doc fix.

2006-05-20  Kevin Ryde  <user42@zip.com.au>

	* info-xref.el (info-xref-check-all-custom): Skip :tag part of
	``(custom-manual :tag "Foo" "(foo)Node")''.

2006-05-20  Karl Chen  <quarl@cs.berkeley.edu>

	* progmodes/cc-vars.el (c-backslash-column): Mark as safe if its
	value is an integer.

2006-05-20  Eli Zaretskii  <eliz@gnu.org>

	* mail/rmail.el (rmail-mime-charset-pattern): Add "?:" before
	"format".
	(rmail-convert-to-babyl-format): Undo the change from 2006-04-19.

2006-05-20  Martin Rudalics  <rudalics@gmx.at>

	* progmodes/hideif.el (show-ifdef-block): Fix bug where parts of
	a hidden block remained hidden if `hide-ifdef-lines' is non-nil.

2006-05-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/gud.el (gdb-script-font-lock-keywords): Use a stricter
	regexp for keywords.

2006-05-20  Masayuki FUJII  <boochang@m4.kcn.ne.jp>  (tiny change)

	* dnd.el (dnd-get-local-file-name): Specify LITERAL in
	replace-regexp-in-string.

	* term/w32-win.el (w32-drag-n-drop): Substitute '/' for '\',
	encode, and escape file name on conversion to URL.

2006-05-20  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* dnd.el (dnd-handle-one-url): Change 3rd arg ARG to URL.
	Don't unescape URL.
	(dnd-get-local-file-name): Unescape URL on conversion to file name.

	* x-dnd.el (x-dnd-handle-file-name): Encode and escape file names
	on conversion to URLs.

	* net/browse-url.el (browse-url-file-url): Encode file name on
	conversion to URL.

	* term/mac-win.el (mac-ae-open-documents): Escape file name on
	conversion to URL.

2006-05-19  Eli Zaretskii  <eliz@gnu.org>

	* progmodes/cc-styles.el (c-style-alist): Doc fix.

2006-05-19  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-bytes-to-digits): Remove function.
	(mac-handle-toolbar-switch-mode): Use coercion instead of it.

2006-05-19  Glenn Morris  <rgm@gnu.org>

	* calendar/diary-lib.el (diary-bahai-date)
	(list-bahai-diary-entries, mark-bahai-diary-entries)
	(mark-bahai-calendar-date-pattern): Not interactive.
	(add-to-diary-list): New optional arg LITERAL.  Doc fix.
	(diary-entries-list): Change format of 4th element in each entry.
	(diary-list-entries): Use add-to-diary-list.
	(diary-goto-entry): Handle the case where the buffer visiting the
	diary has been killed.
	(fancy-diary-display): Add 'locator to button rather than 'marker.
	Only generate temp-face when there are marks to apply.
	(list-sexp-diary-entries): Pass literal to add-to-diary-list.
	(diary-fancy-date-pattern): New variable.
	(diary-time-regexp): Doc fix.
	(diary-anniversary, diary-time): New faces.
	(fancy-diary-font-lock-keywords): Use diary-fancy-date-pattern and
	diary-time-regexp.  Add font-lock-multiline property where needed.
	Use new faces diary-anniversary and diary-time.
	(diary-fancy-font-lock-fontify-region-function): New function, to
	handle multiline font-lock pattern in fancy diary.
	(fancy-diary-display-mode): Set font-lock-fontify-region-function.
	(diary-font-lock-keywords): Tweak time regexp.  Use new face
	diary-time.

2006-05-19  Alexander Shopov  <ash@contact.bg>  (tiny change)

	* international/code-pages.el (mik): Table corrected.

2006-05-18  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-find): Don't check grep-find-command
	before running command (breaks non-interactive usage).

2006-05-18  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--adjust): New func.
	(ewoc--insert-new-node): Don't insert trailing newline.
	Instead, adjust successor nodes's start markers.
	(ewoc--refresh-node): Delete all text from current node's start
	marker to the next one's; adjust successor nodes's start markers.
	(ewoc--create): Doc fixes.
	(ewoc--refresh): Don't insert newline.
	(ewoc--set-hf): Use `ewoc--set-buffer-bind-dll-let*'.
	* pcvs.el (cvs-make-cvs-buffer):
	Specify extra newline for ewoc's header and footer.
	(cvs-update-header): Update initial header recognition.
	Append newline to final header and footer values.
	* pcvs-info.el (cvs-fileinfo-pp): Insert trailing newline.

2006-05-17  Richard Stallman  <rms@gnu.org>

	* files.el (file-name-extension): Doc fix.

2006-05-17  Stefan Monnier  <monnier@iro.umontreal.ca>

	* shell.el (shell-dirtrack-mode): Make it into a proper minor mode, so
	we can explicitly enable/disable rather than toggle.
	(shell-mode): Use it.
	(shell-cd): Don't try to reproduce what `cd' does.

2006-05-17  Kim F. Storm  <storm@cua.dk>

	* ido.el (ido-read-internal): Use only nondirectory part of
	default item.

2006-05-17  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-data): Add docstring.
	(ewoc-nth): Doc fix.

	(ewoc-map, ewoc-invalidate): Compute PP before looping.

2006-05-16  Eli Zaretskii  <eliz@gnu.org>

	* international/mule.el (auto-coding-alist): Add .lha to files
	read with no-conversion.

	* files.el (auto-mode-alist): Add .lha files to archive file
	extensions.

	* arc-mode.el (archive-arc-summarize, archive-lzh-summarize):
	Convert csize to integer when computing offsets within the
	compressed archive file.

2006-05-16  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-history): Add KEEP-ALL arg and align functionality
	with read-from-minibuffer.

2006-05-16  Reiner Steib  <Reiner.Steib@gmx.de>

	* emacs-lisp/bytecomp.el (byte-compile-warnings-safe-p): New function.
	(byte-compile-warnings): Fix safe-local-variable property.

2006-05-16  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-show-bodies, allout-old-style-prefixes)
	(allout-stylish-prefixes, allout-numbered-bullet)
	(allout-file-xref-bullet, allout-use-hanging-indents): Use simple
	predicates to qualify `safe-local-variable' property, when
	available, else use equivalent lambda.
	(allout-current-topic-collapsed-p): Do the right thing regarding
	trailing blank lines.

2006-05-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* server.el (server-start): Only create a directory if needed.
	(server-edit, server-unload-hook): server-start => server-mode.
	(kill-emacs-hook): Cleanup upon exit.

2006-05-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* hexl.el (hexlify-buffer): Encode process arguments manually.

2006-05-16  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-tooltip-tips): Add missing argument to
	call to gdb-tooltip-print.

2006-05-15  Romain Francoise  <romain@orebokech.com>

	* dired-x.el (dired-guess-shell-gnutar): On GNU and GNU/Linux
	systems, default to "tar" since those systems probably have GNU tar.

2006-05-14  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-missing-file-warning): Fix docstring.
	(desktop-restore-file-buffer): Correct question asked on missing file.

2006-05-14  Kim F. Storm  <storm@cua.dk>

	* progmodes/cc-subword.el (c-forward-subword, c-backward-subword):
	Add CUA move property.

2006-05-13  Chong Yidong  <cyd@stupidchicken.com>

	* custom.el (custom-push-theme): Load the variable before checking
	its `standard-value'.

2006-05-13  Lars Hansen  <larsh@soem.dk>

	* desktop.el (desktop-save): Use with-temp-buffer.

2006-05-12  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-menu.el (calendar-mode-map, calendar-mouse-3-map):
	* calendar/calendar.el (calendar-mode-map):
	* calendar/diary-lib.el (include-other-diary-files,diary-mail-entries):
	* calendar/appt.el (appt-check, appt-make-list): Refer to
	diary-view-entries, diary-list-entries, diary-show-all-entries
	rather than obsolete aliases.

2006-05-12  Chong Yidong  <cyd@stupidchicken.com>

	* simple.el (line-move-finish): Avoid calling point motion hooks
	while processing intangibility.

2006-05-12  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Fix typo.

2006-05-12  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el (allout-view-change-hook): Mark as being deprecated,
	to be replaced by `allout-exposure-change-hook'.
	(allout-exposure-change-hook): New, replacing
	`allout-view-change-hook'.
	(allout-flag-region): Run new hook `allout-exposure-change-hook',
	in addition to `allout-view-change-hook'.
	(allout-show-bodies, allout-old-style-prefixes)
	(allout-stylish-prefixes, allout-use-hanging-indents): Quote the
	lambda forms to prevent their showing up in variable help
	presentations as inscrutable byte-compiled code.
	(allout-numbered-bullet, allout-file-xref-bullet, allout-layout):
	Use string-or-null-p to qualify safe-local-variable values.
	(allout-reindent-bodies): Use memq to qualify matches against
	valid safe-local-variable values.  Also, quote the lambda as above.
	(allout-use-mode-specific-leader): Add missing candidate-value
	symbols, use memq, and quote the lambda.
	(allout-overlay-interior-modification-handler): Remove unused
	variables `msg' and 'opened'.
	(allout-hidden-p): Constrain invisibility consideration to allout's
	invisibility spec, disregarding invisibility for other reasons.

2006-05-12  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el (version-control): Correct safe values.

2006-05-12  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-refresh): Compute PP once before looping.

	(ewoc--node-enter-before, ewoc--create-node): Delete funcs.
	(ewoc--insert-new-node): New func.
	Update callers of deleted funcs to use it, instead.

2006-05-11  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (diary-show-all-entries): Do not refer to
	obsolete alias `show-all-diary-entries'.
	(make-diary-entry): Not interactive.
	(cal-tex-cursor-month, cal-tex-cursor-month-landscape)
	(cal-tex-cursor-day, cal-tex-cursor-week, cal-tex-cursor-week2)
	(cal-tex-cursor-week-iso, cal-tex-cursor-week-monday)
	(cal-tex-cursor-filofax-2week, cal-tex-cursor-filofax-week)
	(cal-tex-cursor-year-landscape, cal-tex-cursor-filofax-year)
	(cal-tex-cursor-filofax-daily, cal-tex-cursor-year): Interactive.

2006-05-11  Johan Bockg,Ae(Brd  <bojohan@dd.chalmers.se>

	* calendar/calendar.el (calendar-french-date-string)
	(calendar-mayan-date-string, calendar-chinese-date-string)
	(calendar-astro-date-string, calendar-iso-date-string)
	(calendar-islamic-date-string, calendar-bahai-date-string)
	(calendar-hebrew-date-string, calendar-coptic-date-string)
	(calendar-ethiopic-date-string, calendar-persian-date-string):
	These functions are not interactive.

2006-05-11  Luc Teirlinck  <teirllm@auburn.edu>

	* files.el: Balance parentheses.

2006-05-11  Reiner Steib  <Reiner.Steib@gmx.de>

	* files.el, newcomment.el, outline.el, simple.el,
	emacs-lisp/bytecomp.el, progmodes/cc-compat.el,
	progmodes/cc-vars.el, progmodes/compile.el:
	Move `safe-local-variable' declarations to the respective files.

	* help-fns.el (describe-variable): Don't print safe-var if it is
	byte-code.  Improve wording as suggested by Luc Teirlinck.

2006-05-11  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-reset): Update speedbar if necessary.
	(gdb-var-evaluate-expression-handler, gdb-var-update-handler):
	Use a token for pending-triggers to ensure gdb-var-update
	gets called once per user input again for pre-GDB 6.4.
	(gdb-var-delete): Match on more complex expressions.
	(gdb-var-list-children-handler, gdb-var-create-handler):
	Use a token for consistency.

2006-05-11  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-read-date, org-goto-calendar)
	(org-agenda-goto-calendar):
	Bind `view-calendar-holidays-initially' to nil.

2006-05-11  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--refresh-node): No longer save-excursion.
	Update all callers to do it there, instead.

2006-05-10  Glenn Morris  <rgm@gnu.org>

	* calendar/calendar.el (calendar-basic-setup): Set day to 1 in
	prefix arg case, to avoid view-diary-entries-initially error.
	Reported by Stephen Berman <Stephen.Berman at gmx.net>.
	(calendar-date-is-legal-p): Handle dates with no day part.

2006-05-11  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-insert-input): Just make it when
	comint-use-prompt regexp is nil (default) and with the mouse.
	(comint-copy-old-input): Reinstate from 2004-06-23.
	(comint-mode-map): Bind C-c C-m to it.

2006-05-10  J.D. Smith  <jdsmith@as.arizona.edu>

	* progmodes/idlw-shell.el (idlwave-shell-move-or-history):
	Remove spurious move to point-max (new comint behavior fixes).

	* progmodes/idlwave.el (idlwave-push-mark): Removed obsolete
	compatibility function (Emacs 18/19).
	(idlwave-is-continuation-line): Always return point at start of
	previous non-blank continuation line.
	(keyword-parameters): Fix continued comment font-lock matcher.
	(idlwave-font-lock-fontify-region): Written, use as
	font-lock-fontify-region-function, to fix continued keyword
	fontification issues.

2006-05-10  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-font-panel-mode): Doc fix.
	(mac-service-selection, mac-service-open-file)
	(mac-service-open-selection, mac-service-mail-selection)
	(mac-service-mail-to, mac-service-insert-text): Rename from
	mac-services-*.  All uses changed.
	(mac-apple-event-map): Rename event symbol `services' to `service'.

2006-05-10  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--dll-create, ewoc--node-delete)
	(ewoc--node-enter-first, ewoc--node-enter-last)
	(ewoc--delete-node-internal): Merge funcs into unique callers.

2006-05-09  Chong Yidong  <cyd@stupidchicken.com>

	* emacs-lisp/crm.el (completing-read-multiple): Properly handle
	return value of read-from-minibuffer for empty input.

2006-05-09  Miles Bader  <miles@gnu.org>

	* comint.el (comint-insert-input): Remove redundant calls to setq
	and goto-char.

2006-05-10  Nick Roberts  <nickrob@snap.net.nz>

	* comint.el (comint-insert-input): Make it work when
	comint-use-prompt-regexp is t.

2006-05-10  Miles Bader  <miles@gnu.org>

	* subr.el (field-at-pos): New function.

	* comint.el (comint-insert-input): Use it.

2006-05-09  Juri Linkov  <juri@jurta.org>

	* battery.el (battery-linux-proc-acpi): Also try
	`/proc/acpi/thermal_zone/THR2/temperature'.

	* files.el <safe-local-variable>: Remove `eval' and `let' binding
	for now unused lambda `string-or-null'.

	* add-log.el (change-log-default-name): Put `string-or-null-p'
	instead of lambda on `safe-local-variable' property.

	* diff-mode.el (diff-context->unified): Use `region-beginning' and
	`region-end' instead of `mark' and `point'.
	(diff-unified->context, diff-reverse-direction, diff-fixup-modifs):
	Operate on region in Transient Mark mode when the mark is active.
	Use `region-beginning' and `region-end' instead of `mark' and
	`point'.
	(diff-hunk-text, diff-goto-source): Doc fix.

	* startup.el (fancy-splash-screens, normal-splash-screen): Use
	face `mode-line-buffer-id' for mode-line buffer face instead of
	hard-coded `(:weight bold)'.

	* arc-mode.el (archive-set-buffer-as-visiting-file): Bind
	buffer-undo-list to t (undo-ask is reproducible by visiting
	nested archives).

2006-05-09  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (rgrep): Set default directory of *grep*
	buffer if we start M-x rgrep in the *grep* buffer and choose
	a different base directory.

2006-05-09  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-register-file-name-handlers): Enable Tramp
	completion also when ido is loaded.

2006-05-09  Masatake YAMATO  <jet@gyve.org>

	* font-lock.el (cpp-font-lock-keywords-source-directives): Addded
	"warning" and "import".
	(cpp-font-lock-keywords): Added "warning".

2006-05-08  Dan Nicolaescu  <dann@ics.uci.edu>

	* term/xterm.el (terminal-init-xterm): Add more key bindings.

2006-05-08  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mwheel.el (mwheel-scroll): Make sure that when scrolling multiple
	pages at a time, if we signal the end, we should indeed reach that end.

2006-05-08  David Reitter  <david.reitter@gmail.com>

	* emacs-lisp/easy-mmode.el (define-minor-mode): Only preserve messages
	output during execution of the body.

2006-05-08  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (lgrep, rgrep): Doc fixes.

2006-05-08  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc--set-buffer-bind-dll-let*):
	Use with-current-buffer.

2006-05-07  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-history): Remove keep-dups arg.

	* kmacro.el (kmacro-push-ring): Let-bind history-delete-duplicates
	to nil around call to add-to-history.

2006-05-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* emacs-lisp/syntax.el (syntax-ppss): Flush the cache before rather
	than after a buffer modification.

2006-05-08  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-var-create-handler): Move speedbar
	call to...
	(gud-watch): ...here so speedbar is raised for already watched
	expressions.
	(gdb-speedbar-refresh): Delete function.
	(gdb-speedbar-update, gdb-speedbar-timer-fn): New functions.
	Use speedbar-timer-fn instead of speedbar-refresh (reverting
	earlier change).
	(gdb-var-evaluate-expression-handler)
	(gdb-var-list-children-handler-1, gdb-var-update-handler-1): Use it.

	* speedbar.el (speedbar-timer-fn): Remove save-window-excursion.
	Update localized contents for all buffers except ignored modes.

2006-05-07  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-utxt-to-string): Use `eq' instead of `='.
	(mac-atsu-font-table, mac-font-panel-mode): Add defvars.
	(mac-bytes-to-digits, mac-handle-toolbar-switch-mode)
	(mac-handle-font-panel-closed, mac-handle-font-selection):
	New functions.
	(mac-font-panel-mode): New minor mode.
	(mac-apple-event-map): Add bindings for toolbar toggle button and
	font panel.
	(menu-bar-showhide-menu): Add mac-font-panel-mode.

2006-05-07  John Paul Wallington  <jpw@pobox.com>

	* ibuffer.el (ibuffer-compressed-file-name-regexp):
	Avoid `regexp-opt'; simplify regexp for readability.

2006-05-06  Eli Zaretskii  <eliz@gnu.org>

	* ldefs-boot.el (dired-do-redisplay, dired-maybe-insert-subdir):
	* files.el (buffer-stale-function):
	* dired-aux.el (dired-do-redisplay, dired-maybe-insert-subdir):
	* autorevert.el (global-auto-revert-non-file-buffers): Point Info
	links to the main manual, not to emacs-xtra.

2006-05-06  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-utxt-to-string): Don't make adjustment for
	MacJapanese if text is ASCII-only.

2006-05-06  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-goto-breakpoint): Use or instead of
	unless so nil isn't returned.
	(gdb-setup-windows, gdb-restore-windows): Reset gdb-source-window.

2006-05-06  Kim F. Storm  <storm@cua.dk>

	* subr.el (add-to-history): New function.

	* ediff.el (ediff-files, ediff-files3, ediff-merge-files)
	(ediff-merge-files-with-ancestor):
	* env.el (setenv):
	* isearch.el (isearch-update-ring):
	* server.el (server-visit-files):
	* progmodes/grep.el (lgrep, rgrep):
	* progmodes/vhdl-mode.el (vhdl-generate-makefile-1):
	* progmodes/xscheme.el (xscheme-insert-expression):
	Use add-to-history.

	* kmacro.el (kmacro-push-ring): Use add-to-history.
	(kmacro-ring-length): Remove unused defun.
	(kmacro-start-macro): Use kmacro-push-ring.

2006-05-06  Thien-Thi Nguyen  <ttn@gnu.org>

	* emacs-lisp/ewoc.el (ewoc-create, ewoc-set-hf): Use `insert'
	directly instead of a lambda expression that calls it.

2006-05-06  Kim F. Storm  <storm@cua.dk>

	* avoid.el (mouse-avoidance-point-position): Use posn-at-point
	instead of compute-motion.

2006-05-05  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuffer.el (ibuffer-compressed-file-name-regexp): Undo previous
	change.

2006-05-05  Reiner Steib  <Reiner.Steib@gmx.de>

	* startup.el (command-line-1): Refer to "Pure Storage" on
	pure-space-overflow.

2006-05-05  Martin Rudalics  <rudalics@gmx.at>

	* emacs-lisp/re-builder.el (reb-update-overlays): Cycle through
	provided faces once they all have been used up.

2006-05-05  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (normal-splash-screen, fancy-splash-screens-1): Add a
	reference to the Lisp manual to the warning about pure space
	overflow.

2006-05-05  Micha,Ak(Bl Cadilhac  <michael.cadilhac@lrde.org>

	* textmodes/ispell.el (ispell-buffer-local-dict): Add a `no-reload'
	argument to avoid the call to `ispell-internal-change-dictionary'
	when not needed.
	(ispell-change-dictionary): Use this argument and call
	`ispell-internal-change-dictionary' after the possible change
	to `ispell-local-dictionary'.
	(ispell-internal-change-dictionary): Check for a change in
	personal dictionary use too.

2006-05-05  Eli Zaretskii  <eliz@gnu.org>

	* startup.el (command-line): On MS-Windows, probe "~", not
	"~USER", for warning about non-existent home directory

	* arc-mode.el (archive-l-e): New optional argument `float' means
	generate a float value.
	(archive-arc-summarize, archive-lzh-summarize)
	(archive-zip-summarize, archive-zoo-summarize): Invoke archive-l-e
	with 3rd argument non-nil when file's size is being computed.
	Format the file sizes with %8.0f instead of %8d.

2006-05-05  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* cus-start.el (all): Add mac-dnd-known-types.

	* term/mac-win.el (mac-utxt-to-string, mac-string-to-utxt)
	(mac-TEXT-to-string, mac-string-to-TEXT, mac-furl-to-string)
	(mac-TIFF-to-string): New functions.
	(x-get-selection, x-selection-value)
	(mac-select-convert-to-string): Use them.
	(mac-text-encoding-mac-japanese-basic-variant): New constant.
	(mac-dnd-types-alist): New customization variable.
	(mac-dnd-handle-furl, mac-dnd-handle-hfs, mac-dnd-insert-utxt)
	(mac-dnd-insert-TEXT, mac-dnd-insert-TIFF, mac-dnd-drop-data)
	(mac-dnd-handle-drag-n-drop-event): New functions.
	(mac-drag-n-drop): Remove function.
	(global-map): Bind drag-n-drop and M-drag-n-drop to
	mac-dnd-handle-drag-n-drop-event.

2006-05-04  Karl Chen  <quarl@NOSPAM.quarl.org>

	* progmodes/perl-mode.el (perl-beginning-of-function):
	Skip anonymous subs.

2006-05-04  Dan Nicolaescu  <dann@ics.uci.edu>

	* ibuffer.el (ibuffer-compressed-file-name-regexp): Avoid loading
	regexp-opt at run time.

	* term.el (term-handle-ansi-escape): Fix off by one error.

2006-05-04  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-force-update): Delete variable...
	(gdb-init-1, gdb-post-prompt): ...and references to it.
	(gdb-frame-handler): Strip directory name from filename if present.

	* progmodes/gud.el (gdb-force-update): Delete defvar
	(gud-speedbar-buttons): ...and references to it.  Use window-start
	to try to keep positon in watch expression.

2006-05-03  Richard Stallman  <rms@gnu.org>

	* simple.el (next-history-element, previous-history-element): Doc fix.

	* isearch.el (isearch-update-ring): Doc fix.

2006-05-03  Dan Nicolaescu  <dann@ics.uci.edu>

	* isearch.el (isearch-update-ring): Take history-delete-duplicates
	into consideration.  Replace one arm ifs with whens.

2006-05-03  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gud-watch): Let user select an expression.
	(menu): Fix typo.

2006-05-02  Miles Bader  <miles@gnu.org>

	* replace.el (occur-engine): Bind `inhibit-field-text-motion' to t.

2006-05-02  Jay Belanger  <belanger@truman.edu>

	* calc/calc-embed.el (calc-override-minor-modes-map)
	(calc-override-minor-modes): New variables.
	(calc-do-embedded): Make sure that Calc keystrokes aren't
	overwritten by minor modes.

2006-05-02  Chong Yidong  <cyd@mit.edu>

	* msb.el (msb): If EVENT is a down event, read and discard the up event.

2006-05-02  Reiner Steib  <Reiner.Steib@gmx.de>

	* startup.el (command-line-1): Refer to Lisp manual when
	pure-space-overflow occurs.

	* files.el (byte-compile-dynamic, byte-compile-dynamic-docstrings)
	(byte-compile-warnings, find-file-visit-truename, indent-tabs-mode)
	(left-margin, no-byte-compile, no-update-autoloads, truncate-lines)
	(version-control): Don't use `t' for safe-local-variable declarations.

2006-05-01  Richard Stallman  <rms@gnu.org>

	* diff-mode.el (diff-mode-shared-map): Don't bind M-W, M-U, M-C,
	M-r, M-R, M-A, M-SPC or M-DEL.
	(diff-mode-map): diff-refine-hunk now on C-c C-w
	(diff-mode-map): Bind C-c C-e, C-c C-n, C-c C-r, C-c C-u.

	* help-mode.el (help-mode): view-exit-action calls delete-window
	only when it is safe and possible.

	* simple.el (undo-outer-limit-truncate): Put quotes around buffer name
	in messages.

	* emacs-lisp/warnings.el (display-warning, lwarn): Doc fixes.

	* tool-bar.el (tool-bar-setup): Put Help and Preferences items
	in the default tool-bar-map.

2006-05-01  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-file-name-handler-alist)
	(tramp-run-real-handler, tramp-completion-run-real-handler)
	(tramp-completion-handle-file-name-all-completions)
	(tramp-completion-handle-file-name-completion): Autoload them.
	(tramp-completion-handle-file-exists-p)
	(tramp-completion-handle-file-name-directory)
	(tramp-completion-handle-file-name-nondirectory)
	(tramp-completion-handle-expand-file-name): Remove them.
	(tramp-handle-file-name-directory): Return the real directory name.
	Returning "/" only doesn't need to be necessary any longer.
	(tramp-file-name-handler): Make special attention when in hostname
	completion mode.
	(tramp-completion-file-name-handler): Revert patch from 2006-04-28.
	(tramp-register-file-name-handlers):
	Register `tramp-completion-file-name-handler' only when
	`partial-completion-mode' is enabled.
	(tramp-completion-handle-file-name-all-completions):
	Delete directory part from results.
	(tramp-get-completion-methods, tramp-get-completion-user-host):
	Discard deleting "/", it doesn't work after the change of
	`tramp-handle-file-name-directory' above.

2006-05-01  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (grep-expand-template): Use save-match-data
	and symbol-value.

2006-05-01  YAMAMOTO Mitsuharu  <mituharu@math.s.chiba-u.ac.jp>

	* term/mac-win.el (mac-ae-open-documents, mac-drag-n-drop):
	Use select-frame-set-input-focus instead of raise-frame.
	(global-map): Bind M-drag-n-drop to mac-drag-n-drop.

2006-05-01  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-def): Add %c case.
	(gud-speedbar-buttons): Don't bind case-fold-search unnecessarily.
	(gud-format-command): Make match case sensitive.  Match on %F.

2006-04-30  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-tex.el (cal-tex-preamble-extra): New variable.
	(cal-tex-preamble): Use cal-tex-preamble-extra.
	(cal-tex-list-diary-entries): Refer to `diary-list-entries' rather
	than alias `list-diary-entries'.

2006-04-29  Dan Nicolaescu  <dann@ics.uci.edu>

	* help-fns.el (describe-variable): Add info about safe local variables.

2006-04-29  Richard Stallman  <rms@gnu.org>

	* bindings.el (mode-line-format): help-echo doc fixes.

	* net/tramp.el (tramp-file-name-handler-alist): Delete
	expand-file-name and other operations that can cause spurious loading.

2006-04-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* files.el (safe-local-variable-p): Remove support for the special
	value t.

	* textmodes/paragraphs.el (sentence-end-without-space):
	Fix safety predicate.
	(sentence-end-double-space, sentence-end-without-period)
	(paragraph-ignore-fill-prefix):
	* textmodes/fill.el (colon-double-space):
	* abbrev.el (abbrev-mode): Tighten the safety predicate.

	* subr.el (booleanp): New fun.

	* textmodes/reftex-vars.el (reftex-guess-label-type):
	Tighten the safety predicate.

2006-04-28  Kim F. Storm  <storm@cua.dk>

	* progmodes/grep.el (defgroup grep): Doc fix.
	(grep-auto-highlight): Remove.
	(grep-template): New defcustom.
	(grep-find-template): Rename from grep-tree-template.
	(grep-files-aliases): Rename from grep-tree-files-aliases.
	Remove "all" alias, add "l" alias.
	(grep-tree-ignore-case, grep-tree-ignore-CVS-directories): Remove.
	(grep-find-ignored-directories): New defcustom to replace
	grep-tree-ignore-CVS-directories, to facilitate ignoring
	subdirectories for multiple version control systems.
	(grep-mode-map): Add Recursive grep item to GREP menu.
	(grep-regexp-history, grep-files-history): New defvars.
	(grep-probe): New helper function.
	(grep-compute-defaults): Use it to simplify code.
	Adapt to name changes.
	Use `.' as base in grep-find-template rather than <D>.
	(grep): Remove superfluous highlight-regexp arg.  Fix doc.
	Call grep-compute-defaults unconditionally.
	(grep-expand-keywords): New defconst.
	(grep-expand-template): Rename from grep-expand-command-macros.
	Simplify via grep-expand-keywords.  Look at case-fold-search instead
	of grep-tree-ignore-case to add -i option.
	Bind case-fold-search to nil while matching keywords.
	(grep-tree-last-regexp, grep-tree-last-files): Remove.
	(grep-read-regexp, grep-read-files): New helper functions.
	(rgrep): Rename from grep-tree.  Rework to use proper histories.
	Adapt to changes in defcustoms and functions above.
	(lgrep): New command, as grep, but using same interactive UI as rgrep.

2006-04-28  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-completion-file-name-handler):
	Disable Tramp's functionality while loading Tramp itself.
	(tramp-register-file-name-handlers): That's a defsubst now.
	Code from `tramp-repair-jka-compr' moved here.  Apply it via
	`after-init-hook'.
	(tramp-repair-jka-compr): Remove.

2006-04-27  Jay Belanger  <belanger@truman.edu>

	* calc-embed.el (calc-embedded-make-info): Use `math-read-expr' to
	read expression when `math-read-big-expr' doesn't work.

2006-04-27  Reiner Steib  <Reiner.Steib@gmx.de>

	* startup.el (command-line-1): Display warning when
	pure-space-overflow is non-nil.

2006-04-26  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-user-optional-fields): Mark as
	risky.

2006-04-26  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* textmodes/bibtex.el (bibtex-url): New optional arg no-browse.
	Return the URL or nil if none can be generated.

2006-04-27  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-comint-buffer): Move forward to stop
	byte compiler warnings.
	(gud-basic-call, gud-find-expr): Let user select an expression
	for printing.  Print expression as well as value in GUD buffer.

2006-04-17  Ken Manheimer  <ken.manheimer@gmail.com>

	* allout.el: Remove local autoload declaration for
	pgg-gpg-symmetric-key-p, since that's now done in pgg-gpg.el.
	(allout-show-bodies, allout-header-prefix, allout-primary-bullet)
	(allout-plain-bullets-string, allout-distinctive-bullets-string)
	(allout-use-mode-specific-leader, allout-old-style-prefixes)
	(allout-stylish-prefixes, allout-numbered-bullet)
	(allout-file-xref-bullet, allout-presentation-padding)
	(allout-use-hanging-indents, allout-reindent-bodies): Mark as
	safe-local-variable with suitable value spec, and add autoload
	cookie for loaddefs inclusion.  We now use an explicit spec everywhere.
	(move-beginning-of-line, move-end-of-line): Repair so these compat
	functions now actually resituate the point, when appropriate.

2006-04-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-subword.el (c-subword-mode-map): Use command remapping.

	* add-log.el (add-log-iso8601-time-zone): Make parameter optional.
	(add-log-iso8601-time-string): Fix call to format-time-string.

2006-04-26  Kim F. Storm  <storm@cua.dk>

	* subr.el (posn-string, posn-image, posn-object): Doc fix.

2006-04-26  Masatake YAMATO  <jet@gyve.org>

	* progmodes/asm-mode.el (asm-mode, asm-mode-syntax-table):
	Add support for "//" style comments.  Remove `b' flag
	from ?* in `asm-mode-syntax-table'.

2006-04-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* follow.el: Use (featurep 'xemacs) everywhere.
	(follow-mode): Use define-minor-mode.
	(follow-mode-map): Move initialization into the declaration.
	Use command remapping.
	(follow-emacs-version-xemacs-p): Remove.
	(follow-submit-feedback): Remove.

	* allout.el (allout-layout, allout-passphrase-verifier-string)
	(allout-passphrase-hint-string): Tighten up a bit the safety predicate.

	* textmodes/reftex-vars.el (reftex-vref-is-default)
	(reftex-fref-is-default, reftex-guess-label-type):
	Tighten up a bit the safety predicate.

	* textmodes/paragraphs.el (sentence-end-double-space)
	(sentence-end-without-period, sentence-end-without-space)
	(page-delimiter, paragraph-ignore-fill-prefix):
	Tighten up a bit the safety predicate.

	* textmodes/fill.el (colon-double-space): Tighten up the safety pred.

	* progmodes/python.el (python-continuation-line-p)
	(python-beginning-of-statement): syntax-ppss may return
	a negative depth.
	(python-mode): Don't forcefully enable font-lock.

	* time-stamp.el (time-stamp-start, time-stamp-end)
	(time-stamp-inserts-lines): Tighten up a bit the safety predicate.

	* add-log.el: Remove spurious * in docstrings.
	(add-log-time-zone-rule): Rename from change-log-time-zone-rule.
	(add-change-log-entry): Use it here, since it's not specific
	to iso8601.
	(add-log-iso8601-time-string): Don't use it here any more.
	(change-log-indent-text, change-log-indent): Rename from add-log-*.

	* abbrev.el (abbrev-mode): Tighten up a bit the safety predicate.

2006-04-25  Ryan Yeske  <rcyeske@gmail.com>

	* net/rcirc.el (rcirc-print): Revert last change with ignored nicks.
	(rcirc-toggle-low-priority): Doc fix.
	(rcirc-handler-NOTICE): Remove beginning of line anchor in
	ChanServ regexp.
	(rcirc-startup-channels-alist): Connect to #rcirc by default, not
	#emacs.
	(rcirc-bright-nick-regexp, rcirc-dim-nick-regexp): Add variables.
	(rcirc-decode-coding-system): Use utf-8 as the default.
	(rcirc-multiline-minor-mode): Set the fill-column.
	(rcirc-format-response-string): Display bright and dim nicks.
	(rcirc-browse-url): Update interactive spec to fill ARG.
	(rcirc-bright-nick, rcirc-dim-nick): Add faces.
	(rcirc-print): Ignore dim-nick messages wrt modeline-activity.

2006-04-24  J.D. Smith  <jdsmith@as.arizona.edu>

	* textmodes/bibtex.el (bibtex-find-entry): Don't demand matching
	case for @Article, etc.

2006-04-23  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-register-file-name-handlers): New defun.
	Added with autoload cookie.
	(tramp-unload-file-name-handlers): Rename from
	`tramp-unload-file-name-handler-alist'.

2006-04-23  Romain Francoise  <romain@orebokech.com>

	* comint.el (comint-match-partial-filename): Doc fix.

2006-04-21  Glenn Morris  <rgm@gnu.org>

	* calendar/cal-menu.el (calendar-mode-map): Refer to
	`diary-view-entries' rather than alias `view-diary-entries'.
	* calendar/diary-lib.el (view-other-diary-entries): Ditto.

2006-04-21  Luc Teirlinck  <teirllm@auburn.edu>

	* progmodes/antlr-mode.el (antlr-default):
	* cus-edit.el (custom-documentation):
	* faces.el (scroll-bar, border, cursor, mouse): Avoid nil spec
	in defface.

2006-04-21  Kim F. Storm  <storm@cua.dk>

	* image.el (image-type): New defun split out of create-image.
	(create-image): Use it.

2006-04-21  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-mode-map): Catch conflict with old allout.el.
	(org-open-at-point): Remove the "...done" message to keep output
	in the echo area visible.
	(org-export-as-xoxo): Fix call to `indent-region'.

2006-04-21  Kevin Ryde  <user42@zip.com.au>

	* international/mule.el (keyboard-coding-system): defcustom
	info-link fixes: "Specify Coding" has been split, keyboard now in
	"Terminal Coding", and "Single-Byte Character Support" is now
	"Unibyte Mode".

2006-04-21  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-data-list-register-values-handler):
	Use font-lock-warning-face for any errors e.g. no stack.
	(gdb-stack-list-locals-handler): Display any errors e.g. no stack.

2006-04-20  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/sh-script.el (sh-shell): Mark as safe.

	* newcomment.el (comment-start, comment-start-skip)
	(comment-end-skip, comment-end): Mark as safe.

2006-04-20  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-deadline-announce): Face removed.
	(org-level-faces, org-n-levels): Convert to constant.
	(org-compatible-face): New function.
	(org-hide, org-level-1, org-level-2, org-level-3, org-level-4)
	(org-level-5, org-level-6, org-level-7, org-level-8)
	(org-special-keyword, org-warning, org-headline-done, org-link)
	(org-date, org-tag, org-todo, org-done, org-table, org-formula)
	(org-scheduled-today, org-scheduled-previously, org-time-grid):
	Face definition revised for better color tty support.
	(org-bold-re, org-italic-re, org-underline-re): New constants.
	(org-set-font-lock-defaults): Use the new constants.
	(org-agenda-highlight-todo): New function.
	(org-agenda-todo): Fix bug with point at end of line.
	(org-agenda-change-all-lines, org-finalize-agenda-entries):
	Fontify TODO keywords.
	(org-insert-link): Preserve relative path in ../ links.
	(org-export-as-html): Convert links pointing to .org files into
	links that will work beteen the exported HTML files.
	(org-todo-list): Fix bug when arg=0.
	(org-insert-heading): More fine-tuning.

2006-04-19  Romain Francoise  <romain@orebokech.com>

	* mail/rmail.el (rmail-convert-to-babyl-format): Use second group
	from `rmail-mime-charset-pattern'.

2006-04-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/python.el (python-mode): Fix typo.

2006-04-18  J.D. Smith  <jdsmith@as.arizona.edu>

	* comint.el (comint-previous-input): Don't clobber input line
	when moving off either end of the input history ring.
	(comint-delete-input): New function, used by
	`comint-previous-input' and others.
	(comint-previous-matching-input):
	Use `coming-delete-input'.  Save the partial input if leaving the
	edit line.  Goto point-max before deleting input to avoid
	partial input fragments hanging around.
	(comint-restore-input): New function, used by `comint-previous-input'.

2006-04-18  Luc Teirlinck  <teirllm@auburn.edu>

	* imenu.el (imenu--index-alist): Balance parentheses.

2006-04-18  Dan Nicolaescu  <dann@ics.uci.edu>

	* progmodes/python.el (python-mode): Add support for hs-minor-mode.

2006-04-19  Reiner Steib  <Reiner.Steib@gmx.de>

	* abbrev.el (read-abbrev-file): Use abbrev-file-name if optional
	file is nil.

2006-04-18  Richard Stallman  <rms@gnu.org>

	* tooltip.el (tooltip-mode, tooltip-use-echo-area): Doc fixes.

	* imenu.el (imenu-create-index-function, imenu--index-alist)
	(imenu--last-menubar-index-alist, imenu--make-index-alist)
	(imenu-default-create-index-function, imenu--generic-function):
	Doc fixes.

	* image-mode.el (image-toggle-display): Handle tar and arc subfiles.

	* help-mode.el (help-mode): Set view-exit-action to delete window.

	* env.el (setenv): Get rid of arg UNSET.  Interactive unsetting
	now works by passing nil as arg.

	* apropos.el (apropos-print): Don't do where-is on self-insert-command.

	* abbrev.el (edit-abbrevs-redefine): Temporarily widen.
	(read-abbrev-file): Provide default when reading filename.

	* files.el (enable-local-variables): Allow :all as value.
	(hack-local-variables): Implement that value.
	(safe-local-variable-values, safe-local-eval-forms)
	(enable-local-variables): Mark as risky.
	(find-file-visit-truename, kept-old-versions): Mark safe.

	* time-stamp.el (time-stamp-format, time-stamp-line-limit)
	(time-stamp-start, time-stamp-end, time-stamp-inserts-lines)
	(time-stamp-count, time-stamp-pattern): Add safe-local-variable prop.

2006-04-18  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/tcl.el (tcl-send-string, tcl-send-region):
	Use forward-line so as to get to BOL even in the presence of fields.
	(tcl-eval-region): Strip surrounding space to avoid multiple prompts
	in return.
	(inferior-tcl): Tell tclsh to work in interactive mode.

	* complete.el (partial-completion-mode):
	Use 'choose-completion-string-functions to make sure that
	choose-completion fills the minibuffer properly.

	* complete.el (PC-old-read-file-name-internal): Remove.
	(PC-read-include-file-name-internal): Remove.  Turn it into an advice
	of read-file-name-internal.
	(partial-completion-mode): Enable/disable this advice.

2006-04-18  Juanma Barranquero  <lekktu@gmail.com>

	* net/tramp.el (tramp-completion-file-name-handler): Revert change
	of 2006-04-17.

2006-04-18  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-insert-heading): Insert heading before
	current if at beginning of line.
	(org-todo, org-date): New faces.
	(org-table-align): Make sure tooltip window contains full text.
	(org-no-properties): New defsubst.
	(org-set-font-lock-defaults): Use new faces.

2006-04-18  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gud.el (gud-speedbar-item-info): Display frame address
	for root variables.

	* progmodes/gdb-ui.el (gdb-pc-address): Rename from gdb-frame-address.
	(gdb-frame-address): Re-use to identify frame for watch expression.
	(gdb-var-list, gdb-var-create-handler): Add frame address for root
	variables.
	(gdb-init-1, gdb-source, gdb-post-prompt)
	(gdb-assembler-custom, gdb-invalidate-assembler): Use gdb-pc-address.
	(gdb-frame-handler): Get gdb-frame-address.

2006-04-17  Michael Albinus  <michael.albinus@gmx.de>

	Sync with Tramp 2.0.53.

	* net/tramp.el (tramp-completion-mode): ?\t has event-modifier
	'control.  Reported by Matthias F,Av(Brste <slashdevslashnull@gmx.net>.
	(tramp-completion-file-name-handler): Add autoload cookie for
	adding to `file-name-handler-alist'.

	* net/tramp-smb.el (tramp-smb-wait-for-output): Wait always for
	the prompt.  If it returns earlier (when detecting an error
	message), the rest of the output will merge accidently with the
	output of the next command.  Reported by M Jared Finder
	<jared@hpalace.com>.

	* net/tramp-vc.el (vc-user-login-name): Wrap defadvice with a test
	for `process-file', in order to let it work for older Emacsen too.

2006-04-17  Ralf Angeli  <angeli@iwi.uni-sb.de>

	* textmodes/tex-mode.el (tex-font-lock-match-suscript): New function.
	(tex-font-lock-keywords-3): Use it.

2006-04-16  Stefan Monnier  <monnier@iro.umontreal.ca>

	* newcomment.el (comment-add): New function.
	(comment-region-default, comment-dwim): Use it.

2006-04-15  Michael Olson  <mwolson@gnu.org>

	* emacs-lisp/tq.el: Improve comments.
	(tq-queue-head-question): New accessor function.
	(tq-queue-head-regexp, tq-queue-head-closure, tq-queue-head-fn):
	Update for modified queue structure.
	(tq-queue-add): Accept `question' argument.
	(tq-queue-pop): If a question is pending, send it.
	(tq-enqueue): Accept new optional argument `delay-question'.
	If this is non-nil, and at least one other question is pending a
	response, queue the question rather than sending it immediately.

2006-04-15  Roland Winkler  <Roland.Winkler@physik.uni-erlangen.de>

	* calendar/appt.el (appt-add): Check whether an appointment is
	already present in appt-time-msg-list.  Simplify code.

2006-04-14  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/cc-langs.el (c-mode-menu):
	Don't presume c-subword-mode is bound.

2006-04-13  Bill Wohler  <wohler@newt.com>

	* cus-edit.el (customize-package-emacs-version-alist): Update docstring.
	(customize-package-emacs-version): Use cdr instead of cadr now
	that alists use dotted pairs.

	* custom.el (defcustom): Fix docstring for :package-version.

2006-04-13  Michael Albinus  <michael.albinus@gmx.de>

	* net/tramp.el (tramp-display-shell-command-buffer): New defvar.
	(tramp-handle-shell-command): Display output buffer only when
	`tramp-display-shell-command-buffer' is true.
	(tramp-handle-process-file): Set `tramp-display-shell-command-buffer'.

2006-04-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-autofill-regexps): Set only the local
	values of `adaptive-fill-regexp' and `adaptive-fill-function'.

2006-04-13  Romain Francoise  <romain@orebokech.com>

	* pcvs-parse.el (cvs-parse-table): Use `with-temp-buffer' to avoid
	leaving temporary .cvsignore buffers behind.

2006-04-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-set-regexps-and-options)
	(org-get-current-options): Better names for the startup folding
	options.

2006-04-13  Thien-Thi Nguyen  <ttn@gnu.org>

	* vc.el (vc-annotate): Arrange for point to end up at the same
	line number as in the original, but only when using a new buffer.

2006-04-12  Stuart Herring  <herring@lanl.gov>  (tiny change)

	* files.el (hack-one-local-variable-eval-safep):
	Recognize `edebug-form-spec' for `put', but only if it passes
	`edebug-basic-spec'.  Generalize `put' handling.

	* emacs-lisp/edebug.el (edebug-basic-spec): New function for
	vetting file-local form specs.

	* allout.el (allout-layout): Autoload its `safe-local-variable'
	property.

2006-04-13  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-ctrl-c-ctrl-c): Improve documentation string.
	(org-agenda-mouse-1-follows-link)
	(org-mouse-1-follows-link): New options.
	(org-format-agenda-item): Fix bug if TAGS is nil.
	(org-agenda-get-scheduled): Quote `priority' symbol in plist.

2006-04-13  Nick Roberts  <nickrob@snap.net.nz>

	* progmodes/gdb-ui.el (gdb-set-gud-minor-mode-existing-buffers):
	GDB 6.1+ gives full filename for "info sources" so use
	file-name-nondirectory.

2006-04-12  Romain Francoise  <romain@orebokech.com>

	* subr.el (read-passwd): Bind `message-log-max' to nil.

2006-04-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* progmodes/perl-mode.el (perl-indent-new-calculate):
	Recompute parse-start after jumping backward by a whole sexp.

2006-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* vc.el (vc-ensure-vc-buffer): Only change current-buffer, not the
	window configuration.
	(vc-annotate-display-select): Select the buffer so that current-buffer
	(and selected-window) is the output buffer at the end of vc-annotate.

2006-04-11  J.D. Smith  <jdsmith@as.arizona.edu>

	* vc.el (vc-annotate-color-map): Add custom TTY color map for
	8-color terminals, to use all of the colors in a sensible order.
	256-color terminals work well with the standard map.
	(vc-annotate-lines): Only strip the first color character if it
	is "#", to allow for terminal-style named colors.
	(vc-annotate-warp-version): Pass buf to `goto-line' to ensure
	the correct buffer is scrolled.

2006-04-11  Richard Stallman  <rms@gnu.org>

	* emacs-lisp/bytecomp.el (byte-compile-file):
	Bind enable-local-variables to :safe, and make normal-mode obey it.

	* files.el (enable-local-variables): Allow value :safe.
	(normal-mode): Doc fix.
	(hack-local-variables): Implement enable-local-variables = :safe.
	(hack-local-variables-confirm): Don't prevent quitting.

2006-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* loadhist.el (unload-feature): A bit of sanity check of
	load-history entries.  Cancel timer-vars before unbinding them.

	* hexl.el (hexl-isearch-search-function): Fix regexp-building code to
	quote special chars, and make the trick work on the hex part of the
	buffer as well.
	(hexl-mode, hexl-save-buffer, hexl-mode-exit)
	(hexl-maybe-dehexlify-buffer): Use restore-buffer-modified-p.

	* startup.el (normal-splash-screen): Fix last change so we don't wait
	2 minutes if we don't show the splash screen.

2006-04-11  Carsten Dominik  <dominik@science.uva.nl>

	* textmodes/org.el (org-export-plain-list-max-depth)
	(org-table-spaces-around-separators)
	(org-radio-targets, org-activate-camels)
